Ubuntu

[Jaunty] Update Notifier icon would provide useful status information / new update-manager behaviour is annoying

Reported by Noel J. Bergman on 2009-02-22
998
This bug affects 155 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Undecided
Unassigned
update-notifier (Ubuntu)
High
Unassigned
Nominated for Karmic by Strongman332
Nominated for Lucid by Noel J. Bergman
Jaunty
High
Unassigned

Bug Description

I am referring to the removal up the update-notifier in the Gnome notification area. The discussion of it is embedded in the thread headed by:

  https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027416.html

Specific messages worth reading are:

  https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027434.html
  https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027451.html
  https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027454.html
  https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027437.html
  https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027445.html

Matthew Paul Thomas says that the desired behavior is:

* When there are security updates, Update Manager will open and show
    them (plus any other available updates) within a day.

* When there are non-security updates, Update Manager will open and
    show them *one week* after it was last opened (whether it was last
    opened manually or automatically, and regardless of whether updates
    were actually installed then).

* When there are no available updates, Update Manager will not open
    automatically at all.

Desired by whom? And where was discussion of this change that effects the entire Ubuntu community? Because some percentage of users don't apparently understand that the notification area has meaning, we are not going to use it for updates? Chow Loong Jin raised a valid point that if update notification is now done by opening the entire update manager program, perhaps evolution and similar should open their application UIs rather than use the notification area. And there are concerns about unintended functional consequences of this ill-conceived change, discussed in the thread.

Personally, I predict that opening the Update Manager window while people are working will piss off a lot of users when it happens, and may result in them wanting to disable automatic checking. Yes, that'll be highly desirable, won't it?

In other words, this change should be corrected, and a notification icon should be displayed when updates are available.

------------

The window currently opens far too often when security updates are available: this is because of bug 369198, which is awaiting testing before it can be fixed in Ubuntu 9.04.

------------

To disable the new behaviour and get the old behaviour:

    gconftool -s --type bool /apps/update-notifier/auto_launch false

(Take into account that this gconf change is not supported.)

To have the update manager launch immediately when updates are available, use this:

    gconftool -s --type int /apps/update-notifier/regular_auto_launch_interval 0

I am confirming this bug report. I too feel that removing the update-notifier is more a move in the direction of degrading Ubuntu. At least with the update-notifier-icon, I made the decision to install the updates. If the update-manager simply opens, I will have to continue with the work I am doing. Since I have several applications that run when my system starts, having update-manager think I want to run it is not really a desired function. I normally run my updates when I am not busy.

This appears to be one more thing getting in the way of productive work. I have to wonder how many businesses are going to decide that is just one more thing in the way. Doesn't that give the average business and personal user one more reason to quit using Ubuntu?

Changed in update-notifier:
importance: Undecided → High
status: New → Confirmed
Noel J. Bergman (noeljb) wrote :

Further reading for people:

  http://www.markshuttleworth.com/

which links to:

  https://wiki.ubuntu.com/NotificationDesignGuidelines
  https://wiki.ubuntu.com/NotifyOSD

And I do like the new OSD. I just disagree with removing the presence of a notification icon, which is a persistent notice of some event or condition, and certainly disagree with the proposed behavior of launching the update manager.

John Vivirito (gnomefreak) wrote :

One thing people didnt notice or left out of bug. It only happens when using dist-upgrade interminal upgrade doesnt trigger u-d to open.

John Vivirito (gnomefreak) wrote :

Also it goes against the idea you not being able to run 2+ apt/dpkg sessions. Since it is opening for me during dist-upgrade (it may be every 2 days but i do updates everyday so i dont notice if it happens more so. I that idea it would not be possible for it to open let alone run update as it is doing upon opening.

Matthew Paul Thomas (mpt) wrote :

Curses, our secret plan has been uncovered! Canonical is indeed trying to degrade Ubuntu, make it less secure, and drive average business and personal users away. The orange star icon was a paragon of obviousness and clickability, so it just had to go.

But seriously, we did not design this behavior yesterday on the back of a napkin. We discussed it publicly at the Ubuntu Developer Summit in December. It's part of a long-term plan to clean up the notification area, and in particular to stop using it for things that it cannot actually recognizably notify people of. If you have learned to both notice and recognize the orange star icon, then I'm sorry that skill will no longer be required, but we think making update installation more obvious will make Ubuntu more secure for more people.

Of course the new behavior is a bit rough around the edges, but the problems are fixable. As I write this, the auto-opening interval is being changed (now that we know it works) from two days to seven. Compiz needs fixing so that when windows open unfocused (as Update Manager does when it opens automatically) they're in the background too. And any patches to reduce Update Manager's memory footprint are more than welcome.

Changed in update-notifier:
status: Confirmed → Invalid
C. Cooke (ccooke) wrote :
Download full text (3.4 KiB)

(bear with me on this one; I'm stuck at home ill, so this may be less coherent than would be ideal)

I can think of a few use-cases where the new implementation may/will cause problems as it's currently laid out:

Problems relating to the window being opened for you:

1) If it appears at the bottom of the Z-buffer, it might be behind a long-running application such as Firefox. It may even appear behind a long-running application on a virtual desktop the user doesn't visit often; it's entirely possible that the window won't be noticed for days or weeks.

2) If it appears at the top of the Z-buffer, it will be distracting to the user; it's supposed to appear unfocussed, but what if the user has focus-follows-mouse? Will the window appear under the cursor, steal focus and (if the user happens to be typing at that moment) immediately start updating packages?

3) There's no single place to look to know you're up-to-date. In fact, for the average user, there will be no simple way to know they're up to date at all. It seems to be a "harsher" user interface - and thus it fails to follow the principle of least astonishment. (windows appearing when you don't expect them is astonishing; *notifications* appearing when you don't expect them is... expected!)

Some thoughts on mitigation:

1) could be mitigated partially by making the window appear on all workspaces.
2) open at the bottom of the Z-buffer. Any other solution is still going to cause unwelcome astonishment sometime, with some (common) sets of options.

Some thoughts that might, possibly, help:

The new design specifies two different concepts of notification: "informational" and "demanding": Informational notification is ephemeral and can vanish quickly; it should never need a response. "demanding" notifications must have a response within a short time limit, so they pop up a window grabbing attention.
I have to say, I very much like that... but I can see a third class of notifications that are not covered at all. "Patient" ones: something that needs a response but has a very long time limit. It seems that we're trying to force all notifications of this type into one of the other two, and this doesn't work well in all cases - such as this one. Icons in the taskbar *without* a bubble would be perfect for this: They call attention, but they don't demand it *now*. Based on some logic, they can be converted into a "demanding" notification later, if there's a good opportunity or a time limit is approaching.

What would be really nice for the specific example of the update notifier is this:

1) When there's any update, assign a "passive" time limit (~30 minutes for security updates, ~2 weeks for upgrades). Pop up an icon in the taskbar that will launch or focus update-manager. Do *NOT* notify in any other way; hover text for the icon should be a nice, frendly explanation of what's up.
2) automatically convert to a demanding notification on login or (if the passive time limit is more than half used) when the system has been idle for some sane pre-determined time - 5 minutes, say. Having the window ready when you come *back* to the computer is much less astonishing than having it suddenly break you...

Read more...

Please read [1] & [2] for more information:
https://wiki.ubuntu.com/NotifyOSD#Update%20Manager
https://wiki.ubuntu.com/NotifyOSD#update-notifier

--
Hi, I'm BUGabundo, and I am Ubuntu (whyubuntu.com)
(``-_-´´) http://LinuxNoDEI.BUGabundo.net && Ubuntu LoCoTeam Portugal http://ubuntu-pt.org
Linux user #443786 GPG key 1024D/A1784EBB

@C. Cooke: that would need to be (at least) 24h for security updates, as many people delay installing fixes until the beginning or end of a day, to minimize the interruptions...

@Matthew Paul Thomas: one problem with the "popup update-manager" method is that it is not persistent. If I close that window (which I do because I don't want to install them now and it pollutes the "window list"), there is no (permanent) reminder for the updates anymore.

Noel J. Bergman (noeljb) wrote :

> Curses, our secret plan has been uncovered! Canonical is indeed trying to degrade Ubuntu,
> make it less secure, and drive average business and personal users away.

No one has said that there is any malicious intent. That's just a defensive reaction on your part. But nor do we like the direction that you have taken with this change.

> We discussed it publicly at the Ubuntu Developer Summit in December

Yes, I was there. Oh wait, no I wasn't. Nor was more than an insignificant fraction of the Ubuntu community. Most of us first got wind of the change when it dropped in our laps, and now we're letting you know how we feel about it. And it isn't just one person complaining. Actually, I'm still trying to find anyone who likes the change. In the e-mail chain, people disagreed with you. In this bug report, we disagree with you. And I certainly do not consider it appropriate for you to mark the report as invalid, anymore than it would be a generally acceptable policy for a reporter to mark their own bug as confirmed.

So now lets get away from the irrelevant defensive nonsense and talk about the problem:

> It's part of a long-term plan to clean up the notification area
> Of course the new behavior is a bit rough around the edges, but the problems are fixable.

The first is fine, and the second is a good starting point for your admission.

The unfocused window solution is NOT the desired solution for that "third kind" of notification as C Cooke classified it. And I really don't care what technology is used to get it. The end result is what matters, and I'm sure that a suitable solution can be found. After all, it is all 1's and 0's in the end. But we want some sort of persistent, dynamic, notice.

One way of looking at it is that this is a condition, not an event. it may be set & cleared by events, but it is not an event - it is a persistent condition.

2009/2/24 Noel J. Bergman <email address hidden>:
>  Actually, I'm still trying to find anyone who likes the
> change.

You now found one. I like it. It's _unfinished_ and buggy (I have
reported a couple of bugs to help in that regard), but I like the
concept and look forward to it being finished and polished.

I realise this is just a bug report, and as such we should be focusing
on _bugs_ not necessarily opinionated rants. I just wanted you to know
there _are_ people out there who like it.

Alan,

You like the new OSD? So do I. It is very nice, and that is not the problem. But do you like the lack of a persistent notification for the presence of a condition, and feel that launching the handling application, in this case the update manager, is the correct solution?

The bug isn't the new OSD. The bug is the lack of a persistent notification for the available updates condition.

Vincenzo Ciancia (vincenzo-ml) wrote :

"Instead, Update Manager should open automatically, unfocused and in the background. (When opened manually, Update Manager should still open focused and frontmost as usual.) "

So a pop-under is a solution for system upgrades? It seems to me rather a way to emulate one of the most annoying web spamming techniques on the desktop. Changes like these should have a broader discussion IMHO.

Vincenzo Ciancia (vincenzo-ml) wrote :

As my previous comment may sound more aggressive than it is, let me explain this a bit better. Quoting from above

"But seriously, we did not design this behavior yesterday on the back of a napkin. We discussed it publicly at the Ubuntu Developer Summit in December."

And quoting from the top

"Specific messages worth reading are:

  https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027434.html
  https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027451.html
  https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027454.html
  https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027437.html
  https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027445.html"

None of these messages contains ubuntu-devel-discuss as the target. That wouldn't probably suffice anyway. In my opinion, ubuntu is a successful distribution because of the effort of the community in publicising it. If it looses community consensus it may die. The effort of people is not for free: big changes should be discussed with the active community in my opinion, not just with the developers.

That's my 2 cents, and what I would really like to see. I contributed a lot of my free time in the past but I am really getting "pissed off" by serious regressions not being taken care of because changes have to be introduced, and by disruptive changes which most users won't like, that "can not be reverted because we are too late in the development cycle, and have already been discussed in <insert here a place which is not commonly accessed, or accessible at all, by users>"

More public discussion, and even being keen to change "ubuntu's mind" on some topics, would help a lot in the relationships between the community and ubuntu itself.

No aggressive tone intended here. Ubuntu is still yours more than mine, and if I really wanted to I could even fork it.

since discussion on the devel ML tended to a possibility of having UN back, i'm setting this to NEW.

Changed in update-notifier:
status: Invalid → New
Vodka (vodkaneat) wrote :

We need a method for notification of updates and we have a notification area. I don't really understand the issue. I can agree applications clutter the notification area but surely this is a real notification. I ended up here as I want passive update notification and thought it was broken.

Chris Coulson (chrisccoulson) wrote :

This is seriously annoying. I fully agree that the notification area icon is just not obvious for most users, and I fully support popping up update-manager once a week to grab the attention of those users who haven't updated their system yet.

However, as someone who likes to install updates as soon as they arrive (for example, for testing *-proposed packages), the lack of notification area icon is annoying at best and a severe usability regression at worst. In Intrepid, I would be automatically notified of the updates when they arrived, prompting me to update. In Jaunty though, I have to keep manually opening update-manager every day to check for updates, whereas this was not necessary before. When Jaunty becomes stable, I'm going to find myself doing this manual checking every day when there might only be updates once a week or so, which is a real waste of time.

I think the notification area icon should remain, but still pop up update-manager once a week for those users who don't notice the icon.

I don't get it. How else am I being informed that updates are pending?

kimus (kimus) wrote :

I was wondering why I wasn't notified of updates... no update-notifier?! that sucks!!! :-S
*I want my notifier back* and I really don't care about libnotify popups (tough was good)... a icon it's fine by me.... please :-D

Brian Curtis (bcurtiswx) wrote :

Although I understand the high importance of this bug, this is really a wishlist bug as the removal of update notifier is what has been planned and you are requesting that it be reversed.

Changed in update-notifier:
importance: High → Wishlist
Jan Claeys (janc) wrote :

According to https://wiki.ubuntu.com/Bugs/Importance "Wishlist" should be used for "a request to add a new feature to one of the programs in Ubuntu".

This bug is about a regression, not about a new feature.

(I personally think it should be marked at least "Medium", as it impacts a core application, but I'll leave it to more experienced people to decide how serious it is.)

On Wed, 2009-03-18 at 22:35 +0000, Jan Claeys wrote:
> According to https://wiki.ubuntu.com/Bugs/Importance "Wishlist" should
> be used for "a request to add a new feature to one of the programs in
> Ubuntu".
>
> This bug is about a regression, not about a new feature.

I absolutely agree that this is a regression. I had update-manager pop
up right in front of all of my work today out of nowhere. How much more
annoying can this new UI design get?

Another thing I've noticed: this auto-launching update manager doesn't even achive its stated purpose of having people install updates:
Just yesterday, I booted a drive I hadn't booted in 5 weeks.... and update-manager, of course, auto-launched....
The only problem: it didn't update the PACKAGE CACHE first... so it was showing... 5-WEEK OLD updates! That strikes me as rather stupid. I had to manually hit "Check", and only then did it show recent updates.

Jan Claeys (janc) wrote :

@Dana: that would be another bug (please file a new bug report, if one doesn't exist yet).

Brian Curtis (bcurtiswx) wrote :

So what I am understanding from everyone, is that they don't mind the pop-up BUT the fact that theres no after-reminder and/or after icon to let them know updates are available is the regression/issue? If this is the case then, i will switch it off of wishlist. There is a fine line between a regression and a wishlist, sorry if i couldn't distinguish this first.

Benjamin Fogel (benjaminfogel) wrote :

It may be a better idea to give the user some sort of control over when the pop-up will occur. That way, those who want the defaults (1 day for security, 5 days for some others, etc...) will be able to leave it like that, and the rest of us will be able to get the minute-by-minute notifications we want after running a manual "apt-get update" :)

C. Cooke (ccooke) wrote :

Brian:

Yes, I think that's the main problem. According the spec, update-manager should be a morphing window by the time this piece of work is "finished", right? That will solve pretty much all of the problems relating to it becoming a pop-up, I believe. I expect we'll end up needing to file a few usability bugs to get it all sorted and user-friendly - for instance, it's not currently a morphing window and if a partial upgrade is needed, it pops up a *focussed* window. If these aren't currently being sorted, they should be bugs... but they're not as important as the loss of passive information in *this* bug.

The basic regression, then, is thus:

1) No *continuous* reminder that a reboot or log-out is necessary. A pop-up window is a terrible thing for this: If it can't be closed, it's a constant annoyance. If it can, it's not continuous!
2) No policy for what happens if the user closes the update-manager window after it pops up. Do we really want to leave them a day (presumably) when there are security updates? Or another week if there are upgrades? The lack of some continuous reminder is a regression.

There are other issues with the *current state* of the new system which should be split out into new bugs - but those aren't regressions.

Matthew Paul Thomas (mpt) wrote :

Brian J. Murrell, the problem with Update Manager appearing in front of everything else is bug 333284.

@Brian the bug here is the removal of Update-Notifier.
It can be set on gconf (not as discoverable as wished)

But this bug introduces a few ones like Cooke mention: no control of the popup/popunder, no notification of reboot

Brian Curtis (bcurtiswx) on 2009-03-19
Changed in update-notifier:
importance: Wishlist → High
status: New → Confirmed
Jens Gottfried (jug) wrote :

I also like the Ideas behind the new notification system and I love the idea of cleaning up the notification area, but does this mean notification area is deprecated?

Agreed, there are far too many applications abusing these icons by presenting completely irrelevant icons. Mainly applications stating »Hello, I am running and there is nothing to do« should not go there.

BUT: Update notifications are a perfectly valid example of reasonable notification icons. An update is an event that requires action, sometime in the near future.

Open windows like that update notification waste space in the window list and they do appear in the application switcher (alt-tab) - Notification icons do not. They are in no possible way ever in the way of the users work flow. But with a glimpse you could determine that some action is required.

--
And now for something completely different:
Windows implements an option to install updates on shutdown. So maybe update-manager could be coupled with gnome-session-save to display the update-notifications on shutdown. That would could be another solution to the problem of users not realizing the notification icon. Of course with an option to not install the updates, because sometimes you’re in a hurry an want the system to shutdown fast.

~jug

Alethea Mack (halow8888) wrote :

I really cannot say that I'm in favor of the way this is projected, but I find myself in most agreement with the points that:
1) this should be adjustable, and
2) that there needs to be a more persistant way of notifying for needed reboots and updates not attended to (most especially security updates).

With Ubuntu's ever growing popularity, more security flaws are found, more quickly, but also stand to be exploited more often as well, in my opinion. I also believe that this should be left to be decided by the (at least more informed) people, as Ubuntu is supposed to be Linux for the people.

riban (brian-riban) wrote :

The update notifier icon (as implemented in Intrepid) is fantastic. It is clear and obvious and no one I know has been confused by it. It is only there when it needs to be. The user can decide what to do about the notification of updates. I am pretty computer savvy but relatives and friends that I have encouraged to use Ubuntu (because it is so simple to use) are not, yet find the current update mechanism good. The idea of a nag-box popping up when you don't want it reminds me of other operating systems. Such annoying prompts are a pain.

In Intrepid, I see the update. At a time that suits me (usually quite quickly) I check out what has been updated and why. I then perform the update (if appropriate).

I can't understand what is better about the new mechanism. Surely we don't want to upset our current and future users. Please keep the existing mechanism, it is great!

What feedback I do have on updates is to offer a simpler description option for non-geeks. I like the full descriptions and am worried when one is not available but others just get confused by descriptions that appear to be a different language. I know it is difficult to describe technical detail in simple (normal) terms but this would be appreciated by the non-geeks out there. (I understand Ubuntu is aimed at them!)

Steve Jackson (aearenda) wrote :

I echo what riban said. I'm likely to just disable the update-notifier altogether rather than risk having ugly pop-unders (and maybe pop-overs by mistake) happening in the middle of a presentation. Losing the existing 'gentle' mechanism for persistent reminders in favour of a 'bullying' one is a worrying development in my (forgetful but freedom-loving) mind.

ktp420 (ktp420) wrote :

I will quote:

I was wondering why I wasn't notified of updates... no update-notifier?! that sucks!!! :-S
*I want my notifier back* and I really don't care about libnotify popups (tough was good)... a icon it's fine by me.... please :-D

Can I get an option to have the icon show up if I want? Even windows gives me that option. This way if you don't care for it leave it disabled.

On Mon, 2009-03-23 at 23:06 +0000, Steve Jackson wrote:
> I echo what riban said. I'm likely to just disable the update-notifier
> altogether rather than risk having ugly pop-unders (and maybe pop-overs
> by mistake) happening in the middle of a presentation. Losing the
> existing 'gentle' mechanism for persistent reminders in favour of a
> 'bullying' one is a worrying development in my (forgetful but freedom-
> loving) mind.

What they said. I don't need to interrupted while I'm busy trying to
achieve my work task to deal with updates. I will deal with them in an
albeit expedient, however convenient time frame.

I also want to vote for the free choice.

I support innovations but please also keep an option for the more conservatives. ;-)

jerrylamos (jerrylamos) wrote :

Intrepid update notifier was fine. An applet appeared on the top line, I could attend to it at an appropriate time.

I certainly don't want a drop down window interrupting what I'm doing.

Since I'm running alpha jaunty much of the time when I boot up I invoke update manager and then do a check. If it reports "partial" then I do sudo apt-get update && sudo apt-get dist-upgrade.

Intrepid update notifier wasn't broken. "If it isn't broken don't fix it".

Jerry

Kyle Jones (mutiny32) wrote :

This is a case where I actually agree with the philosophy of "if it ain't broke, don't fix it."

Perhaps the logical progression would have been to make the update notifier configurable in a way that could be configured to do it the "old" way instead of changing it without an easy way to change it back and piss off everyone who likes their systems updated constantly.

And also, if something crashes, it's going to make people not report bugs because Apport tells them that their system is out running old crappy software, update to the new version, and then file a bug when something crashes. Sure, it may cut down on invalid bugs, but it also increases the chances of a bug slipping through the cracks when the perfect combination of things are done to cause it to show up.

In short; don't change the behavior, we don't like it your way. Ubuntu is the software equivalent of Burger King. Make it my (our) way.

bigal50 (bigal50) wrote :

That is one of the features that I liked about Ubuntu. When a security update became available the little red arrow icon would appear on the top taksbar. I then had the option to open the Updater and see what was available and then decide if I wanted to do it or not. I also had the option to make it automatic which I didn't use.

I agree with others that removing this is like taking a b ig step backward and I don't quit see why Ubuntu would want to do this.

I think most of us are used to the red arrow informing us ooof Security updates and would like for it to stay in future versions or at the very least ask us and show us the options.

Vadim Peretokin (vperetokin) wrote :

What a horrible change. I just accustomed my mom to looking at the notification area for a red arrow (update now) or an orange starburst.

And now she needs to either manually open the window and check for updates, or be interrupted in the middle of her work for them? What happened to "let the user decide their schedule" idea?

Jamin W. Collins (jcollins) wrote :

I can't agree more with the sentiment of those that want the old functionality back. Security update or no, I don't want to wait a week to be notified and then be either notified by an abrupt "in your face" pop over or a "you'll never see me" pop under.

Since starting to test Jaunty I've repeated encountered application crashes (npviewer.bin, as I recall) that apport won't let me report as the system is lagging behind on updates I wasn't aware were available since I was expecting the old behavior.

In short, security update or not, I would like to be notified in a obvious and unobtrusive manner that there are updates available as soon as my system knows that they are there. I would like said notification to be persistent but unobtrusive. I felt the method used in Intrepid and prior worked fine. I don't care for what I've seen of this new method at all.

Matthew Paul Thomas (mpt) wrote :

The problem with crash reports in out-of-date packages is bug 340970.

Jamin W. Collins (jcollins) wrote :

@Matthew, the complaint isn't about an inability to update the reportedly out of data packages at the time of a crash. That's of little use. The complaint is instead that there were updates the system knew about prior to the crash but didn't notify me about, as expected based on previous and preferred behavior. If the system knows about updates, it should (IMO) notify me that there are updates. Not wait up to a week to potentially interrupt what I'm doing or put a notification under a pile of windows so it's never seen.

Especially when testing a pre-release, updates should be presented as soon as the system knows about them.

Vincenzo Ciancia (vincenzo-ml) wrote :

I know that this bug addresses the issue of users not understanding where to click when the popup alert about updates came out. I can't understand why the obvious solution, that is, put a button into the popup notification, would not work well. I either can't understand why the most hated solution of all, that is, a dialog window coming out automatically, that is, the solution that good old windows used all the way, and that we gnome users where proud of avoiding, well, I don't understand why this is the chosen solution.

Again, taking as a principle to more or less never pop up a dialog, is one of the best qualities of gnome. Popping-under makes no sense. There's people in offices that NEVER closes firefox or openoffice, not to mention evolution. If the pop-under goes below evolution I am sure people won't notice it. Makes no sense to me! Please be constructive and discuss this a bit more. Not for me, but for the sake of our users. I know that unwanted popups trigger an automatic "close and forget" mechanism in ordinary users. Moreover, persistent popups that come out every now and then also add a sense of anger and frustration against the system that disturbs the user.

Well,

"the obvious solution, that is, put a button into the popup notification,
would not work well."

The new notifications are designed to be non-clickable. Again, design
decision. When you hover your mouse over them, they dissapear / fade out to
reveal the content below and clicks go through.

 Matthew Paul Thomas wrote on 2009-02-23: (permalink)
"... clean up the notification area, and in particular to stop using it for things that it cannot actually recognizably notify people of ... but we think making update installation more obvious will make Ubuntu more secure for more people."

I agree 100% with the goal but have to disagree with the notification not being recognizable. For 90% of new users coming to Ubuntu will quickly recognize what the icon is used for (they have already received this training on the OS they are leaving). When I first started using Ubuntu a couple of years ago this was one of the first things I learned about and I really appreciated the first class update support that notified me on a daily basis and persisted until I clicked initiate the update. If you want to improve usability for novice users a streamlined Update Manager (with an option for the old UI with additional details) would be more appropriate than removing the notification.

I fully agree with other posters that a persistent notification is required.

I think launching Update Manager would be appropriate for any machine that was way out of date (user selectable times?) and for the users that don't understand or ignore the notification icon.

I also think it would be OK to allow the user to easily migrate to the new system as the bugs get worked out by electing to turn off the notification (but I do worry that a non-persistent notification is asking for big trouble and is a big regression in functionality). Once you find that only a small fraction of users still feel the need of the notification icon it could be gently removed, but not before a *superior* mechanism is in place. It's tough to innovate without ruffling feathers, but new features should be compelling enough to make users *want* to switch, otherwise stick with what works.

pingou67 (pingou67) wrote :

Entirely agree with ruban, the notifier icon for updates (as implemented in Intrepid) is simply perfect. As against, no one like unsolicited windows. Please restore the old behavior.

Scott Kitterman (kitterman) wrote :

Looking at this blog post:

http://amber.redvoodoo.org/2009/03/ubuntu-chronicles-saga-of-amber-and_23.html

There's a way to at least get the old icon notifier back.

YES !!!
I followed the hint from the blog and it has helped! The orange icon is there... I had to downgrade one package manually with dpkg to give it try :-)

In the terminal run:
gconftool -s --type bool /apps/update-notifier/auto_launch false

and then either logout/login from X or restart update-notifier (killall update-notifier && update-notifier) and wait for next rolled-out update.

I know it's just a "me too" comment, but this issue is serious enough so I add it.

Most people here are right, as a simple user, the new mechanism is a pain and a big regression. I think this effort is a waste of time and resources.

Open a window periodically is simply bad and somewhat aggressive. Furthermore, update are checked less often which lead to security problems compared to previous behavior!

Charlie Halford (soupmonster) wrote :

I really don't understand how a pop-under window is supposed to notify the user about anything. A pop-under just isn't obvious at all. If I'm using Windows, I often find myself annoyed at any window that appears on my task bar without me specifically launching it.

The current Ibex method seems perfect, a persistent icon is included in an area that is generally unobtrusive, and a balloon explaining the icons purpose appearing beneath it, for a short period. The only problem I might have with this solution is that occasionally the bubble gets in the way of work I want to do.

Please, please, please regress this change, as I almost guarantee the feedback when Jaunty drops will be universally negative.

Will there be any words on this?

It's bad enough that this feature was practically not covered anywhere
public but the UDS (personally I did not sit and listen to every uds session
or read every transcript, I'd expect something important to show up in a
publicly visible space like planet ubuntu or fridge), there is also no
response from the developers for two days, when there is a clear issue.

Vadim, you'll want someone like Mark commenting on this, or a member of the DX team. Any other developer won't cut it (as we're effectively users in this instance, and many of us don't like these changes either).

Also, i'm not sure this *particular* bit was mentioned at UDS - I remember seeing the mockup of what they planned for notification, with the black boxes, but I don't recall hearing them talk about, let alone, show mockups of, cleaning up the notification area. This is likely why no one blogged about it (at least that i saw) - perhaps they all missed it too, or it just wasn't there.

Either way, I'm sad to say that this hasn't been handled well by Canonical, and, unless the DX team decide to go and break even more freezes (such as the UI freeze), we'll be stuck with it like this for Jaunty. One can only hope that there is a better result in Karmic, and that not too many users are lost to other distributions, due to the regressions they see in Ubuntu.

Vincenzo Ciancia (vincenzo-ml) wrote :

I'd like to point out that the "old" notification style is still used by apport, where the notification text points to the icon in the notification area. Including a picture of the icon would in my opinion ease the understanding of the upgrade request. Also, notifications seems to start close to the icon in pidgin for example, so maybe their shape can become that of "pop-up balloons" actually STARTING in the originating icon, if any? I think that should definitely make it clear.

Matt Wheeler (funkyhat) wrote :

I would like to second (third, fourth?) the point that while cleaning up the notification area is a good idea as applications are abusing it, the update -notification- icon IS A NOTIFICATION!
Surely that means it is something that does belong there, and shouldn't be messed with?

I think removing it is a bad move

Steve Beattie (sbeattie) wrote :

Assigning to the dxteam, per the regression tracking process.

Changed in update-notifier:
assignee: nobody → dxteam
Steve Beattie (sbeattie) wrote :

Bah, sorry, assigned to the wrong team.

Changed in update-notifier:
assignee: dxteam → canonical-dx-team
Ante Karamatić (ivoks) wrote :

If it would be possible to reverse behavior for next releases - great, let's try this new way. Let users bash or glorify us. But if we get serious bashing, those who decided that we should go this way (even though majority of us don't like it), should admit they are wrong and kill this idea.

Remember the spatial browsing?

Pauli (paniemin) wrote :

From security point of view this idea sounds horrible. There is claim that this is made to improve security but only way to do it is make automatic security update install default in new installations.

Here is one good idea that is implemented very badly. So my idea of implementing removal of icons from notification areal is that it has to be easily configurable to user.

I want to have easy access to background applications and open window is much worse than icon. Notification icno is many times smaller than window selector entry. For me it would be better if I could configure even more applications to use notification icons to help me to interact with them. And my guess is that I'm not alone who hopes that there is way to have easily clickable icon for many background running programs that I use infrequently.

It is good idea to try new UI design but you should also do UI testing and compare new and old interface. Preferable as near as possible of real world usage pattern. That way at least the worst usability bugs would be fixed in new implementation before making . people hate it.

PS. If you make radical changes toUI you will always get bad initial reaction. But if new design was really improvement (and no major bugs) nearly everyone will accept it shortly.

Mark Shuttleworth (sabdfl) wrote :
Download full text (4.1 KiB)

Nothing like a healthy debate. But please let's keep it stylish, informative and pleasant. There are some comments here that are not very Ubuntu. Please take a breath, and pour some water on any flames you're about to throw. They don't help.

Now, some folks are saying "why wasn't I consulted about this change?". But think about this. You probably weren't directly consulted on a million other changes that make up this release. Most of those came from upstream, some came from Debian, and many were made right here in Ubuntu. We have a lot of very public, open, participative forums, but nobody can be in every forum, on every thread, in every meeting, on every channel. The fact that there is a change here that surprises you isn't grounds for shouting out that the change itself was made in bad faith.

Also, the fact that this change was driven by a team at Canonical (including me) is no reason for conspiracy theories or abuse. Canonical drives a huge amount of changes, mostly in proportion to the person-hours contributed, but we invest Ubuntu alongside the rest of the community, and we work hard at making that relationship a success. I've personally spent quite a lot sponsoring some of the people who are most vocally upset here, to come to UDS's, so I'm not all that sympathetic to them saying that Canonical doesn't make an effort to hear their voices.

Now, on this specific issue.

We have good usability information that says that notification areas are swamps. They are swamps on Windows, and swamps in all the Linux distributions. They inevitably become dumping grounds for "things that don't fit". Users dislike them, and application vendors abuse them. Most of all, average users don't understand the majority of the information that is presented there, because it's all inconsistent and often arbitrary. We want Ubuntu to be better than that. So we have been studying the panel indicators and trying to figure out what we can do to make it better.

Now, this is highly sensitive stuff. People who DO understand something there, are often very attached to it, because it's very visible. We're going to cause a lot of ruptions, and we might get the odd thing wrong.

But, we're not afraid of making bold moves. Ubuntu itself was a bold move, and has attracted a fair amount of criticism for its very existence, but that didn't stop us. If we want to transform the Linux desktop from where it is today, to something that Apple will feel obliged to emulate in parts, we are going to have to make bold moves and big changes, and those will cause distress. If we're right, the result will be fantastic, and the changes will be embraced by other distributions and upstream. If we're wrong, they won't.

We are focusing our design and user experience attention on the elements of the experience that span multiple applications. Notifications, and the notification area, are two such elements. We developed a framework for "how applications engage with the user when they don't have the focus". We tested those ideas, and we think they are worth taking some risks to achieve. MPT documented that conceptual framework, it was discussed, and now we are getting down to work.

Back to th...

Read more...

Changed in update-notifier (Ubuntu Jaunty):
status: Confirmed → Won't Fix
summary: - [Jaunty] Removal of Update Notifier is WRONG
+ [Jaunty] Update Notifier icon would provide useful status information
Changed in ubuntu-release-notes:
importance: Undecided → Low

Well spoken Mark.

I would'nt lie if I said that this decision was a strange one that actually sounds kind of bad to me. Especially the part being interupted by updates when you work.

However as Matthew says, this behavior was not designed yesterday on the back of a napkin and there is propably a great deal of thinking behind such a bold move. I guess we'll just have to trust you on this one, it may turn out great in the end :)

Vadim Peretokin (vperetokin) wrote :

Great reply but it's lacking in substance of answering the question. By experts being able to get it back, I assume you mean downgrading.

What do the non-experts do though? My mother, a non-expert user, couldn't care less about updates - because she doesn't get on her computer to update it but do other work. She definitely doesn't or won't be launching the update manager manually to check, and at best, will be disrupted (as she previously was) by the popup notification, except this time it'll spawn a window to be more intrusive.

Maybe there is a link specifically to this update-notifier decision? I've read the meaning behind notify-osd, but spawning unsolicited windows and making important security processes less visible wasn't mentioned.

On Fri, 2009-03-27 at 19:29 +0000, Mark Shuttleworth wrote:
> Nothing like a healthy debate.

Indeed. So let's kick it off with where we stand right now and that's
(afaik, correct me if I'm wrong) no notification icon anymore and an
update-manager window that pops up once-a-week (in absence of critical
updates) and interrupts me. Is this understanding correct?

I'm not sure I see how popping up windows in front of what users are
actively working on is good UI design.

I have caught wind that this popping up of windows might somehow be
molded into "morphing windows" or somesuch thing, that tbh, I don't
understand. Am I off base yet/still?

I guess the question is then, if windows popping up and disturbing one's
workflow is not the final UI design in all of this, will the final
design be done before Jaunty is GA? And if not, then why start exposing
users to this new way of doing things while it is still ugly, disruptive
and not complete state?

b.

Iain Lane (laney) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Brian J. Murrell wrote:
> On Fri, 2009-03-27 at 19:29 +0000, Mark Shuttleworth wrote:
>> Nothing like a healthy debate.
>
> Indeed. So let's kick it off with where we stand right now and that's
> (afaik, correct me if I'm wrong) no notification icon anymore and an
> update-manager window that pops up once-a-week (in absence of critical
> updates) and interrupts me. Is this understanding correct?

No, they pop in the background, unfocused. I personally don't think this
is the right behaviour either, but at least it's not disruptive in that
way. Nobody would be insane enough to try that ;)

Iain
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAknNNlwACgkQPy0SnCC/zcellwCfSoMNFugRrU9sg+RbL/O+p4Qq
On4An0wi0sVMku9Ku1dt9e6ws57WXfFg
=XIFP
-----END PGP SIGNATURE-----

Hi everybody, Discussion should probably be moved to the Ubuntuforums, http://ubuntuforums.org/showthread.php?t=1097110

Thanks everybody for your interest in this topic. Your interaction in bug reports really helps make Ubuntu a better place. Please keep reporting bugs as you encounter them!

~Brian Curtis
Bug Control Member

No downgrade neccesary at all... it is just GConf setting ... In the terminal run:
gconftool -s --type bool /apps/update-notifier/auto_launch false

restart X and you are done. It's working for me.

On Fri, 2009-03-27 at 20:13 +0000, Brian J. Murrell wrote:
> On Fri, 2009-03-27 at 19:29 +0000, Mark Shuttleworth wrote:
> > Nothing like a healthy debate.
>
> Indeed. So let's kick it off with where we stand right now and that's
> (afaik, correct me if I'm wrong) no notification icon anymore and an
> update-manager window that pops up once-a-week (in absence of critical
> updates) and interrupts me. Is this understanding correct?

No.

What should happen is that the window should pop up behind other
windows. In this way it won't steal focus or have accidental clicks.
There would be several problems with it popping up in front of what the
user is working on.

If there are security updates, it won't wait for a week to show the
window, and the window will call for attention -- meaning that it should
pulse in the window switcher, to encourage the user to interact with the
window and install the security updates.

On Fri, 2009-03-27 at 20:26 +0000, Iain Lane wrote:
>
> No, they pop in the background, unfocused. I personally don't think this
> is the right behaviour either, but at least it's not disruptive in that
> way. Nobody would be insane enough to try that ;)

So hidden under all of the other windows that literally cover very
square inch of my screen?

In any case, I don't think my experience was that it was popping up
under other windows. I saw the update-manger up on top of all of my
other windows.

I just fail to see how unsolicited application pop-ups that cover a
major portion of my screen real-estate is good UI design. Maybe a
lesson about "pop-ups" needs to learnt from the popularity of web
browser pop-up blockers. Surely that lesson is not being ignored, yes?

b.

On Fri, 2009-03-27 at 20:33 +0000, Brian Curtis wrote:
> Hi everybody, Discussion should probably be moved to the Ubuntuforums,
> http://ubuntuforums.org/showthread.php?t=1097110

Uhm, please no. I don't "interact" on web pages/forums. I don't have
the time or attention to go check forums multiple times a day to see if
there might be conversation updates (never mind having to tolerate
people's whizzy-bangy-eye-candy-graphical avatars and other crap, and
having to scroll through pages of messages I have already read, etc. --
in two words: forums suck). I much prefer conversations in tools that
were meant for them, like e-mail (read: very high signal-to-noise ratio
with regard to content vs. eye-candy), which I get with Launchpad bugs.
b.

Download full text (10.5 KiB)

On Fri, Mar 27, 2009 at 4:40 PM, Brian J. Murrell <email address hidden> wrote:

> I just fail to see how unsolicited application pop-ups that cover a
> major portion of my screen real-estate is good UI design.

It's not good design. I don't think the Canonical team is even suggesting it's good design. That's what I don't understand. I've been watching this conversation for a while, and now that I saw Mark make his comment, what I feared is true.

Some things we all agree on (maybe?):
The notification area shouldn't be a place to display open tasks; that's for a window list applet. If your task doesn't need to notify the user of new events, or a change in status, then it has no place putting an icon in the notification area.
Tasks with frequently changing status that don't have panel applets like to put icons into the notification area. I'm looking at Gajim right now in my notification area. The application has a setting which allows me to have the icon appear at all times, or only to appear when there are events I haven't given attention. The latter is, what I can tell, the intended purpose of the notification area. A quick glance shows me if there are any new messages since the last time I checked. No envelope? Back to ignoring it. (Usually sounds do the trick, but they aren't working for me right now :)

Now here's where the developers are starting to change things:
"Bubbles" as they used to be called, or as I used to know them as anyway, were little, tiny border- and decoration-less windows that popped up near the notification area (or in an area of our choosing). These bubbles were to give more information about an event that needed attention or a change in status than a simple icon change or animation. These bubbles became actionable (click on me to address the event, or ignore me to address it in your own time, and I'll go away in a few seconds). These bubbles became numerous and there was (still is) no standard for their content or the actions performed when clicking (or right clicking) on the bubble or the icon itself.

There was talk that the lack of standards led to security issues. "Click here to address this issue" was construed by some as click on this bubble, instead of the icon it was supposed to draw attention to. When clicking on the bubble did nothing, some blamed the idea of having bubbles at all as being too confusing because of the lack of standards, rather than addressing the poor UI of that particular bubble. Couldn't we have made clicking on the bubble and the icon do the same thing? Some people see the lack of a specific, coherent standard of content and click behavior as freedom put in the developers hands for how they want their user to interact with their programs and vice-versa. I'm guessing that 'some' definitely includes individual application developers more than developers of the desktop itself. The issue became that notifications were falling by the wayside, that some bubbles were more critical than others, but since there was (is) no standard, people weren't giving critical notifications their due.

I certainly see where the developers of the desktop as a whole are coming from here. Bubbles were non-standa...

Op vrijdag 27-03-2009 om 19:29 uur [tijdzone +0000], schreef Mark
Shuttleworth:
> Back to the notification area. If we're going to clean up the panel and
> the notification area, we should start with the system pieces. Those
> include the restart-required icon, and the updates-available icon. So
> those are gone in 9.04. There are ways for experts to have that
> functionality if they want it.

I suggest that even if a user chooses to see the icons instead of the
popup/popunder, that if he/she didn't install security updates after 3
days, the popup/popunder should still happen. That way you can make
sure that the wannabe experts that follow all those 'how to "fix"
ubuntu' blogs & websites will still install security updates...

--
Jan Claeys

I just did a update and upgrade using apt-get. After the upgrade, I got two notification, one for Firefox needs to be restarted and click here for more information, and another for you need to restart you system and click here for more information.

Now two questions and are these bugs:
1) I thought notifications are not click-able. So why does it say click me for more information. Also they disappear within few seconds. I didn't even get to finish reading all the info in both before they were gone. Good think I knew what they were. Is there preferences to set how long to keep the notifications up before closing it? I can see this being issue if you get few notifications together and can't read all of them in whatever the time is now.

2) I thought you said:

> Date: Fri, 27 Mar 2009 19:29:34 +0000
> From: <email address hidden>
> Subject: [Bug 332945] Re: [Jaunty] Removal of Update Notifier is WRONG
> ....
> Back to the notification area. If we're going to clean up the panel and
> the notification area, we should start with the system pieces. Those
> include the restart-required icon, and the updates-available icon. So
> those are gone in 9.04. .....

But I got both Firefox needs restart icon and restart required icon. Is this another bug? If it is, then will the dialog, which is shows the information when user clicks the notification or icon, be opened like updates-available dialog when the notifications are shown?

ktp420 (ktp420) wrote :

Also forgot to say that the upgrade notification icon showed up showing that "a package manager is working" while the updates are being installed. How is this useful?

Jamin W. Collins (jcollins) wrote :

Sounds like you've made the gconf change to restore the original behavior.

ktp420 (ktp420) wrote :

Funny thing is I didn't. But now I am going to since this is just logical to me. Call me an export.

On Sat, 2009-03-28 at 00:02 +0000, ktp420 wrote:
> But I got both Firefox needs restart icon and restart required icon. Is
> this another bug? If it is, then will the dialog, which is shows the
> information when user clicks the notification or icon, be opened like
> updates-available dialog when the notifications are shown?

Yes, they are bugs. We were looking into them this afternoon.
Hopefully they'll both be fixed shortly. If you have any other
information on how to reproduce them, that'd be great.

Ted Gould (ted) wrote :

On Fri, 2009-03-27 at 23:10 +0000, michael perigard wrote:
> Now I've seen the emergence of the "indicator-applet" which seems to me
> to be an attempt at a notification area with standards. I feel like
> there's a bit of wheel re-inventing going on. We already have an area
> for notifications. Most applications I use that can put an icon in the
> notification area but don't really need to give me the option of it
> being there in the first place (banshee, rhythmbox, gajim when there are
> no pending events). If the issue is clutter, get on the individual
> developers. The way I see it, in a desktop without a notification area,
> the only way to notify a user is with a pop-up window. It seems to me
> that the notification area was an attempt at progressing past pop-up
> windows. We've now gone from getting rid of automatically starting a
> program and placing it on the desktop, to a simple, unobtrusive icon in
> an area meant for such notifications, back to popping up the
> application. This seems like a step backwards to fix a problem that has
> come about from cruft and misuse of a good idea, not progress. I feel
> like the developers could have gone and filed bugs with the applications
> that sit in the notification area for no good reason if they felt there
> was clutter that was ruining it's purpose rather than removed an icon
> that seemed at home where it was. Take up the issue where the issue is.

I wanted to say something about your comment that we're reinventing the
notification area. In some ways you're entirely correct. There are
some key points you're missing.

The notification area is fundamentally broken. It's broken in the fact
that what it requires is applications to make a small X window, which
then gets embedded into the panel. This means that the application must
learn what the interface of what is around it is, and conform to that.
There is no reasonable way for applications to learn how all the
different panels work, and make custom behavior for all of them. What
is better is if the applications export the data they want to appear
there, and leave the rendering of that data to the panel itself. Then
it will be consistent with the UI concepts that are being used.

Secondly, on most panels, and this is especially true of netbooks, it's
unreasonable to think that every application could have their own little
icon. There's simply not enough space. At that point we need to start
grouping them, and grouping them by features makes a ton of sense, but
that quickly leads to the UI embedding problems discussed above.

The notification area is a broken concept, and fixing all the
applications won't fix that.

> make decisions based on attracting users who want
> everything to 'JustWork',

Hopefully from the installer experience on you start to realize that we
want it to "just work" for everyone on the planet, not just the elite
who enjoy tweaking their computers. If you'd like to see what we think
about market share, I'd recommend Bug 1. :)

Jan Claeys (janc) wrote :

(CC'ed to ubuntu-devel-discuss, as this is where further discussions
should happen. Please everybody answer there.)

Op zaterdag 28-03-2009 om 02:23 uur [tijdzone +0000], schreef Ted Gould:
> The notification area is fundamentally broken. It's broken in the
> fact that what it requires is applications to make a small X window,
> which then gets embedded into the panel. This means that the
> application must learn what the interface of what is around it is, and
> conform to that.
> There is no reasonable way for applications to learn how all the
> different panels work, and make custom behavior for all of them. What
> is better is if the applications export the data they want to appear
> there, and leave the rendering of that data to the panel itself. Then
> it will be consistent with the UI concepts that are being used.

I agree with that mostly, and I think most developers will agree with
this idea in principle. One important issue that people have been
complaining about is that you[*] removed some very important icons in
the notification area without providing an alternative.

No, the popup/popunder is not an alternative, because it's not
_persistent_ (it seems like you[*] don't understand this, because I
haven't seen a single answer to this complaint--except for "disable the
new behaviour of update-notifier completely").

What you[*] should have done is provide an alternative: exporting the
data so that something can display it, and provide at least a basic
"something" so that it actually gets shown. (Maybe it's possible to
include this in the new indicator-messages applet, I don't know.)

[*] not you personally of course, but the whole group of people involved
in this change

--
Jan Claeys

Ted Gould wrote:

Hopefully from the installer experience on you start to realize that we
want it to "just work" for everyone on the planet, not just the elite
who enjoy tweaking their computers. If you'd like to see what we think
about market share, I'd recommend Bug 1. :)

fair enough. and I was aware of Bug 1 before I wrote my tirade, so I should have known better. I'm constantly frustrated by those who don't want to put in *any* effort - there are definitely people in between them and a computer engineering student who codes for a living and loves filing bug reports - and I'm not against simplifying processes and unifying. I agree that it'd be nice if there was a framework that applications could feed into and leave rendering to the desktop; the notification system comes to mind. I also admit to not knowing much about the notification area backend. I'm a fan of customization, and I've seen where efforts to standardize something ends up completely sacrificing options to customize. It's also that... there's just those few things that shouldn't "just work", and I worry that implying that Ubuntu security is something that takes care of itself without you having to know *anything* about it creates a false sense of security. I think you should be able to draw a line at a point where you expect the user to learn something about the operating system and how it works.

Oh, and I certainly wasn't advocating every application have their own icon. If a program is running on another workspace or in the background and doesn't need to notify me of state updates or new events, it shouldn't take up any precious space on my desktop at all, in a panel or not. Is the indicator-applet cross-desktop (gnome, kde, xfce, etc)? I've asked a few questions on the indicator-applet launchpad to no avail. Maybe the update-notifier/manager should be the first application to appear in the indicator-applet? :)

"Notification area is broken" - most applications provide an option to show
the notification. Personally, I see it as a useful space for the application
to go away, while still running, and not using up space in my window space.

So I still don't see how to "fix" the broken applications.

Just to be more precise, I have nothing against the new notifyosd.

But, I think, there is a problem with update-notifier implementation. The permanent reminder for "updates available" or "reboot required" is very important for every users (everyone doesn't want to update or reboot immediately), this information is lost in Jaunty and I think it's a very bad thing. Maybe there is other way that icon in notification area, but this information is very useful.

On 27/03/2009 Mark Shuttleworth wrote:
> We have good usability information that says that notification areas
> are
> swamps. They are swamps on Windows, and swamps in all the Linux
> distributions.

Dear Mark,

I see your point, but we all know from years of experience that pop-ups
and pop-unders are only considered an annoyance by users, and that they
don't fit for the purpose. That's why most of us were proud of the gnome
way: to avoid as many pop-ups as possible. This gave ubuntu a "rock
solid, unannoying" feeling that made it extremely competitive on
usability over windows.

We all are complaining because we feel that pop-under or whaterer are
just wrong, and we want ubuntu to be perfect :)

In any case I appreciate a lot the work of canonical: to summarize,
"jaunty is lovely".

Vincenzo

Olá Ted e a todos.

On Friday 27 March 2009 20:36:13 Ted Gould wrote:
> If there are security updates, it won't wait for a week to show the
> window, and the window will call for attention -- meaning that it should
> pulse in the window switcher, to encourage the user to interact with the
> window and install the security updates.

Many users dont even have the window switcher. They use AWN or Gnome-DO Docky.
How are this group of users be alerted to updates?

--
Hi, I'm BUGabundo, and I am Ubuntu (whyubuntu.com)
(``-_-´´) http://LinuxNoDEI.BUGabundo.net && Ubuntu LoCoTeam Portugal http://ubuntu-pt.org
Linux user #443786 GPG key 1024D/A1784EBB

On Saturday 28 March 2009 04:11:31 michael perigard wrote:
> Is the indicator-applet cross-desktop (gnome, kde, xfce, etc)?

AFAIK no. Its primarily for GNOME, but the Xubuntu team did some tests on it, and I think they gave up.
Kubuntu will not use it for this cycle, and AFAIK KDE has its own Upstream project to clean the system tray, creating a set of 5 groups of apps that *can* use the tray. Maybe DX could talk to them to get the work done for Kubuntu 9.10 Koala cycle? No need to have two teams doing same stuff.

> Maybe the update-notifier/manager should be the first application to appear in the indicator-applet? :)

I would like to see that too.

--
Hi, I'm BUGabundo, and I am Ubuntu (whyubuntu.com)
(``-_-´´) http://LinuxNoDEI.BUGabundo.net && Ubuntu LoCoTeam Portugal http://ubuntu-pt.org
Linux user #443786 GPG key 1024D/A1784EBB

On Sat, 2009-03-28 at 04:11 +0000, michael perigard wrote:
> Oh, and I certainly wasn't advocating every application have their own
> icon. If a program is running on another workspace or in the background
> and doesn't need to notify me of state updates or new events, it
> shouldn't take up any precious space on my desktop at all, in a panel or
> not. Is the indicator-applet cross-desktop (gnome, kde, xfce, etc)?
> I've asked a few questions on the indicator-applet launchpad to no
> avail.

Currently it is not, but we're working to make it so. I haven't noticed
the questions on LP, I'll try to get answers to them. Sorry about that.

Vincenzo Ciancia wrote:
> I see your point, but we all know from years of experience that
> pop-ups and pop-unders are only considered an annoyance by users, and
> that they don't fit for the purpose. That's why most of us were proud
> of the gnome way: to avoid as many pop-ups as possible. This gave
> ubuntu a "rock solid, unannoying" feeling that made it extremely
> competitive on usability over windows.
>
> We all are complaining because we feel that pop-under or whaterer are
> just wrong, and we want ubuntu to be perfect :)

And I see your point! We've been focused on the idea that the action
itself should be immediately accessible to the user (rather than a
notification followed by a clickable panel icon followed by the action
:-)). But the windows itself could be minimised. Let's explore that. I
think it may be too late for Jaunty but I'll see what we can do.

MPT, can you see any issues with having the window start minimised?
That's consistent with our longer-term plans for elegant
calling-for-attention. If you think it's workable, would you raise it
with MVO and see if it's a one-liner or close to it for Jaunty?

Mark

Mark Shuttleworth ha scritto:
>
> And I see your point! We've been focused on the idea that the action
> itself should be immediately accessible to the user (rather than a
> notification followed by a clickable panel icon followed by the action
> :-)). But the windows itself could be minimised. Let's explore that. I
> think it may be too late for Jaunty but I'll see what we can do.
>

 From the beginning, this issue made me think of IM programs such as
pidgin. There, you have exactly the same problem: there are messages
pending for you, and you have to choose how to be notified. Notice that
the various modalities (blinking or non-blinking notification icon,
pop-up window, pop-under window, pop-up minimised window) are _already_
(!) a choice in most IM clients. Because they had to solve this problem
before.

Here I'd like to argue that the two problems are the same problem and
their solution should be the same, as the system is actually an entity
talking to you. Of course your mileage may vary, but I would be happy to
start a blueprint if there is consensus, with the idea of using a
_local_ IM protocol (such as bonjour) and an IM client (either pidgin or
a lightweight ad hoc receiver) to notify the user.

Motivations are as follows:

- IM clients already have to solve the problem of notifying the user.

- it is evident to most users that they can configure how to get
notified of new messages (pop-ups, minimised pop-ups, blinking icons etc.)

- Pidgin already uses the new notification machinery, hence pretty
notifications would be automatically obtained

- messages can contain URLs. One can use a clickable URI to run a
program - e.g. update-notifier. Indeed, these URIs must be made
clickable in the client _only if_ coming from the system account. And
for more security enabled applications could be whitelisted as one can
do with sudo.

- If ALL the applications notify via this system, there can be a
"system" buddy that notifies you of ALL system messages, instead of a
SEPARATE window for every application. Enabling the chat log in the IM
client will save all the messages that the system sent to you, so that
you can choose when to take a look at all the pending messages (e.g.
before going home from office).

- Having a chat window is perceived as much less annoying than a perhaps
non-standard pop-up dialog, and would enable for the future smart
applications, such as enhanced "intelligent" interactions and dialogues
with the system, as it happens with IRC bots.

- many more reasons but I first would like some impression on these.

- the only problem I see is: how to make a notification persistent
across different sessions? That's a problem also in pidgin: if I close
the session without reading a pending message, will I be notified next
time? I don't think so. But perhaps this is easy to solve, and indeed
would be part of the blueprint.

Vincenzo

I personally don't think an Instant Messaging program would be a correct fit for messages relating to system updates. Not all users have an IM running all the time, and if the solution would then be to create a lightweight message notifier, we are just re-inventing the update-notifier wheel.

The solution in Jaunty seems to very closely model the OS X method for update notification, which is one I feel is very inelegant and clunky.

Mark said previously that users feel like the notification area is a swamp, and I agree. Very few programs have a need to be there. However, I honestly feel like update-notifier is one that should remain there, and if it is unrecognisable by new users, then that should be worked on separately.

On Mon, Mar 30, 2009 at 1:56 AM, Mark Shuttleworth wrote:

> But the windows itself could be minimised. Let's explore that. I
> think it may be too late for Jaunty but I'll see what we can do.
>

That is a really wonderful idea! I think this would solve a lot of the
usability issues and also eliminate any bugs regarding z-ordering / focus
issues.

Jamin W. Collins (jcollins) wrote :

Michael Rooney wrote:
> On Mon, Mar 30, 2009 at 1:56 AM, Mark Shuttleworth wrote:
>
>> But the windows itself could be minimised. Let's explore that. I
>> think it may be too late for Jaunty but I'll see what we can do.
>
> That is a really wonderful idea! I think this would solve a lot of the
> usability issues and also eliminate any bugs regarding z-ordering / focus
> issues.

While it may solve/mitigate some of the complaints. It will also
expose/aggravate a bug in Metacity with multiple workspaces. If a
window is minimized on one workspace, and the user is on any other
workspace, clicking on the window in the window list on the panel does
nothing other than flash the entry. The use has to be on the same
workspace the window was minimized on in order to restore it. I've
verified that this is still a problem with up to date Jaunty.

Reported here: http://bugzilla.gnome.org/show_bug.cgi?id=571588

This is one of the prime reasons replacing Metacity with Openbox is one
of the first things I do after install.

Then there's also the fact that the default configuration of the window
list is to only show the windows for the current workspace. So, what
happens when a user is on workspace 1, the window opens minimized, and
then the user switches away from the workspace without noticing it? Are
we then going to set the window to be on all workspaces minimized?

It may just be me (though I seriously doubt it), but this seems like an
awful lot of effort for something that will only annoy users.

--
Jamin W. Collins

well i thought it was a bug that the icon notifying about new updates is gone and after reading the comments (i admit not all) i still think its a bug even though it was planed

i think new updates are important info that i would like to know about

Jamin W. Collins wrote:
>
> If a window is minimized on one workspace, and the user is on any
> other workspace, clicking on the window in the window list on the
> panel does nothing other than flash the entry. The use has to be on
> the same workspace the window was minimized on in order to restore
> it. I've verified that this is still a problem with up to date
> Jaunty.
>
> Reported here: http://bugzilla.gnome.org/show_bug.cgi?id=571588

I knew there was an older report of that bug:
https://bugs.launchpad.net/ubuntu/+source/metacity/+bug/216049

Appears it was closed for non-response. Wouldn't have taken but a few
moments for the individual that closed it verify it. All necessary
information was in the bug report.

--
Jamin W. Collins

Vincenzo Ciancia (vincenzo-ml) wrote :

On 30/03/2009 Michael Rooney wrote:
> > > But the windows itself could be minimised. Let's explore that. I
> > > think it may be too late for Jaunty but I'll see what we can do.
> > >
>
> That is a really wonderful idea! I think this would solve a lot of the
> usability issues and also eliminate any bugs regarding z-ordering /
> focus
> issues.
>

I tought about this today; while minimised windows are better, they will
get in the way of alt+tab. That's desired, because the idea here is to
"interact with the user immediately". But that's wrong with users:
suppose I am revising a paper, I constantly alt+tab between the comments
that I am writing in plain text, and the pdf of the paper. If a window
gets in the middle of the process it distracts me. Now I am tolerant to
computers :) But an employee in a non-techie company will inevitably say
"who is the System and why does He think that he can ask for my
_immediate_ attention???".

Now that gives me one more argument to adopt the "instant messaging"
interaction pattern: users deal with IM every day. When they don't want
to be disturbed they set their status to "busy". We have support for
this in the FUSA applet which is on the default desktop. A polite
interlocutor will not disturb you while you are busy, unless it's really
urgent.

A polite System, like ubuntu is expected to be, would in this case
postpone the notification. A really urgent notification such as "the
system is about to burn, turn it off please" would go trough instead.

Vincenzo

On Mon, 2009-03-30 at 20:50 +0000, Vincenzo Ciancia wrote:
>
> Now that gives me one more argument to adopt the "instant messaging"
> interaction pattern: users deal with IM every day. When they don't want
> to be disturbed they set their status to "busy". We have support for
> this in the FUSA applet which is on the default desktop. A polite
> interlocutor will not disturb you while you are busy, unless it's really
> urgent.

Disagree. I don't fiddle with my IM status. If I'm busy, I just ignore
you because you don't get to pop up a window in front of my work. I
deal with you when I have a chance. I expect to treat my System in the
same way.

b.

On Mon, Mar 30, 2009 at 1:56 AM, Mark Shuttleworth wrote:

> But the windows itself could be minimised. Let's explore that. I
> think it may be too late for Jaunty but I'll see what we can do.
>

Is it just me or am I missing something? Isn't the hole point of notification system to NOTIFY the user when important/critical information user needs to know about? What's the point of the notification system if you don't want to notify the user that there is critical updates?

Why are we trying to make things hard here? Why not solve the real issue here? We are going for in your face open window to minimized window which someone might miss. What happens if someone does not see the minimized window, will it open up again next time system is restated?

Why not just have a little bouncing icon like MAC as? It's in your face. (I hope you don't do that.)

Walter_Wittel (wittelw) wrote :

 Vincenzo Ciancia wrote :

> - messages can contain URLs. One can use a clickable URI to run a
> program - e.g. update-notifier. Indeed, these URIs must be made
> clickable in the client _only if_ coming from the system account. And
> for more security enabled applications could be whitelisted as one can
> do with sudo.

I'm *very* glad to see security addressed. One problem with a "Click Here" window floating around is for the new user to understand if this is a system update or a phishing popup from Firefox. This is a common practice on that other OS we all want to get away from ("A virus has been detected, Just click here to fix your system"). The first successful attack will warn users away from updating ever. Getting security right is of the utmost importance. As a user I would like to understand how the windows can be (visually or otherwise) distinguished from a malicious popup to trick me into pwning my machine.

BTW, with a notification I feel more confident because the notification had to get installed with admin permissions and when I click it I have a high degree of confidence it will launch the Real(tm) update-manager rather than a trojan. That isn't to say this problem couldn't / shouldn't be solved for floating update notification windows.

> - If ALL the applications notify via this system, there can be a
> "system" buddy that notifies you of ALL system messages, instead of a
> SEPARATE window for every application. Enabling the chat log in the IM
> client will save all the messages that the system sent to you, so that
> you can choose when to take a look at all the pending messages (e.g.
> before going home from office).

I agree, there should be a central place where I can get all important notification, and the existing notification area is likely too heavily used / abused to fix. But please per above make it something that I can easily trust.

> - the only problem I see is: how to make a notification persistent
> across different sessions? That's a problem also in pidgin: if I close
> the session without reading a pending message, will I be notified next
> time? I don't think so. But perhaps this is easy to solve, and indeed
> would be part of the blueprint.

Also a crash with a pending update notification that doesn't come back to remind me of the fix is potential death to the system. Or else everyone goes back to polling the servers when ever they feel the urge. Maybe the pidgin interaction model is worthy for consideration but may need a new implementation to handle persistence.

On 30/03/2009 Brian J. Murrell wrote:
>
> Disagree. I don't fiddle with my IM status. If I'm busy, I just
> ignore
> you because you don't get to pop up a window in front of my work. I
> deal with you when I have a chance. I expect to treat my System in
> the
> same way.

Not completely clear: do you have your IM open minimised windows in
front of you or what is your preferred method of being notified? Don't
minimised windows interfere with ALT+TAB so they actually come up every
now and then, and you have to close them or move to another desktop?

Vincenzo

Surely the solution for this is simple. Install updates automatically by default (but make it an option that power users can change).

This entire thread is about forcing people to click a button that says "update", and plenty of suggestions have been dismissed on the basis that the user might, as a result, decide not hit that button. If we're so keen on people to do this, why not do it for them?

In the case that someone has set to be notifed (instead of updating automatically), pop up a new-style disappearing notification every 24 hrs if there are updates, like so:

There are 12 updates available, of which 4 are security fixes

If they still haven't installed the security updates after 7 days, then open Update Manager unfocused like the current plan. If there are no security updates then still notify of the regular updates, but never open Update Manager.

On Tue, 2009-03-31 at 07:37 +0000, Vincenzo Ciancia wrote:
>
> Not completely clear: do you have your IM open minimised windows in
> front of you or what is your preferred method of being notified?

No. I have two windows (I use pidgin) displayed all of the time. I
never minimize them. One window is the buddy list and the other a
window of tabs, one tab for each buddy (that has messages pending) and
one for each irc channel I am on.

I may not be your typical IM user though. I use IRC (in pidgin) all day
5 days a week as my main method of communicating with colleagues,
because I telecommute for work.

> Don't
> minimised windows interfere with ALT+TAB so they actually come up every
> now and then, and you have to close them or move to another desktop?

I never minimize my pidgin windows. I also use devilspie to have them
skip the tasklist and be visible on all workspaces. As a tool,
pidgin/IM is as important to me as are the panels and window management,
etc.

But probably, as such I've learnt to manage it's ability to (not)
interrupt me, yet keep me notified of what's happening. I want the same
from my update notifier.

b.

Vincenzo Ciancia (vincenzo-ml) wrote :

Il giorno mar, 31/03/2009 alle 11.40 +0000, Brian J. Murrell ha scritto:
>
> I never minimize my pidgin windows. I also use devilspie to have them
> skip the tasklist and be visible on all workspaces. As a tool,
> pidgin/IM is as important to me as are the panels and window
> management,
> etc.
>
> But probably, as such I've learnt to manage it's ability to (not)
> interrupt me, yet keep me notified of what's happening. I want the
> same
> from my update notifier.

That's in the spirit of what I wrote: you want pidgin there all the
time, but as it's a long-running window you don't want it in your ALT
+TAB list. The same problem I think exists in update notifier. Even a
minimised window will not completely solve the problem. A notification
did, but this is the change we are discussing.

Now a typical user may enjoy suitable defaults. A more advanced user
will configure how to receive system notifications. If they are all in
one place, it's easy to do it. If they have the same choices,
conventions and defaults of the very common IM paradigm, people will
understand them effortlessly.

V.

Download full text (4.6 KiB)

Mark said:

>> We all are complaining because we feel that pop-under or whaterer are
>> just wrong, and we want ubuntu to be perfect :)
>
>And I see your point! We've been focused on the idea that the action
>itself should be immediately accessible to the user (rather than a
>notification followed by a clickable panel icon followed by the action
>:-)). But the windows itself could be minimised. Let's explore that. I
>think it may be too late for Jaunty but I'll see what we can do

Please take this as constructive criticism, as it's meant that way.

My wife and I have windows on our laptop, but we rarely boot into it since we run Ubuntu all the time. It's the windows that came with pre-installed on each machine so it has a lot of crapware that came from the manufacturer. When we do boot into it, not only do we have a bloated notification area, but we also have to click through several pop-up and pop-under windows (both!) that these applications bombard us with asking us to upgrade our virus definitions, our java version, or whatever. And because they're all loading more DLL's to show a full GUI instead of a notification, they slow the machine down. Often we start doing the thing we need to get done, and get interrupted by another one. If they just blinked away in the notification area, they'd be a lot less annoying.

Plus, we're often puzzled to close an app in the foreground and find an update window sitting behind it.. we'll stare at it and go "wait, I didn't launch that update app, what's going on?". This type of behaviour makes the user feel they're not in control of their own computer. Running interactive programs that the user didn't ask us to run is a confusing and bad paradigm, whether the window starts minimized or not. We often joke about how glad we are Ubuntu doesn't do that.

You know what else is annoying? the annoying windows popup 'reboot now or remind me in 15 minutes" after you install updates. Much more intrusive then the Intrepid reboot notification. Is that the type of thing we're moving to for the reboot notification as well?

I understand that Mark is making a usability argument that he wants the action to be available immediately. But I don't understand what's so wrong with the 'Hey, I see I've got updates, I should click on the icon and install the updates'. How is that different then the normal 'Hey, I need to write an email, I'll click on the email icon to write my email'? I don't see a difference. Yes, we all agree the notification area was abused, but it was designed for just this case.

Actually, take the email analogy further: Imagine if a mail notification applet checked for new mail, didn't actually tell you when you had new email, and then launched your heavyweight email app every 5 hours regardless of what you're doing (unless you got a 'high priority mail', then it would launch immediately).

It also appears that this bug report has lost the fact that now there is NO notification that there are (non-critical) updates, allowing the user to decide when to install them. Instead, Ubuntu has (arbitrarily, though I assume user configurable in the future) when it will run the update manager a...

Read more...

Matthew Paul Thomas (mpt) wrote :

John, one benefit of Ubuntu's package management system is that things like new virus definitions, new Java versions and so on can be combined into the single updates-available window, rather than appearing as separate windows.

No, we have no plans to put up frequent reminders for restarting.
<https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027565.html>

"What's so wrong" with the updates-available icon is that it's not obvious.
<https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027434.html>

The e-mail analogy fails because the envelope icon is much more obvious.
<https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027460.html>

You make a good point about asking people to update when they are disconnected from the Internet. However, I don't know how we would distinguish between disconnected and unable to connect right now, and disconnected but able to connect if asked. If you have particular ideas about how that could be done, please report that as a separate bug.

Moritz Baumann (mo42) wrote :

I think 90% of the users agree with you in most aspects and like the new system for rather unimportant, temporary notifications.

The problem is that there doesn't seem to be a great concept for persistent notifications. And – just as long as there is none – why didn't you decide to keep the old system for that?

I just don't understand your decision of completely removing the tray icon as long as there's no proper replacement. And I hope that automatically opening windows is not a long-time solution.

--

By the way, I didn't find the bubbles too disturbing, at least they're much less disturbing than windows appearing out of nowhere. To me they looked good an served their purpose without eating up a lot of space, though I can live without them.

Giuseppe Pennisi (giupenni78) wrote :

People...I used Kubuntu Jauty but not show update-notifier.
Can be fixed?
gp

Afaik the Kubuntu team hasn't accepted the new notifier and are still
discussing it's implications.

> Date: Thu, 2 Apr 2009 10:30:23 +0000
> From: <email address hidden>

> "What's so wrong" with the updates-available icon is that it's not obvious.
> <https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027434.html>
>

I am confused. In the above list it says:
update-notifier has always auto-launched, as long as it has existed in
Ubuntu. The only thing that has changed in Jaunty is how it presents
updates, when there are any. Instead of displaying an icon with a bubble
pointing at it inviting you to click it to show the available updates,
it shows the available updates directly.
This is not true now right? There is an interval, i.e 7 days before it is launched. So it does NOT aways auto-launch.

Also I am more interested in what happens when user can't or does not want to update whenever the dialog is opened. What happens when user just closes it? It will be week or two weeks later the dialog opens up again right?

_________________________________________________________________
Windows Live™: Keep your life in sync.
http://windowslive.com/explore?ocid=TXT_TAGLM_WL_allup_1a_explore_042009

Download full text (7.6 KiB)

Strange, I sent a reply to this via email several hours ago, and it's not in the bug report.
Does replying to a bug via email work? I'll post it through the web, and my apologies
(and permission to delete one) if it shows up twice.

On Thu, 2 Apr 2009, Matthew Paul Thomas wrote:

> John, one benefit of Ubuntu's package management system is that things
> like new virus definitions, new Java versions and so on can be combined
> into the single updates-available window, rather than appearing as
> separate windows.

Point taken, but 1 or N, it's still confusing to the user to be presented
with an application window that is not the direct result of an action
they've taken, or part an application they're currently running (and even
that's dubious).

> No, we have no plans to put up frequent reminders for restarting.
> <https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027565.html>

Good! Glad to hear it.

> "What's so wrong" with the updates-available icon is that it's not
> obvious.
> <https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027434.html>
>
> The e-mail analogy fails because the envelope icon is much more obvious.
> <https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027460.html>

So the real problem is that the bubble mechanism caused some people to click
on the bubble, and that there can never be a perfect icon. I don't
necessarily agree with that. By your appriach, any time the OS needs to
notify you of anything else besides mail: (how many other 'icons' are
universally acceptable? what's the one for web browser, for example? a
globe? a firefox logo?) would need to launch the full application as a pop
under to tell you whats going on.

People have been trained by using other OS's that if they don't understand
an icon, they hover over it, and a tooltip tells them what it means. If
you're willing to accept the training received from other OS's that the
envelope icon always means mail, then why is it so hard to accept other
things learned from those OS's.

> You make a good point about asking people to update when they are
> disconnected from the Internet. However, I don't know how we would
> distinguish between disconnected and unable to connect right now, and
> disconnected but able to connect if asked. If you have particular ideas
> about how that could be done, please report that as a separate bug.

It's an un-knowable. Even if the user has connectivity, perhaps they don't
want to update because they're on a metered line (3G modem, at a friends
house who has time warner cable modems, etc..). You can't know it, and
popping up the full application to the user when you can't know if it's a
good time or not does not make sense to me.

I'll note that the above post(s) don't really address the main thrusts of my
argument (I don't blame you, I shouldn't write rambling posts while going to
bed):

- That having a full, user-interactive application start up when the user
didn't ask it to (even minimised), is downright confusing and freightening
to the user, as they don't feel they have control over their own computer.
If we thought people were confused by notification bubbles, just wait until
full apps ...

Read more...

Replying via email does work. Launchpad is one of the bugtrackers that
actually supports this.

(you can see which people replied via email in the bug report by the reply
subjects)

Is there any reason why you didn't just invent a new type of non-clickable balloons which are only meant to tell the user the meaning of an icon representing a persistent notification and which can be disabled as soon as the user knows what the icon means?

I want back the Update Notifier that tell me there's an update (and I like to see that icon everytime it find an update, even minor) without 'breaking balls', just like in Windows (and AS Ubuntu 8.10). If things are PERFECTS why you have to change them?

Sorry for the rant but the new system is plainly stupid (and sometimes doing things like other peoples is not a shame...).

Alessandro

For everybody who just wants the old behaviour, you can have it by entering

gconftool -s --type bool /apps/update-notifier/auto_launch false

in a terminal, or browsing to the same option via gconf-editor. This has been reported in other comments in this bug report.

Exactly what it do? It says seen that it will not launch automatically 'anything', but I would just want the old notification behavior where it launch just the 'notification icon' near 'clock, etc.'.

Thanks

Guys I found a temporary way to revert back to the old system, it's explained all here: http://martinpitt.wordpress.com/2009/02/23/the-stracciatella-gnome-session/

Anyway I hope that the Ubuntu team will revert to the old system by default (I'm talking about the update notifier and nothing else).

Jonathan Davies (jpds) wrote :

> Exactly what it do? It says seen that it will not launch automatically 'anything', but I would just
> want the old notification behavior where it launch just the 'notification icon' near 'clock, etc.'.

That's exactly what the command does, it changes the gconf settings for the update-notifier's auto launching to false - and this brings back the old behaviour of the icon.

Il giorno ven, 03/04/2009 alle 17.12 +0000, Alessandro Pedarra ha
scritto:
>
> Guys I found a temporary way to revert back to the old system, it's
> explained all here: http://martinpitt.wordpress.com/2009/02/23/the-
> stracciatella-gnome-session/

Please let's not create additional confusion on a bug that has already
more than 100 comments. To get back to the old behaviour including the
notification icon it is sufficient to change the gconf key as explained
above, there is no need to install additional packages.

Download full text (3.6 KiB)

While this will solve *my* problem... I still think it is a mistake in
general to annoy regular users with this new behaviour. More and more
people are finding out about this, how many people subscribing to this bug
will it take to force the developers' hands?

I don't understand the problem with users not understanding what the update
icon looks like... if anything that signifies a failure at giving the user
sufficient visual queues to learn about the OS. For those people who HAVE
learned about the OS and DO recognize the update icon... they will miss it
and be upset...

Why must you upset them...

On Fri, Apr 3, 2009 at 2:30 PM, Jonathan Davies <
<email address hidden>> wrote:

> > Exactly what it do? It says seen that it will not launch automatically
> 'anything', but I would just
> > want the old notification behavior where it launch just the 'notification
> icon' near 'clock, etc.'.
>
> That's exactly what the command does, it changes the gconf settings for
> the update-notifier's auto launching to false - and this brings back the
> old behaviour of the icon.
>
> --
> [Jaunty] Update Notifier icon would provide useful status information
> https://bugs.launchpad.net/bugs/332945
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu Release Notes: New
> Status in “update-notifier” source package in Ubuntu: Confirmed
> Status in update-notifier in Ubuntu Jaunty: Won't Fix
>
> Bug description:
> I am referring to the removal up the update-notifier in the Gnome
> notification area. The discussion of it is embedded in the thread headed
> by:
>
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027416.html
>
> Specific messages worth reading are:
>
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027434.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027451.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027454.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027437.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027445.html
>
> Matthew Paul Thomas says that the desired behavior is:
>
> * When there are security updates, Update Manager will open and show
> them (plus any other available updates) within a day.
>
> * When there are non-security updates, Update Manager will open and
> show them *one week* after it was last opened (whether it was last
> opened manually or automatically, and regardless of whether updates
> were actually installed then).
>
> * When there are no available updates, Update Manager will not open
> automatically at all.
>
> Desired by whom? And where was discussion of this change that effects the
> entire Ubuntu community? Because some percentage of users don't apparently
> understand that the notification area has meaning, we are not going to use
> it for updates? Chow Loong Jin raised a valid point that if update
> notification is now done by opening the entire update manager program,
> perhaps evolution and similar should open their application UIs rather than
> use the notification area. And there are concerns about un...

Read more...

Download full text (6.5 KiB)

if it is that easy to bring back the old behavior and make the icon
appear again when updates are availble while keeping the new
notification i think it should be done untill rethinking of the concept
will be done

On Fri, 2009-04-03 at 18:58 +0000, ddumont wrote:
> While this will solve *my* problem... I still think it is a mistake in
> general to annoy regular users with this new behaviour. More and more
> people are finding out about this, how many people subscribing to this bug
> will it take to force the developers' hands?
>
> I don't understand the problem with users not understanding what the update
> icon looks like... if anything that signifies a failure at giving the user
> sufficient visual queues to learn about the OS. For those people who HAVE
> learned about the OS and DO recognize the update icon... they will miss it
> and be upset...
>
> Why must you upset them...
>
> On Fri, Apr 3, 2009 at 2:30 PM, Jonathan Davies <
> <email address hidden>> wrote:
>
> > > Exactly what it do? It says seen that it will not launch automatically
> > 'anything', but I would just
> > > want the old notification behavior where it launch just the 'notification
> > icon' near 'clock, etc.'.
> >
> > That's exactly what the command does, it changes the gconf settings for
> > the update-notifier's auto launching to false - and this brings back the
> > old behaviour of the icon.
> >
> > --
> > [Jaunty] Update Notifier icon would provide useful status information
> > https://bugs.launchpad.net/bugs/332945
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in Ubuntu Release Notes: New
> > Status in “update-notifier” source package in Ubuntu: Confirmed
> > Status in update-notifier in Ubuntu Jaunty: Won't Fix
> >
> > Bug description:
> > I am referring to the removal up the update-notifier in the Gnome
> > notification area. The discussion of it is embedded in the thread headed
> > by:
> >
> > https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027416.html
> >
> > Specific messages worth reading are:
> >
> > https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027434.html
> > https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027451.html
> > https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027454.html
> > https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027437.html
> > https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027445.html
> >
> > Matthew Paul Thomas says that the desired behavior is:
> >
> > * When there are security updates, Update Manager will open and show
> > them (plus any other available updates) within a day.
> >
> > * When there are non-security updates, Update Manager will open and
> > show them *one week* after it was last opened (whether it was last
> > opened manually or automatically, and regardless of whether updates
> > were actually installed then).
> >
> > * When there are no available updates, Update Manager will not open
> > automatically at all.
> >
> > Desired by whom? And where was discussion of this change that effects the
> > entire Ubuntu community? Because some p...

Read more...

totally agree that should be a bug, specially for the restart notification.
If some one have a bug and forget to do a restart, the bug still here and he can think "this bug is annoying"

Scott Kitterman (kitterman) wrote :

For any Kubuntu people commenting in this bug:

Kubuntu does not have this change. There is a python-qt4-dbus bug (Bug 348704) that happens for some people that upgrade from Intrepid that prevents update-notifier-kde from working. This is a high priority bug that's being worked on for the release. In the meantime, the work around is to re-install python-qt4-dbus. It's nothing to do with the Dx changes done in Ubuntu.

Bernhard (b.a.koenig) wrote :

I think most has been said already but I could I add one more thing?

If you have unstable internet (or are traveling), you might not want to update immediately. So I think the notifier icon is important to remind people that there are updates they haven't downloaded yet. Similar with the new notifications: I just had an expected notification about my new wireless network but unfortunately, I just got myself a new cup of tea while it popped up, so it's gone forever! :=)

Anyway, maybe there should be an easier way to get the update icon back for those who want it back (e.g. put a checkbox in the "software sources" "updates" tab).

description: updated
raindogx (raindogx-gmail) wrote :

I switched my 71 year old mother to Ubuntu about a year ago. After setting it up so that she could easily find the applications she needed I told her one thing. I told her that the little orange or red icon that appears in the top right means there are important updates and to click it when you're done working on your computer for the day. She leaves Firefox open and maximized permanently so a pop-under will go unsee by her. Also, if the pop-under were to pulse on the window list she would not notice it as well. I'm not complaining. I'm just telling you that now my mother won't update her machine since she's not even aware she has to.

ami_nakata (ami-nakata) wrote :

The "abolish the icon and bubble, and instead open the updates window directly" behavior introduced as part of this change just feels very disrespectful to me. One of the things that prompted me to install Ubuntu and move away from the market-share leader's products is what I view as that vendor's cavalier, heavy-handed updating behavior. They don't seem to realize that IT'S MY COMPUTER, not theirs, and this behavioral change seems to me to reflect confusion on that issue, as well.

I do not want any "phone home" process to unilaterally open windows on *MY* computer or to try to browbeat me into taking any action that some other person has decided I should take to modify *MY* computer. Yes, security updates are important to me, so much so that I've allowed a particular area of my screen's real-estate to be reserved for notification of their availability. But as important as they are, security updates are much less important to me than my sense of personal control over *MY* computer. Some might reply that delaying security updates can be hazardous to that control also, but it damages user's trust to try to force-feed updates in any way, as this change of behavior does. Any concerns (such as launchpad "bug" 175166) that the message "Click on the notification icon to show the available updates" might be misunderstood could have been addressed much more simply, in my opinion, and much less intrusively. ( Pardon the capitalization here, please, but I think the emphasis really is called for in this context. )

The bottom line on this for me is that I've decided to upgrade from Hardy to Intrepid rather than to Jaunty, as I'd originally planned, because I find this change of behavior so distasteful.

Peter Whittaker (pwwnow) wrote :
Download full text (6.5 KiB)

The pop-up update notifier is a very bad idea for two simple reasons, both of which have to do with how the majority of people have learned to use computers:

1. On the web, a pop-up is often, very often, something obnoxious to be dismissed as quickly as possible: An ad, an invitation to swat a monkey, etc. "Firefox has prevented this site from opening a new window" is one of my favourite English-language phrases. Because of this behavior, many people have learned to dismiss without reading.

Ironic aside: When firefox prevents a window from opening, it notifies me of this. In a notification area. And gives me a choice. Exactly what Jaunty does not do anymore, but what previous Ubuntu releases did. Exactly the behavior I prefer, as it happens, but that's just me.

2. Web browsers and computer operating systems often pop up windows about error conditions, status, etc., and people are confused; "I didn't put that there! Why is it there?" Confusing a user does not encourage them to read or learn, it encourages them to feel that they understand their computer even less than they thought they did. It makes them feel small. Slighted.

Mark, as someone with a background in the CA business, you *must* be aware of this: Browsers pop up "helpful" messages about certificate status and users dismiss them quickly. Often, this results in the user not getting what they wanted - the web page - because the default behavior is to not proceed.

Which confuses the user. Slights them. Makes them resentful because it reminds them they did something they did not understand.

Popups get in the way. When something gets in the way, it is pushed aside or worked around. Often, that's the wrong thing to do.

The Vista "pop it up again" approach was discussed and derided. Rightly. But the proposed system is a step on the same path.

Was the notification system broken? In some ways. The Jaunty notification systems works great, absolutely great, for ephemeral events: You are now connected, you are disconnected, you have a message. That box in the upper right hand corner appears and informs, but does not distract.

Most importantly, it does not take me away from what I am doing: My attention stays where it I want it to be, be that an editor, email, a web browser, or an IDE.

But for persistent events, events that need my attention, that nice transient box is wrong. So what is right? I'm not sure, though I have an idea, which I'll get to in a moment. But I know that popups are wrong.

Ultimately, they are wrong not for the reasons cited above - as important as those are - but wrong because they are an intrusive violation of user space. They look like something we initiated, but they are not. They trespass.

Why? Because the display area consists of three separate zones:

1. The "how I start things" zone: The menu bars, etc. The interface elements people use to initiate action or make inquiries. Menus.

2. The "My computer has something to tell me" zone: The time, battery status, network status, update status, reboot required. What we have been calling a notification area.

3. The "what I am doing, things under my control" zone: The great bulk of the display area, where I am w...

Read more...

Matthew Paul Thomas (mpt) wrote :

ami_nakata and Peter Whittaker, your proposed rule about never opening windows automatically is unworkable.
<https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027568.html>

It's not particularly productive to be covering, in bug report comments, exactly the same points as were covered in the mailing list discussion six weeks earlier. So if you could read the mailing list discussion first, that would be awesome. :-)

Jamin W. Collins (jcollins) wrote :

@Matthew,

I highly doubt we'd be covering the same points if they weren't still a problem and concern to users. The fact that this problem still remains after that initial discussion indicates that at least some users (myself included) don't appreciate this change and think it's a bad idea. One I'd like to see officially reverted prior to Jaunty's release.

Referring concerned users back to a thread that was (as far as I can tell) effectively ignored isn't particularly productive either.

On Tue, 2009-04-07 at 14:21 +0000, Matthew Paul Thomas wrote:
> ami_nakata and Peter Whittaker, your proposed rule about never opening windows automatically is unworkable.
> <https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027568.html>

I didn't read all of Peter's very long comment, but I think the general
feeling here from those of us who do not like the proposed functionality
is not "never opening windows automatically" but not starting up
applications automatically and/or unsolicited.

As an aside, is this "indicators" applet supposed to be this new
proposed functionality? Because I have the packages installed but I
never see anything from the indicators applet. There's probably a bug
open on that somewhere. Or maybe it's just a dummy applet for the
moment, but I thought I read indications (NPI) somewhere that people
were getting indications from it.

b.

Peter Whittaker (pwwnow) wrote :

On Tue, 2009-04-07 at 14:21 +0000, Matthew Paul Thomas wrote:
> It's not particularly productive to be covering, in bug report comments,
> exactly the same points as were covered in the mailing list discussion
> six weeks earlier. So if you could read the mailing list discussion
> first, that would be awesome. :-)

Thank you for your kind words. I did read the discussion - the entire
interminable discussion :-> - and was left with the impression, perhaps
mistaken, that the design approach that led to the original bug report
was in fact still the intended approach.

If this is incorrect - if the approach has changed in response to
community feedback - then my apologies, I misread some of the later
posts. If, on the other hand, the design approach remains the same
despite counter-arguments both reasoned and inflamed, then I offer my
$0.02 as to why this approach is terribly, terribly wrong.

Hoping that the designers have heard the community, sincerely,

pww

Jamin, the link I provided was to one of several messages that I (along with other members of the Design team) posted in that thread. So it's completely inappropriate to say the thread was "effectively ignored".

Brian, whether an automatically-opening window is from a newly-running application or an already-running application is, ideally, an implementation detail. Even for people who know what an "application" is, they quite likely don't consider Update Manager to be one, and we shouldn't force them into thinking that it is (using the word "Manager" is probably trying too hard to do that already). In practice there is a cost in memory consumption and disk access, but we've taken measures to reduce those in Jaunty, and we'll work on reducing them further for future releases. As for your question about indicator-applet, that currently provides access to messages from Evolution and from Pidgin. It has, and should have, nothing to do with software updates.

MPT: I am very sorry to point this out, but in the e-mail that you are linking, you are not being fair to the discussion topic. In particular, you deliberately confuse persistent, non-interactive notification with unrequested new interactive windows. Getting to the conclusion that a "no unrequested popups" approach is impossible, while this approach is recognizeably that of gnome 2.0 and the following versions, and most of us really appreciate that aspect.

Referring back to a -devel only discussion is like saying you don't care of the opinion of users. Since I am sure that you care, please do put this under discussion; the reaction is too strong, and it's for sane principles.

Just waiting for the flames to settle won't be nice, and it seems to me that it's being done here.

Peter Whittaker in particular wrote a wonderful summary of the usability problem that we all see (in terms of violation of an user's own working space) and I am sure he spent a lot of time in it. Why acting like the message adds nothing new to the discussion? In fact I can't see how to object to the first part of it, even if I don't completely like the proposed solution. Therefore, I spend some more time in proposing another alternative, perhaps in line with all the changes happening in ubuntu.

A possible design concept alternative to Peter's one is to have bubble notification, and have "important ones" such as system updates iconifiy to some applet, e.g. the indicator applet, which changes in response to this, and _keeps the message_ there for the user to read it and initiate some interaction with the system. Messages should _stay there_ even after reboot, unless they get obsolete by some rule (e.g. the user upgrades the system).

Compiz animations would make it very clear where do notifications go after disappearing and an immediate cause-effect relationship would be established with the change in aspect of the indicator applet.

This is a simplified version of my "the system is talking to you, let's use a chat client for that" proposal which has been gladly ignored by the majority of us :)

Jamin W. Collins (jcollins) wrote :

@Matthew,

I've read the entire thread. Very good points (IMO) have been made for why this change is not a good idea. I've yet to see anything more than claims for backing up why the change was made. It's not inappropriate to say it was "effectively ignored". I'm not saying the thread wasn't read or even responded to in some way, that would be simply "ignored". I am saying that even though valid points were made for why it's a bad idea, with specific user feedback, the change remains without any solid justification. That, as far as I'm concerned, is being "effectively ignored". I and other users have given our feedback and personal use cases, which as far as I can tell, conflict with this change. Can we see these studies that support the change?

Matthew Paul Thomas (mpt) wrote :

Peter, I'm not sure from the text description how your proposed persistent indicator would behave; perhaps you could post a mockup and example timeline on the Ubuntu wiki?

Jamin, we have made several changes to the Update Manager behavior in response to feedback from others in the community <https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027562.html>. "X didn't get everything they wanted" is not the same as "X was effectively ignored".

Jamin W. Collins (jcollins) wrote :

@Matthew,

As far as I can tell none of those "changes" address the chief complaints, as I understand them, that I've seen voiced here.

* automated opening of a window
No matter how you go about this, it *is* more obtrusive than the previous, and preferred, notification icon. I've yet to see anything that disputes this, other than some claimed "study".

* timely notification of updates in an unobtrusive manner
See the previous point

* persistent notification of updates or need for reboot
I think this one is self explanatory

What I took from the message you reference was that the above points are seen as unimportant, as non of them were commented on or even addressed. Perhaps this is not the impression that was intended. There's a huge difference between getting everything one asked for and getting nothing at all. I'm not sure if you're deliberately trying to misconstrue my statements, I'm trying to give you the benefit of the doubt.

I don't think I (or the other users) are asking for much here. I simply don't want my OS pestering, which is exactly what a flashing window in my taskbar would be. I don't know about others, but flashing items tend to draw my attention, perhaps this is a personal flaw. However, a flashing window drawing my attention means taking my attention away from what I was working on. This is obtrusive, no matter how you look at it, and thus unacceptable. The previous behavior of opening an icon in the notification area was not obtrusive or distracting.

Download full text (3.3 KiB)

On Tue, 2009-04-07 at 16:25 +0000, Matthew Paul Thomas wrote:
> I'm not sure from the text description how your proposed
> persistent indicator would behave; perhaps you could post
> a mockup and example timeline on the Ubuntu wiki?

I'm not a graphics guy (I struggle with getting anything more than
black-on-white bullets into presentations) so I'm not sure how to make a
mock-up, but a timeline I can do. I assume that the right page would be
https://wiki.ubuntu.com/NotificationDesignGuidelines/Comments ??

Or perhaps just what follows will do?

1. User has three windows open, FF, email, gedit. User is working in
email.

2. Ephemeral notification appears - just like it works right now. A
bubble appears, disappears after a few seconds, user can react or
ignore.

3. Persistent notification appears: A bubble appears requesting user
action, does not have focus, user continues working in email. After a
few seconds, the bubble drops beneath the email window.

4. The user alt-tabs to FF - the persistent bubble moves to the top,
above FF, but FF has focus. The user works within FF and the bubble
drops beneath FF. The bubble appeared in the alt-tab list but the user
didn't choose it.

(This means that the window stack from desktop up is: gedit, email, the
bubble, FF; FF has focus.)

5. The user minimizes FF - email now has focus but the bubble appears
again. After a moment, it disappears.

6. The user clicks on show desktop - all windows are minimized, but the
bubble is in the notification area, waiting for the user to click on it.
As long as the desktop is displayed, the bubble is displayed.

7. The bubble never disappears. As long as the desktop is displayed, the
bubble is displayed. If an application is open and has focus, the bubble
pops above it briefly, then sinks beneath it again, taking top spot BUT
NEVER FOCUS when focus changes to another application.

8. With the exception of "reboot needed", the persistent bubble is still
there after reboot.

9. In the event of something urgent and important (Battery low, please
save all work and plug in or shutdown), keep bringing the bubble up.
When some threshold is reached, keep it on top, make it flash, make it
ring a bell, but leave it there. Never take focus.

10. Pretty much nothing else is both urgent and important: If there is
an email or an incoming phone call or anything else, display the bubble,
then sink it away. If I choose to ignore it and continue working, that's
my choice. Just like when I ignore the real phone while writing.

11. Never bring up a "real window" in the user zone. Ever. Only the user
can do this. Everything else should be a bubble, either ephemeral or
persistent, depending on urgency and importance.

12. The default policy should be that the only things that are important
and urgent are those that involve potential data loss. Everything else
is either urgent and unimportant - a phone call - or important and not
urgent - an available update.

13. If I think one of the above not urgent and not important items is
urgent and important, chances are I am sitting waiting for them and will
respond to them when they arise.

14. If a user has a video open full screen, persistent and e...

Read more...

why the hatred towards notification icons???

i would like to have certain applications minimized and to just keep running in the background like> email clients, bittorrent client, im clients,< such apps dont deserve a place in the windows list unless they have some new event , when i desire to launch them as a window...

coming to the topic>
having the update-notification missing caused me to worry , thinking my upgrade wasnt proper, hence i came looking for the fix!!! but seems to be a new feature!

i feel that the update - notification icon should be displayed, similarly the restart required icon, as i would definitely miss the update availability

i usually hibernate/suspend the system with all the apps open, what happens if the pop-under is in a different workspace? or what happens if i dont close all apps to see the desktop and notice the pop-under? this is why we have the notification area> to notify of necessary events, it should not be an assumption that the user will always close all apps to look what has popped up behind the window? desktop is not the notification area!

and why checking for updates when u are not going to update immediately? remind after 1/2 weeks!!! if the security updates and the software updates are not in the same repos then this would be effective, but this is an unnecessary use of band width no matter however minuscule!!! what if the software i was using had a bug and the update available but i wasnt notified since i didnt no the fix was released!?!?

this is the worse case of reinventing the wheel as a sled!
   >>> THIS METHOD JUST USES THE DESKTOP AS THE NOTIFICATION AREA !!! <<<<<
even worse than the tiny icon in the panel !!! and doesnt even give the required attention the action deserves!?!?!

this is the worst idea i have heard come from the ubuntu team... love the notify-osd but the way u are implementing it is going to backfire... pls correct it before this lovely distro gets a bad name!!!

> Date: Tue, 7 Apr 2009 17:07:03 +0000
> From: <email address hidden>
> Subject: [Bug 332945] Re: [Jaunty] Update Notifier icon would provide useful status information
>
> @Matthew,
>
> As far as I can tell none of those "changes" address the chief
> complaints, as I understand them, that I've seen voiced here.
>
> * automated opening of a window
> No matter how you go about this, it *is* more obtrusive than the previous, and preferred, notification icon. I've yet to see anything that disputes this, other than some claimed "study".
>
> * timely notification of updates in an unobtrusive manner
> See the previous point
>
> * persistent notification of updates or need for reboot
> I think this one is self explanatory
>

I am also waiting for the answers. To me it seems like we are going from icon everyone didn't understand to flashing window which can easily be ignored specially in todays world with multi-monitors and a lots of windows you care about.

Also I would like to know what happens when the windows is automatically opened and user is not able to act on it right now because use doesn't want to or can't because of internet ore whatever. Does the user will be prompted again after seven or whatever the interval is? Sorry for asking this again and again but just really want to know.
_________________________________________________________________
Windows Live™: Keep your life in sync.
http://windowslive.com/explore?ocid=TXT_TAGLM_WL_allup_1a_explore_042009

Jamin, to address your three points once more: (1) Yes, it is more obtrusive, that's entirely deliberate, and I don't know what "study" you're referring to. (2) Using a notification icon to advertise updates is a bad idea first because it's not obvious, and second because it makes installing the updates gratuitously difficult. (3) Using a notification icon to advertise that a restart is required is a bad idea first because it's not obvious, and second because it makes restarting gratuitously difficult.

Peter, yes, <https://wiki.ubuntu.com/NotificationDesignGuidelines/Comments> would be a better place. You'd need to include how the persistent notification would ever be dismissed, and (if it would be dismissed by clicking) how you'd avoid mis-clicking on an unexpected bubble.

mac_v, you have a good point that we could improve performance by checking for non-security updates either a week after the last updates or whenever security updates are available, whichever is earlier, rather than checking every day like we do for security updates. I've added that idea to <https://wiki.ubuntu.com/AppCenter>, thanks.

ktp420, yes, you'll be reminded again a day later for security updates, or a week later for non-security updates.

Vish (vish) wrote :

 Matthew Paul Thomas wrote::
 (1) Yes, it is more obtrusive, that's entirely deliberate, and I don't know what "study" you're referring to.
(2) Using a notification icon to advertise updates is a bad idea first because it's not obvious, and second because it makes installing the updates gratuitously difficult.
(3) Using a notification icon to advertise that a restart is required is a bad idea first because it's not obvious, and second because it makes restarting gratuitously difficult.

@Matthew >>> RIDICULOUS EXPLANATIONS <<<
1] seems to be a deliberate move... OK .. thts understood
2] & 3]not obvious???gratuitously difficult.????????? ARE U KIDDING????????

the reasons we have road signs as symbols rather than instructions is since they are more obvious!!!just like icons over windows with text!

with notification icons number of clicks to install updates>
1-click the icon for update > update manager is opened showing list of updates an option to install or close
2-click on install updates
THATS IT...

with notification icons number of clicks to restart>
1-click the icon for restart > restart dialogue is opened showing an option to restart now or restart later
2-click on restart
THATS IT...

2 clicks for both the steps and i dont understand how u define gratuitously difficult !!!

what u are doing this far worse>>>
when the user chooses to update later
1-click to close the dialogue
2-click on panel for system menu
3- to reopen the update manager from system menu
4-to install updates...

so i guess that 4 clicks are easier than 2?????

OK seems that this battle is not going to be won by the users!

cant we all co-exist? hear me out
option1:
proceed with the way u have planned by opening a pop-under window for notifications
BUT WHEN the user decides to update/restart later, display an icon { extra option which is disabled by default but can be set to show icon from settings in the update manager}

option2:***** to satisfy the regular user, and for all who complain provide an option to allow notification icon display****
a better way would be allow the user to decide whether the pop-under / icon is better for them, with the pop-under being the default setup...

the DELIBERATE steps u have taken for the new update notification system are understood to all... thought not many agree with it...

>>>PLS consider this extra option of having an icon displayed when the user postpones the update/restart <<<<

Download full text (5.3 KiB)

i have to agree with mac_v

On Wed, 2009-04-08 at 13:56 +0000, mac_v wrote:
> Matthew Paul Thomas wrote::
> (1) Yes, it is more obtrusive, that's entirely deliberate, and I don't know what "study" you're referring to.
> (2) Using a notification icon to advertise updates is a bad idea first because it's not obvious, and second because it makes installing the updates gratuitously difficult.
> (3) Using a notification icon to advertise that a restart is required is a bad idea first because it's not obvious, and second because it makes restarting gratuitously difficult.
>
> @Matthew >>> RIDICULOUS EXPLANATIONS <<<
> 1] seems to be a deliberate move... OK .. thts understood
> 2] & 3]not obvious???gratuitously difficult.????????? ARE U KIDDING????????
>
> the reasons we have road signs as symbols rather than instructions is
> since they are more obvious!!!just like icons over windows with text!
>
> with notification icons number of clicks to install updates>
> 1-click the icon for update > update manager is opened showing list of updates an option to install or close
> 2-click on install updates
> THATS IT...
>
> with notification icons number of clicks to restart>
> 1-click the icon for restart > restart dialogue is opened showing an option to restart now or restart later
> 2-click on restart
> THATS IT...
>
> 2 clicks for both the steps and i dont understand how u define
> gratuitously difficult !!!
>
> what u are doing this far worse>>>
> when the user chooses to update later
> 1-click to close the dialogue
> 2-click on panel for system menu
> 3- to reopen the update manager from system menu
> 4-to install updates...
>
> so i guess that 4 clicks are easier than 2?????
>
> OK seems that this battle is not going to be won by the users!
>
> cant we all co-exist? hear me out
> option1:
> proceed with the way u have planned by opening a pop-under window for notifications
> BUT WHEN the user decides to update/restart later, display an icon { extra option which is disabled by default but can be set to show icon from settings in the update manager}
>
> option2:***** to satisfy the regular user, and for all who complain provide an option to allow notification icon display****
> a better way would be allow the user to decide whether the pop-under / icon is better for them, with the pop-under being the default setup...
>
> the DELIBERATE steps u have taken for the new update notification system
> are understood to all... thought not many agree with it...
>
> >>>PLS consider this extra option of having an icon displayed when the
> user postpones the update/restart <<<<
>
> --
> [Jaunty] Update Notifier icon would provide useful status information
> https://bugs.launchpad.net/bugs/332945
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu Release Notes: New
> Status in “update-notifier” source package in Ubuntu: Confirmed
> Status in update-notifier in Ubuntu Jaunty: Won't Fix
>
> Bug description:
> I am referring to the removal up the update-notifier in the Gnome notification area. The discussion of it is embedded in the thread headed by:
>
> https://lists.ubuntu.com/archi...

Read more...

@ mac_v: It appears as if you're basing your judgement on the amount of clicks it takes to perform actions. The amount of time it *really* takes to make 4 clicks (making the assumption that you have to move the mouse between each click), is no more than like 4 seconds.

What makes these things "difficult", is that most of the time people aren't staring at their taskbar tray, and any icon that pops up goes unnoticed (most of the time). Making this how MPT has it , is something to try out, and get used to. I can't imagine you knew how to run ubuntu the first day you used it. Take the time to get used to the changes, and adapt yourself to it, as Ubuntu thankfully makes this easy.

In General: I really think that users should let the development teams run away with their ideas, because a ton of people really want to see changes to their OS that make it better (all in different ways), and the people that complain about 2 vs 4 clicks or how "intrusive" these things are, really need to step back a bit. Are you being intruded when your e-mail program notifies you in a persistent window that new mail is ready (and maybe even bring up the program window unfocused)? Are you being intruded when your IM client pops up a window when someone new IM's you? I bet you don't think so.

Adapt to the changes, as you would if you were trying out a different OS, or a new version of some software you use. It's really not that difficult.

2009/4/8 mac_v <email address hidden>:
> @Matthew >>> RIDICULOUS EXPLANATIONS <<<
> 1] seems to  be a deliberate move... OK .. thts understood
> 2] & 3]not obvious???gratuitously difficult.????????? ARE U KIDDING????????
>

Lets keep this calm and adult shall we.

> the reasons we have road signs as symbols rather than instructions is
> since they are more obvious!!!just like icons over windows with text!
>

I don't know about your region, but where I come from road signs are
rarely 24 pixels high!

In addition in the UK we have a book full of them called the "Highway
Code" which is a lookup table of signs and their meanings, with a
couple of tests before you are allowed to drive alone. On the desktop
we don't have such a test, people can download and install Ubuntu with
nothing more than a CD or a web link.

The update notifier icon is an orange splodge or red arrow that has no
metaphor. The battery icon looks like a battery, the network icons now
look a bit like network signal on the now ubiquitous cell phone, the
bluetooth icon is indeed a bluetooth icon.

The update-notifier icon only means something once someone tells you
what it is.

> OK seems that this battle is not going to be won by the users!
>

This isn't a battle. It's a bug report.

ddumont (ddumont) wrote :
Download full text (4.9 KiB)

>Are you being intruded when your
>e-mail program notifies you in a persistent window that new mail is
>ready (and maybe even bring up the program window unfocused)? Are you
>being intruded when your IM client pops up a window when someone new
>IM's you?

YES!

Now please allow for the user to revert this behaviour.
There is a reason that the feature for new IM messages to be restricted to
only flashing in the system tray is part of every major IM program...
I wish you would realise that. Feel free to run like crazy with your
developer 'ideas' but when you do, provide a way for us users to turn the
insanity off when we don't like it.

On Wed, Apr 8, 2009 at 10:19 AM, Brian Curtis <email address hidden>wrote:

> @ mac_v: It appears as if you're basing your judgement on the amount of
> clicks it takes to perform actions. The amount of time it *really*
> takes to make 4 clicks (making the assumption that you have to move the
> mouse between each click), is no more than like 4 seconds.
>
> What makes these things "difficult", is that most of the time people
> aren't staring at their taskbar tray, and any icon that pops up goes
> unnoticed (most of the time). Making this how MPT has it , is something
> to try out, and get used to. I can't imagine you knew how to run ubuntu
> the first day you used it. Take the time to get used to the changes,
> and adapt yourself to it, as Ubuntu thankfully makes this easy.
>
> In General: I really think that users should let the development teams
> run away with their ideas, because a ton of people really want to see
> changes to their OS that make it better (all in different ways), and the
> people that complain about 2 vs 4 clicks or how "intrusive" these things
> are, really need to step back a bit. Are you being intruded when your
> e-mail program notifies you in a persistent window that new mail is
> ready (and maybe even bring up the program window unfocused)? Are you
> being intruded when your IM client pops up a window when someone new
> IM's you? I bet you don't think so.
>
> Adapt to the changes, as you would if you were trying out a different
> OS, or a new version of some software you use. It's really not that
> difficult.
>
> --
> [Jaunty] Update Notifier icon would provide useful status information
> https://bugs.launchpad.net/bugs/332945
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu Release Notes: New
> Status in “update-notifier” source package in Ubuntu: Confirmed
> Status in update-notifier in Ubuntu Jaunty: Won't Fix
>
> Bug description:
> I am referring to the removal up the update-notifier in the Gnome
> notification area. The discussion of it is embedded in the thread headed
> by:
>
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027416.html
>
> Specific messages worth reading are:
>
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027434.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027451.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027454.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027437.html
> https://lis...

Read more...

ddumont (ddumont) wrote :
Download full text (4.7 KiB)

This new feature is a slap in the face to users who have up until now have
been following a well established model of notification.
Ubuntu has been operating this way for years.

Now we file a bug report because for many of us, this IS a feature
regression.
The developers respond in a heavy handed manner saying that our concerns are
not valid... another slap in the face.

It sure feels like a battle. Do you simply not see the opposition here, or
do you choose to ignore it?
Why isn't such a drastic change in policy configurable by the user?
You're writing software for users... aren't you?

On Wed, Apr 8, 2009 at 10:27 AM, Alan Pope <email address hidden> wrote:

> 2009/4/8 mac_v <email address hidden>:
> > @Matthew >>> RIDICULOUS EXPLANATIONS <<<
> > 1] seems to be a deliberate move... OK .. thts understood
> > 2] & 3]not obvious???gratuitously difficult.????????? ARE U
> KIDDING????????
> >
>
> Lets keep this calm and adult shall we.
>
> > the reasons we have road signs as symbols rather than instructions is
> > since they are more obvious!!!just like icons over windows with text!
> >
>
> I don't know about your region, but where I come from road signs are
> rarely 24 pixels high!
>
> In addition in the UK we have a book full of them called the "Highway
> Code" which is a lookup table of signs and their meanings, with a
> couple of tests before you are allowed to drive alone. On the desktop
> we don't have such a test, people can download and install Ubuntu with
> nothing more than a CD or a web link.
>
> The update notifier icon is an orange splodge or red arrow that has no
> metaphor. The battery icon looks like a battery, the network icons now
> look a bit like network signal on the now ubiquitous cell phone, the
> bluetooth icon is indeed a bluetooth icon.
>
> The update-notifier icon only means something once someone tells you
> what it is.
>
> > OK seems that this battle is not going to be won by the users!
> >
>
> This isn't a battle. It's a bug report.
>
> --
> [Jaunty] Update Notifier icon would provide useful status information
> https://bugs.launchpad.net/bugs/332945
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu Release Notes: New
> Status in “update-notifier” source package in Ubuntu: Confirmed
> Status in update-notifier in Ubuntu Jaunty: Won't Fix
>
> Bug description:
> I am referring to the removal up the update-notifier in the Gnome
> notification area. The discussion of it is embedded in the thread headed
> by:
>
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027416.html
>
> Specific messages worth reading are:
>
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027434.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027451.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027454.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027437.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027445.html
>
> Matthew Paul Thomas says that the desired behavior is:
>
> * When there are security updates, Update Manager will open and show
> them (plus any other availabl...

Read more...

Matthew, you wrote:

>> ami_nakata and Peter Whittaker, your proposed rule
>> about never opening windows automatically is unworkable.

Peter's threefold 'PUGIT' division of screen real-estate does confer a kind of 'holy ground' status upon what he identifies as the zone for 'what I am doing, things under my control', and I find his model helpful, but I didn't propose a general rule.

My objection was much more narrow and specific:

> The 'abolish the icon and bubble, and instead open
> the updates window directly' behavior introduced as
> part of this change just feels very disrespectful to
> me.... I do not want any "phone home" process to
> unilaterally open windows on *MY* computer....

I think it's important here to distinguish between two kinds of windows:

(1) Those that are part of an integrated, user-initiated 'dialog' with the user that helps him accomplish the work he's currently engaged in. Call these 'on-task windows'.

(2) Those arising unexpectedly, from seemingly autonomous system actions that have no temporal relevance to the user's current work flow or present intentions. Call these 'off-task windows'.

Users react differently to these two types of windows, obviously. And even more, the negative reaction which often results from the interruption that 'off-task windows' present is usually heightened when the appearance of the 'off-task window' was effectively initiated by some other computer. In that case, especially, I think users are even more likely to become annoyed.

I do agree with the implication of Peter's helpful 'PGUIT' model that the best way to avoid annoying the user in this is to employ an explicit notification area, and to use that for all 'off-task' messages except those of the most dire warnings of imminent catastrophe. It just seems so glaringly obvious to me that, as Peter wrote:

> “The Vista 'pop it up again' approach was discussed
> and derided. Rightly. But the proposed system is a
> step on the same path.”

If you feel you have to have a pop-up to make sure that users who won't respond properly to a notification icon and bubble nevertheless keep their systems up to date, I'd say make it as important as you like, emphasize it with color or sound or whatever, but

(a) do that only the first time it appears, and

(b) give users a “Don't show this message again, just present a notification icon” check box,

perhaps with a second-step confirmation required, or even a mandatory mini-tutorial about how that icon works if you feel that strongly about it. But don't do what Microsoft, Adobe, Sun and so many others do re their updates: Don't demand, don't insist, don't require, don't try to force-feed, don't persistently interrupt.

Or if you feel you absolutely have to have such interruptions, such 'off-task windows', as the default to protect users who won't respond to any less emphatic a message, then at least give those of us who will the opportunity to easily avoid your interruptions. Include a way to turn them off in the pop-up window itself.

I guess that's the crux for me: Please don't persistently interrupt my work.

Is that really too much to expect?

On Wed, Apr 8, 2009 at 10:32 AM, ddumont <email address hidden> wrote:

> >Are you being intruded when your
> >e-mail program notifies you in a persistent window that new mail is
> >ready (and maybe even bring up the program window unfocused)? Are you
> >being intruded when your IM client pops up a window when someone new
> >IM's you?
>
> YES!

My point to this, (and thanks for saying yes), was this is how Ubuntu
currently runs in Intrepid (so in essence you are saying you don't like the
current way ubuntu runs).

"Using a notification icon to advertise updates is a bad idea first because it's not obvious, and second because it makes installing the updates gratuitously difficult."

This drives me nuts. As soon as the icon comes into play you get a notification telling you what happened (Hello User, updates availiable! Ding dong!), either through the bubbles in the old system or the stylish black boxes in Jaunty now. After that there sits the lovely icon and if you wonder what it means, move your mouse there and get a helpful tooltip.

"The update-notifier icon only means something once someone tells you what it is."

Yes, I told my father and from that day on he was able to update his machine after finishing his work, others will learn from the tooltip. Don't degrade what you call average users to complete idiots and it needs no academic degree to handle some icons. On the other hand, now it will be hard to explain my father why the icons are gone and that he has to close those pop-unders if he feels disturbed, then manually re-open the update-manager after he finished his work with no icon reminding him of that and why this is meant to be a superior solution.

Okay, for now I can use gconf-editor to get the old behavior back, please don't break this backwards compatibility. I hope Gnome 3.0 and the new notification center there wil drive your ivory tower theory to an end. For me you definitely made things worse, consider incorporationg upstream developers next time and don't rely on any usability study before discussing it with your community.

ami_nakata (ami-nakata) wrote :

@Matthew:

I neglected to say something I think is pretty important: I do recognize how very frustrating it must be for you, Mark, et. al to have put so much work into this and to have received so much criticism, even hostile criticism, when you of course believed (and believe) you were introducing a significant improvement. Allow me to say that I honor how well you've handled that overall; the restraint you've shown has been admirable.

I also wanted to reply to your suggestion:

>> It's not particularly productive to be covering,
>> in bug report comments, exactly the same points
>> as were covered in the mailing list discussion
>> six weeks earlier. So if you could read the mailing
>> list discussion first, that would be awesome. :-)

Point taken. Before I posted the previous I read most of the thread that contains,

<https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027568.html>

including every comment you or Mark made. I'm a user of Ubuntu, not a developer, and I wasn't really much aware of the mailing lists – I don't subscribe to any of them – until I followed your helpful link; thank you.

Parenthetically, I arrived “here” after my acceptance of an Ubuntu-generated “updates available” prompt broke my ability to watch streaming video on fancast.com, something I'd done without problems many times before, and was, in fact, engaged in immediately before installing the Hardy updates. I interrupted watching a video there to install the updates, actually, found I couldn't watch videos there immediately afterward, and I've spent at least 30 hours since, without success, trying to regain that ability. I hoped the problem would be solved by an upgrade, and I was inclined toward Jaunty until I learned about the intention to use this new method for updates.

I really have only one specific comment re the thread and the post you directed me to. You replied to Aigars Mahinovs' in this way:

>> Linux is about user being in control.
>
> Any sentence of the form "Linux is about <noun phrase>" is a fallacy.

Perhaps; here's something that's irrefutable, then: For me, anyway, Linux is substantially about being in control. I didn't abandon the market leader because their products didn't work, or because of their effective monopoly, or because I objected to paying for software. I left because I felt their programs too frequently challenged and interfered with my ability to exercise sovereignty over my own computer, and that frustrated and angered me.

It's no secret that many users of commercial software feel similarly. If “bug number one” is ever to be solved, I think Canonical will have to support a radically unequivocal alternative to that user experience. I absolutely intend no disrespect, and I'm genuinely sorry to say it, but it's my opinion that the 'persistent interruption' model for updates in Jaunty doesn't provide such an alternative, nor does it even come close.

Matthew Paul Thomas (mpt) wrote :

ddumont, that something is years-old and well-established does not mean it is correct. (For example, applications have been asking for over 25 years whether you want to "save changes" to documents, but that's always been nonsense and should be fixed eventually.) Nor does it mean the behavior should be configurable. (Though in this case, it is.) And we're obviously not "choosing to ignore" feedback, albeit that your unhelpful tone makes that quite tempting.

ami_nakata, all the examples I provided in the mailing list message, of automatically-opening windows, are also what you call "off-task" windows. Providing the ability to turn them off would imply either that they weren't necessary in the first place, or that there was a different but similarly effective way to present them. If we thought either of those things were true, we wouldn't be doing this in the first place. If you have an alternative proposal for how to present persistent notifications, then as I suggested to Peter Whittaker, you're welcome to post them on the Ubuntu wiki for further discussion.

Vish (vish) wrote :
Download full text (3.4 KiB)

Brian Curtis wrote:
 It appears as if you're basing your judgement on the amount of clicks it takes to perform actions. The amount of time it *really* takes to make 4 clicks (making the assumption that you have to move the mouse between each click), is no more than like 4 seconds.

What makes these things "difficult", is that most of the time people aren't staring at their taskbar tray, and any icon that pops up goes unnoticed (most of the time). Making this how MPT has it , is something to try out, and get used to. I can't imagine you knew how to run ubuntu the first day you used it. Take the time to get used to the changes, and adapt yourself to it, as Ubuntu thankfully makes this easy.

In General: I really think that users should let the development teams run away with their ideas, because a ton of people really want to see changes to their OS that make it better (all in different ways), and the people that complain about 2 vs 4 clicks or how "intrusive" these things are, really need to step back a bit.

@Brian Curtis:
if u had followed the discussion,the whole click count was mentioned because the devs mentioned that the existing method was gratuously difficult!
the count was to remind that it wasnt difficult , rather the existing method made it longer,
 which was the basis the devs say that they are implementing this feature!

click count is usually the easiest way to measure simplicity of an app...[Ubuntu itself prides about being able to fresh install in just 7/8 clicks!]

i dont deny that devs should be left free, but when they are yanking a feature from the system, people do tend to ask for it,
what i'm saying is, implement the new features with the existing features as a secondary option, when this option can be done with a gconftool, why not add it as a toggle option all users can easily restore rather than google for the option?

u do have to realize that the option exists but is hidden!

>Alan Pope wrote :
>Lets keep this calm and adult shall we.

i'm sorry if the tone didnt sound mannered, that wasnt my intention but it was rather a shocking reason stated by the dev.!

>I don't know about your region, but where I come from road signs are
>rarely 24 pixels high!
>In addition in the UK we have a book full of them called the "Highway Code"
>The update-notifier icon only means something once someone tells you
>what it is.

if u mean to say 24pixels is too large a space, then i wonder how come the window is smaller!
do u realize that rather than using the notification area, u are only using the DESKTOP AS THE NOTIFICATION AREA!!!
 also the windows list and the panel are used up!!! that is more space than the small icon!!!

****just because the devs couldnt come up with a reasonable icon, they change the feature of the system!!!****

do u think that the user cannot remember 2 icons? do u think that the average user cant remember just 2 icons after a few mins interaction? i think u must think we regular user are pretty dumb? highway code for 2 icons?

the arguments devs make for this whole thing make no sense...
-devs want to not use a 24x24 area so use a lager space to notify! also the windows list and the panel are used up!!!
-...

Read more...

LaserJock (laserjock) wrote :

We're up to ~146 comments and 13 dups on this bug report, and strayed a bit from discussing update-notifier into general "dude, were's my icons? what have you done with my notifications?!" territory. It is also not specifically an Ubuntu discussion even if it does affect Ubuntu, and I've not seen much of anything from Ubuntu developers (Matthew is a well respected UI design expert, but not an Ubuntu developer per se).

This seems mostly an issue between disgruntled users and the Canonical Dx/Ayatana team. So in the interest of keeping the bug tracker clean and getting discussion moved to a more appropriate and perhaps constructive place I would suggest that people move the conversation to the new ayatana-project mailing list [0] that was recently announced for just such discussions.

[0] https://lists.canonical.com/mailman/listinfo/ayatana-project

Download full text (3.4 KiB)

I see a notification in the system tray when there are updates... what
behavior are you referring to?

On Wed, Apr 8, 2009 at 11:04 AM, Brian Curtis <email address hidden>wrote:

> On Wed, Apr 8, 2009 at 10:32 AM, ddumont <email address hidden> wrote:
>
> > >Are you being intruded when your
> > >e-mail program notifies you in a persistent window that new mail is
> > >ready (and maybe even bring up the program window unfocused)? Are you
> > >being intruded when your IM client pops up a window when someone new
> > >IM's you?
> >
> > YES!
>
> My point to this, (and thanks for saying yes), was this is how Ubuntu
> currently runs in Intrepid (so in essence you are saying you don't like the
> current way ubuntu runs).
>
> --
> [Jaunty] Update Notifier icon would provide useful status information
> https://bugs.launchpad.net/bugs/332945
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu Release Notes: New
> Status in “update-notifier” source package in Ubuntu: Confirmed
> Status in update-notifier in Ubuntu Jaunty: Won't Fix
>
> Bug description:
> I am referring to the removal up the update-notifier in the Gnome
> notification area. The discussion of it is embedded in the thread headed
> by:
>
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027416.html
>
> Specific messages worth reading are:
>
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027434.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027451.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027454.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027437.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027445.html
>
> Matthew Paul Thomas says that the desired behavior is:
>
> * When there are security updates, Update Manager will open and show
> them (plus any other available updates) within a day.
>
> * When there are non-security updates, Update Manager will open and
> show them *one week* after it was last opened (whether it was last
> opened manually or automatically, and regardless of whether updates
> were actually installed then).
>
> * When there are no available updates, Update Manager will not open
> automatically at all.
>
> Desired by whom? And where was discussion of this change that effects the
> entire Ubuntu community? Because some percentage of users don't apparently
> understand that the notification area has meaning, we are not going to use
> it for updates? Chow Loong Jin raised a valid point that if update
> notification is now done by opening the entire update manager program,
> perhaps evolution and similar should open their application UIs rather than
> use the notification area. And there are concerns about unintended
> functional consequences of this ill-conceived change, discussed in the
> thread.
>
> Personally, I predict that opening the Update Manager window while people
> are working will piss off a lot of users when it happens, and may result in
> them wanting to disable automatic checking. Yes, that'll be highly
> desirable, won't it?
>
> In other words, this ch...

Read more...

Il giorno mer, 08/04/2009 alle 14.19 +0000, Brian Curtis ha scritto:
>
> What makes these things "difficult", is that most of the time people
> aren't staring at their taskbar tray, and any icon that pops up goes
> unnoticed (most of the time). Making this how MPT has it , is
> something
> to try out, and get used to.

If the pop-up is supposed to be a pop-under, as it seems, then it will
go unnoticed though, because if people aren't staring at their taskbar
tray, neither they are staring at their window list.

> Are you being intruded when your
> e-mail program notifies you in a persistent window that new mail is
> ready (and maybe even bring up the program window unfocused)?

In fact, thunderbird opens an old-school popup when there is no network
connection, typically removing the focus from something else I was
typing. It's extremely annoying.

Evolution on the other hand, which is a gnome program, does not do that.
The non-intrusiveness is why I like gnome. Period.

> Are you
> being intruded when your IM client pops up a window when someone new
> IM's you?

In fact, it's a pop-under, and it's in the way anyways, especially when
somebody else is with me at the pc. However, a BIG difference between
pidgin and update-notifier is that if I close the pidgin window without
even reading it, I can reopen it later and read messages (I think this
is in the default log configuration but am unsure).

Download full text (4.8 KiB)

>ddumont, that something is years-old and well-established does not mean
>it is correct. (For example, applications have been asking for over 25
>years whether you want to "save changes" to documents, but that's always
>been nonsense and should be fixed eventually.) Nor does it mean the
>behavior should be configurable. (Though in this case, it is.) And we're
>obviously not "choosing to ignore" feedback, albeit that your unhelpful
>tone makes that quite tempting.

I apologise for my "tone" but you must realise that your opening statement
sounds rather arrogant.
Who are you to decide what is right and what is wrong? We are the users, we
get to decide.

In fact, judging form the length of this thread and the number of dupes, I'd
say that the feedback has been a rather resounding "no" to your proposed
change and I hope that you consider backing it out completely until a less
annoying solution presents itself.

On Wed, Apr 8, 2009 at 11:26 AM, Matthew Paul Thomas <email address hidden>wrote:

> ddumont, that something is years-old and well-established does not mean
> it is correct. (For example, applications have been asking for over 25
> years whether you want to "save changes" to documents, but that's always
> been nonsense and should be fixed eventually.) Nor does it mean the
> behavior should be configurable. (Though in this case, it is.) And we're
> obviously not "choosing to ignore" feedback, albeit that your unhelpful
> tone makes that quite tempting.
>
> ami_nakata, all the examples I provided in the mailing list message, of
> automatically-opening windows, are also what you call "off-task"
> windows. Providing the ability to turn them off would imply either that
> they weren't necessary in the first place, or that there was a different
> but similarly effective way to present them. If we thought either of
> those things were true, we wouldn't be doing this in the first place. If
> you have an alternative proposal for how to present persistent
> notifications, then as I suggested to Peter Whittaker, you're welcome to
> post them on the Ubuntu wiki for further discussion.
>
> --
> [Jaunty] Update Notifier icon would provide useful status information
> https://bugs.launchpad.net/bugs/332945
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu Release Notes: New
> Status in “update-notifier” source package in Ubuntu: Confirmed
> Status in update-notifier in Ubuntu Jaunty: Won't Fix
>
> Bug description:
> I am referring to the removal up the update-notifier in the Gnome
> notification area. The discussion of it is embedded in the thread headed
> by:
>
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027416.html
>
> Specific messages worth reading are:
>
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027434.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027451.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027454.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027437.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027445.html
>
> Matthew Paul Thomas says that the desired beh...

Read more...

Il giorno mer, 08/04/2009 alle 14.27 +0000, Alan Pope ha scritto:
>
>
> In addition in the UK we have a book full of them called the "Highway
> Code" which is a lookup table of signs and their meanings, with a
> couple of tests before you are allowed to drive alone

Yes, but on the road you can't click with the mouse on the signal and
gain more information. If you click on the old u-n icon, you see and
learn what it's for. Not that we can't make it simpler, e.g. by looking
for a clearer icon (thing which was not done AFAIK, but I may be proven
wrong).

Il giorno mer, 08/04/2009 alle 14.27 +0000, Alan Pope ha scritto:
>
>
> > OK seems that this battle is not going to be won by the users!
> >
>
> This isn't a battle. It's a bug report.

Did somebody notice how tons of people here are *fighting* for what they
feel like an usability decrease in ubuntu? How many persons do you think
would get involved in such a discussion with microsoft, or OSX?

These people are not here because they've nothing to do and have fun
quarrelling. You have a lot of non-developers taking usability of the
system you develop *very seriously*.

Five years ago, the dialogue with a linux user was like "OTHER: hey:
your system does not do the obvious thing by default... L.U.: oh yes, I
reinstalled and I forgot to reconfigure the setting, sorry, <click click
click>".

I am depicting myself here.

Now the same persons strive for an unique choice of extremely high
quality default on what they perceive to be *their* operating system.

That's just to explain why "battle". For me is not a battle. For me this
is a design mistake which developers are refusing to ack. And seeing
again that the proposed strategy of not opening unwanted pop-ups just is
not feasible makes me very sad, because current gnome desktop actually
implements the strategy.

I strongly dislike when people advocate a choice with a false
statement.

Il giorno mer, 08/04/2009 alle 14.42 +0000, ddumont ha scritto:
>
>
> It sure feels like a battle. Do you simply not see the opposition
> here, or
> do you choose to ignore it?
> Why isn't such a drastic change in policy configurable by the user?
> You're writing software for users... aren't you?

Once again, it IS configurable by users. Just a change in gconf. It's in
the comments above, search for "gconf".

The "battle" here, at least for me, is that I want defaults to be
elegant, coherent and unintrusive. This is because I want the high
usability of gnome *by default* and don't want to get back to the age
where every linux user had his own set of magic recipes to use for every
new installed system. There was a looong fight in the beginning to
change gnome like that, in the name of usability principles that where
not understood by people! Now gnome has "a direction". This change goes
in "the other direction" at least to my eyes.

Il giorno mer, 08/04/2009 alle 15.04 +0000, Brian Curtis ha scritto:
>
> My point to this, (and thanks for saying yes), was this is how Ubuntu
> currently runs in Intrepid (so in essence you are saying you don't
> like the
> current way ubuntu runs).
>

pidgin is a single program, "against" (if you like) the plethora of
gnome programs that don't open popups. And pidgin is THE instant
messaging client so if I configure an account *AND* set my status to
"online" then I *intend* to be disturbed. When I am working hard, I
close pidgin and nobody disturbs me. Do you second this?

Evolution is so nice with me that he does not disturb me even when
sending a message fails. That's likely a bug because it's lacking a
libnotify popup, but it's extremely appreciated by me and is the reason
why I switched back to it from thunderbird, which is extremely annoying
with popups (e.g. "could not automatically save your draft" which pops
up continuously when I write a draft far from my access point).

Look at the job firefox does to avoid popups and tell me if it's not
doable.

Try to browse the web with gutsy's konqueror (I don't know about the
kde4 version) and see how EVERY TIME it disables a pop-up, it WARNS you
with another pop-up. Now tell me which method do you prefer, the firefox
one or the konqueror 3 one? We want coherency on this topic across the
whole desktop.

And we want this, because we feel that our ordinary user, annoyed by the
popups, will start directly closing them as they do in the windows
world. So that we will have this bad image of a system popping up
windows that users close.

It's not a new idea. The windows world is full of pop-ups. People hate
them. Why becoming a target of hate in turn?

Il giorno mer, 08/04/2009 alle 15.26 +0000, Matthew Paul Thomas ha
scritto:
> If
> you have an alternative proposal for how to present persistent
> notifications, then as I suggested to Peter Whittaker, you're welcome
> to
> post them on the Ubuntu wiki for further discussion.
>

Whenever anybody does that, please, link the wiki page on this bug
report. It will help people following here not to "loose contact" with
the problem.

Download full text (3.9 KiB)

It is not configurable by everyday users... That setting is not explicitly
supported. When it breaks, everyone who relies on it will be SOL.

On Wed, Apr 8, 2009 at 12:14 PM, Vincenzo Ciancia <email address hidden>wrote:

> Il giorno mer, 08/04/2009 alle 14.42 +0000, ddumont ha scritto:
> >
> >
> > It sure feels like a battle. Do you simply not see the opposition
> > here, or
> > do you choose to ignore it?
> > Why isn't such a drastic change in policy configurable by the user?
> > You're writing software for users... aren't you?
>
> Once again, it IS configurable by users. Just a change in gconf. It's in
> the comments above, search for "gconf".
>
>
> The "battle" here, at least for me, is that I want defaults to be
> elegant, coherent and unintrusive. This is because I want the high
> usability of gnome *by default* and don't want to get back to the age
> where every linux user had his own set of magic recipes to use for every
> new installed system. There was a looong fight in the beginning to
> change gnome like that, in the name of usability principles that where
> not understood by people! Now gnome has "a direction". This change goes
> in "the other direction" at least to my eyes.
>
> --
> [Jaunty] Update Notifier icon would provide useful status information
> https://bugs.launchpad.net/bugs/332945
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu Release Notes: New
> Status in “update-notifier” source package in Ubuntu: Confirmed
> Status in update-notifier in Ubuntu Jaunty: Won't Fix
>
> Bug description:
> I am referring to the removal up the update-notifier in the Gnome
> notification area. The discussion of it is embedded in the thread headed
> by:
>
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027416.html
>
> Specific messages worth reading are:
>
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027434.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027451.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027454.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027437.html
> https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027445.html
>
> Matthew Paul Thomas says that the desired behavior is:
>
> * When there are security updates, Update Manager will open and show
> them (plus any other available updates) within a day.
>
> * When there are non-security updates, Update Manager will open and
> show them *one week* after it was last opened (whether it was last
> opened manually or automatically, and regardless of whether updates
> were actually installed then).
>
> * When there are no available updates, Update Manager will not open
> automatically at all.
>
> Desired by whom? And where was discussion of this change that effects the
> entire Ubuntu community? Because some percentage of users don't apparently
> understand that the notification area has meaning, we are not going to use
> it for updates? Chow Loong Jin raised a valid point that if update
> notification is now done by opening the entire update manager program,
> perhaps evolution a...

Read more...

I've updated https://wiki.ubuntu.com/NotificationDesignGuidelines/Comment with my (very long) comments from this report and have added text to answer some of Matthew's questions and observations.

The wiki post has a few differences from the bug report, mostly because my thinking got a little clearer: There are three zones (make the computer do something; what I'm actively doing; other things I'm doing or interested in) and two notification types (persistent system notifications appearing near the 'make the computer do something' zone, where the computer needs my help; ephemeral user notifications appearing near the 'other things' zone, where the computer tells about stuff I want to know about, like emails, IMs, etc.).

The two notification types are firealarms and doorbells. Users can ignore or even disable doorbells, but firealarms are harder to ignore and only an admin can remove them.

That's it in a nutshell, refer to the wiki page for details.

Mark Shuttleworth (sabdfl) wrote :

Thanks to everyone who's participated in this bug discussion and related threads. As a result, a number of changes were made in 9.04 pre-release. There is a gconf key which allows people to have a system tray icon visible when updates are available. The behaviour of the update manager was changed so that it doesn't pop up but instead opens minimised, and only on a weekly basis unless a security update is present (as opposed to another kind of update).

I think the system tray is heavily overused, and abused, by many applications, and as part of our design initiative we are working to reduce that. I think it's important that we not treat the OS specially, that we work to the same guidelines we want app authors to follow, which is why we aimed to change this OS-update behaviour first. We must lead, not follow, and lead by example too. It was expected that we would run into tough problems, but bringing the full weight of the community to bear on candidate solutions would be the best way to attempt to resolve them. A lot of the discussion here was in that spirit - finding smart solutions to the challenges presented, so thank you all.

I'm marking the bug wontfix on the basis that we are confident the behaviour as at 9.04 release is a good one. I wouldn't be surprised for the conversation to continue though I do ask that it continue in a good spirit. If significant data shows this to be a suboptimal choice in future, we will revisit the point, but for now the question is settled.

Changed in update-notifier (Ubuntu):
status: Confirmed → Won't Fix

On Wed, 2009-04-08 at 19:55 +0000, Mark Shuttleworth wrote:
> I think it's important that we not treat the OS specially,

Mark, thanks for your comments. I think this one area where there is
considerable disagreement: The OS is different - when the computer needs
to tell me something, I probably shouldn't ignore it. Think firealarm.

But anything not from the OS - IM, email, etc. - is a doorbell that I
can safely if I want. They are very different types and need to be
presented differently so that users can easily recognize when which is a
doorbell and which is a firealarm.

Using the same signal presentation for both firealarms and doorbells is
a bug - the same underlying technology can be used, but the signal
presentation MUST be different.

I covered this in more detail on the Comments page in the wiki.

Thanks.

It would be helpful to have a follow-up post on what is wrong with having applications minimize to the notification area and what should be done instead, so that application developers can take some action.

Op woensdag 08-04-2009 om 19:55 uur [tijdzone +0000], schreef Mark
Shuttleworth:
> I think the system tray is heavily overused, and abused, by many
> applications, and as part of our design initiative we are working to
> reduce that.

First of all, it's not called the "system tray", but the "notification
area", and I quite like its existence (although I agree that some
applications use it for the wrong reasons).

The problem discussed in this bug report is that you try to "clean it
up" by removing the one application that has the best reason ever to
show notifications. That's worse than "throwing away the baby with the
bathwater", it's "throwing away the baby and keeping the bathwater".

Anyway, the UI design team said that the reason to pop up (or pop under,
or pop minimized, or whatever) update-manager is that some people didn't
see or didn't understand the icons in the notification area. And I
believe that's true for some people, and *should* be fixed, because we
want everybody to install at least all the security fixes.

Now, if you want to fix that problem, you try to find a way to target
those people, without disturbing how other people work with Ubuntu. One
way to do that is by detecting people who didn't install security fixes
after a reasonable time (let's say: after 3 days). I think it's
actually a good idea to pop up update-manager for these people, because
they clearly need it.

But of course, attentive users need a way to see if updates are
available and that's what we need the notification area for; otherwise
all of us are destined to be treated as "clueless newbies"...

And yes I know about the gconf key, but if gconf keys become the
solution to get Ubuntu to behave in a sane way, then Ubuntu is doing
something seriously wrong in the usability area (I'm sure MPT will agree
with that ;) ). Never ever forget that medium to very experienced users
are Ubuntu users too, so "user-friendly" has to apply to them too!

--
Jan Claeys

It's a shame that the team is so fixated on not fixing this, as I enabled the work around on my home desktop and got the notification:

310 updates to apply

Which hadn't been applied as we go along because my indicator went away.

Peter Velosy (petervelosy) wrote :

Mark wrote: "The behaviour of the update manager was changed so that it doesn't pop up but instead opens minimised"

I have a feeling that this behaviour is even worse than the original pop-under approach. It only strengthens the feeling in the user that an application was launched by mistake... Also, when I see update-manager running minimized, my first reaction is 'Okay, I've already checked for updates and they are now being installed while I'm doing my work'.

On Wed, Apr 8, 2009 at 5:33 PM, Peter Velosy <email address hidden> wrote:

> I have a feeling that this behaviour is even worse than the original
> pop-under approach.
>

I think it is a great approach. With the original approach I could just
imagine someone showing off their Ubuntu desktop to a friend only to have
update manager pop up right on top of it, and then the person has to
embarrassingly explain that it automatically pops up like that from time to
time. It also isn't going to pop up just as you try to take a screenshot of
something, and you aren't going to come back to a desktop after inactivity
with new windows that can throw you off.

> It only strengthens the feeling in the user that an
> application was launched by mistake... Also, when I see update-manager
> running minimized, my first reaction is 'Okay, I've already checked for
> updates and they are now being installed while I'm doing my work'.
>

You probably won't have that feeling in this case because the window will be
requesting your attention, such as by flashing in the task list. At least I
am assuming this as Mark mentioned it originally, can anyone confirm or deny
that the minimized window requests attention?

Thanks, Michael, now the picture is getting clear to me. I thought the functionality thus far was that update-manager just appeared under all windows (there was some discussion about a pop-under), showing up only after all windows have been closed or its taskbar button has been clicked. The reason why I didn't know was that as updmanager showed no trace at my PC at all since my Jaunty upgrade, thus I got used to checking for updates manually every day.

So if the taskbar button really gets some kind of a flashing effect then it's a good approach indeed.

> Date: Wed, 8 Apr 2009 16:03:03 +0000
> From: <email address hidden>
> Subject: Re: [Bug 332945] Re: [Jaunty] Update Notifier icon would provide useful status information
>
> >ddumont, that something is years-old and well-established does not mean
> >it is correct. (For example, applications have been asking for over 25
> >years whether you want to "save changes" to documents, but that's always
> >been nonsense and should be fixed eventually.) Nor does it mean the
> >behavior should be configurable. (Though in this case, it is.) And we're
> >obviously not "choosing to ignore" feedback, albeit that your unhelpful
> >tone makes that quite tempting.
>
> I apologise for my "tone" but you must realise that your opening statement
> sounds rather arrogant.
> Who are you to decide what is right and what is wrong? We are the users, we
> get to decide.
>
> In fact, judging form the length of this thread and the number of dupes, I'd
> say that the feedback has been a rather resounding "no" to your proposed
> change and I hope that you consider backing it out completely until a less
> annoying solution presents itself.

I would just like to add that if you think these are only few people missing their feature. Please go read the forums. You can do a simple search you will find so many people are asking for where is the icon, why am I not notified of updates.... And if you don't think this is a big deal, then you might want to read comments like:

http://ubuntuforums.org/showpost.php?p=7032536&postcount=32

    Re: No new updates notification
   thanks so much for the fix. does the circle still come up when it has to restart?

People are trained to do something and expected it there now. It does not mean you can't change it, but you need more the just:

"Using a notification icon to advertise updates is a bad idea first because it's not obvious, and second because it makes installing the updates gratuitously difficult."

The worst part of all this is, and maybe it is just me, I only get once chance to do something. And if I can't do it now or notice it, since it will be opened in background, I have to wait until next reminder, which can be a week for updates, or remember it myself....how is this secure. This is one of the things I like about the icons; I don't really want to manage this window, let me hide it, but I can always bring it back or hover over the icon to see what it is and what it wants me to do.

Also no one really care that dev went out of there way to provide settings button on the update manager, so options like how often to automatically check for updates are more visible. Now I can have this option set to daily, like I have, and I will get notified week later. Were does it say that??? How is this very user friendly?

_________________________________________________________________
Rediscover Hotmail®: Now available on your iPhone or BlackBerry
http://windowslive.com/RediscoverHotmail?ocid=TXT_TAGLM_WL_HM_Rediscover_Mobile1_042009

> Date: Wed, 8 Apr 2009 19:55:27 +0000
> From: <email address hidden>
> Subject: [Bug 332945] Re: [Jaunty] Update Notifier icon would provide useful status information
>
>
> I think the system tray is heavily overused, and abused, by many
> applications, and as part of our design initiative we are working to
> reduce that. I think it's important that we not treat the OS specially,
> that we work to the same guidelines we want app authors to follow, which
> is why we aimed to change this OS-update behaviour first. We must lead,
> not follow, and lead by example too.

Can please provide studies which show and helped in your conclusion that "system tray is heavily overused". Personally I only have one to three things in "system tray", which does not seem overused to me. Also maybe it is this way because almost all the application I use which allows me to chose if I want to have the icon or not. Can the OS follow the apps in this way and provide a supported option so the user can decide what make it easy for him/her?

>
> I'm marking the bug wontfix on the basis that we are confident the
> behaviour as at 9.04 release is a good one. I wouldn't be surprised for
> the conversation to continue though I do ask that it continue in a good
> spirit. If significant data shows this to be a suboptimal choice in
> future, we will revisit the point, but for now the question is settled.
>

Thanks for listening to the users and reading all the forum threads related this.

So in conclusion, I still don't see how going from icon with notification the you have update to minimized window make it more noticeable. I think it just made things worst because not I have to manage extra window since I don't want to update now and can't close it since I will be notified week later. Also this broke the automatically check for updates daily seeting, which have been set since day one of ubuntu for me. Thanks from making my system more secure, easy to manage/productive, and just the way I want it now. I would call this "settled".

And yes I am frusteraded and if you can't understand why then I am sorry.

_________________________________________________________________
Rediscover Hotmail®: Get quick friend updates right in your inbox.
http://windowslive.com/RediscoverHotmail?ocid=TXT_TAGLM_WL_HM_Rediscover_Updates1_042009

Peter Velosy wrote:
So if the taskbar button really gets some kind of a flashing effect then it's a good approach indeed.

@ Peter , actually that is a worse approach having an panel window list blink... !
that is the opposite of the whole idea of behind this change !!!

the devs say that they dont want the *non-blinking icon* to bother people but how is a *blinking window list* not bothersome?

what happened to me today:
after an update i was told for a reboot , but i clicked later... so now the notification has disappeared and i have no reminder that i need to reboot!!! so i have to remember to reboot ! today or i'd be reminded by surprise again 2morrow!!!
so the devs think that its easy for the user to remember for himself about the reboot than placing an icon!

*as this bug is a wont fix> why bother with these rants> waste of time! when the devs get to be so inconsiderate! *

Walter_Wittel (wittelw) wrote :

I'd like to offer a hopefully useful and constructive suggestion moving forward.

I'm assuming Canonical keeps stats on time to patch and percentage up-to-date machines (maybe this too hard with mirrors - would users accept a "phone home" to help out?).

I think it would be great to see if the new method improves the overall uptake of updates by the community at large using actual numbers rather than opinions of either side.

I think a graph showing these stats for intrepid vs. jaunty (and maybe an LTS or two).

Also I understand how difficult it is to implement new features and get sufficient feedback for a 6 month release cycle, but perhaps early Alphas of Karmic would be a great place to experiment and get early feedback on changes from this passionate group, all of which clearly want Ubuntu to be the best OS possible. Maybe there could be a "prototype of the week" for the first month or so and gather feedback in time to tune for the release.

Dean Loros (autocrosser) wrote :

I for one am not happy about this & have applied the gconf patch---also, anyone that really dislikes this "new fix" that was NOT needed--look at: http://martinpitt.wordpress.com/2009/02/23/the-stracciatella-gnome-session/ for a more Gnome-like session.

Peter Whittaker wrote:
> On Wed, 2009-04-08 at 19:55 +0000, Mark Shuttleworth wrote:
>
>> I think it's important that we not treat the OS specially,
>>
>
> Mark, thanks for your comments. I think this one area where there is
> considerable disagreement: The OS is different - when the computer needs
> to tell me something, I probably shouldn't ignore it. Think firealarm.
>
Yes, that's true. But there are some apps that have fire alarms too -
imagine, for example, an app which monitors your RAID array and alerts
you to failures and issues.

My point is that we should have clear guidelines about what constitutes
each mode of operation, and we should follow those as rigorously with
the OS as we would hope apps do, as well. As soon as we make exceptions
for ourself we are weakening our argument, a bit like politicians who
give themselves raises and take their expenses out of the public eye at
the same time as they are ridiculing bankers for their pay.

I *think* we're in agreement here :-)

Mark

What can _we_ do to get an acceptable system behavior?
It was really hard for me to tell my mother that the update icon won't appear anymore. She really got used to it. Big pop-ups would seriously confuse her.
I agree with Mark that the notification area is used by too many applications. Why not trying to create two notification areas. One for the system (volume control, network manager, update manager, trash bin) and one for user applications (pidgin, evolution, rhythmbox).
Please don't do it like M$ who make the users deal with at least 5 pop-ups per hour.

Il giorno gio, 09/04/2009 alle 07.38 +0000, Mark Shuttleworth ha
scritto:
>
>
> My point is that we should have clear guidelines about what
> constitutes
> each mode of operation, and we should follow those as rigorously with
> the OS as we would hope apps do, as well.

I dreamed of clear guidelines for the notification area for a long time.
I have strong arguments in favour of modification to the behaviour
chosen for jaunty; anyway I appreciate the fact that the window will be
minimised.

I would be happy if a bit more discussion, with use cases, and maybe
numbers, would be done for jaunty+1, including the community. Not all of
us have the time to try to become a developer, but all of us are very
fond of our distribution and would like to see it in perfect shape.

What would be the place to participate in the design of the
notification-area related changes?

Vincenzo

'Ello, I wish to register a complaint!"

http://www.youtube.com/watch?v=e6Lq771TVm4

That is exactly how I feel, you are trying to sell me some stone dead parrot. We are trading our notification icon in the well known notification area for some flashing button in the window list at the other side of the screen. I really appreciate all the love and work Mark Shuttleworth and the Developers put into Ubuntu, so please don't get me wrong but this design initiative looks like another Monty Python skit on it's own.

On Thu, 2009-04-09 at 08:38 +0100, Mark Shuttleworth wrote:
> Peter Whittaker wrote:
> > The OS is different - when the computer needs
> > to tell me something, I probably shouldn't ignore it. Think firealarm.
> >
> Yes, that's true. But there are some apps that have fire alarms too -
> imagine, for example, an app which monitors your RAID array and
> alerts you to failures and issues.

Ah! Now you are thinking like a technologist and not a user,
differentiating between the OS and applications based on whether they
are kernel or user space, as opposed to what they actually do!

>From the perspective of many - I would think most - users, something
that monitors RAID - or monitors anything about the state of the
computer for that matter - is not "an application", it's part of the
computer. In that view, "applications" are things users start to get the
computer to do what they want to do: email, IM, edit video, etc.

> My point is that we should have clear guidelines about what
> constitutes each mode of operation, and we should follow those as
> rigorously with the OS as we would hope apps do, as well.

If you read my comments on the wiki page, you'll see I make clear
distinctions between system and user notifications: Let's apply that
distinction consistently. A user notification is a doorbell, it appears
in the user notification area, near where the user keeps their stuff. A
system notification is a firealarm and appears in the system
notification area, where other "systemy" things are.

Both use the same underlying technologies - API calls that bring up
bubbles - but the presentation is different: firealarms and doorbells
are presented differently and both are different from normal apps.

> As soon as we make exceptions for ourself we are weakening our
> argument

And foolish consistency makes a poorer system. Think back to the lack of
PageUp/PageDown under OpenStep on the Next boxes, because Steve Jobs
held the view it was a screen, not a page. So arrow keys giving you a
line at a time were the only way to scroll.

Jobs was being 100% consistent in his view, and missing the point that
ScreenUp/ScreenDown would have been handy.

> I *think* we're in agreement here :-)

Actually, not so much. Hence all of the on-going debate on this. It's
one thing to see a design, another to see the implementation. Some of us
saw the design and said "cool". Many of us saw the implementation and
said "Whoa, not cool".

Mark Shuttleworth (sabdfl) wrote :

Vincenzo Ciancia wrote:
> What would be the place to participate in the design of the
> notification-area related changes?
>
Join the Ayatana team mailing list on Launchpad!

Mark

Mark Shuttleworth (sabdfl) wrote :

Peter Whittaker wrote:
> If you read my comments on the wiki page, you'll see I make clear
> distinctions between system and user notifications: Let's apply that
> distinction consistently. A user notification is a doorbell, it appears
> in the user notification area, near where the user keeps their stuff. A
> system notification is a firealarm and appears in the system
> notification area, where other "systemy" things are.
>

So, a user notification is something like "John emailed you", and a
system notification is something like "Your network disappeared"?

Mark

Download full text (3.7 KiB)

Having read the whole thread I am adding my voice to do this. I believe that the decision to remove the notification icon was a mistake. Here are my arguments.

1) System tray is a guarantee of authenticity
----------------------------------------------------------------------
If you're trying to solve bug #1, then you should pay attention to the fact that Windows users expect system notifications to come from the system tray----not some window that is in their user stack and is decorated the same way as their users windows. In fact, Windows users have come to distrust such windows.

Believe it or not, even the "It Just Works" user attaches a degree of flakiness to windows that automatically open. This is why there are pop-up blockers in every single web browser. For whatever reason, users, not just power users but "It Just Works" users too, consider pop-ups are a bad thing (TM). Many now almost instinctively close windows they did not specifically request to be opened. I am talking about Windows users here---Mac users are probably used to the Software Update automatic pop-up. And I don't think the self-minimizing window fully addresses this point.

This is not to say that users are idiots and won't understand the Ubuntu system, which is more like Mac OS. But if you're trying to draw users away from Windows, the system tray as an authoritative source of updates is one thing that they have down.

2) Lack of persistence.
-----------------------------------
Under the new system, if I cannot update right away, and the window disappears for whatever reason---I click on "X" to make it go away without reading it, or I have to reboot---then I have to wait to apply the updates. I would say that especially if there is a critical security flaw, the system ought to have a way to persistently communicate the immediate availability of a fix to the user. The old notification icon did that, but the new system does not allow for persistence in the same way.

3) Futility
-------------------------------------------------------------------------------
I understand the desire to lead by example. But looking at my notification area right now, all I see is network manager and my "battery is charging" notifier. No crowding---just useful notifications that ought to be there.

The real crowding problem is from user apps, not the system---amaroK, the old transmission, whatever else---that abuse the notification area. Are you going to block all those applications from using the area? I didn't think so. The end result is that the notification area's crowdedness will vary depending on the applications a user chooses.

So your solution is to effectively ditch the notification area---since so many applications *might* be using it, then I'll just give up on it altogether. First of all, how do you know this is not a power user problem? My suspicion would be that the "It Just Works" user doesn't have that many icons in the area. Second, why throw out the baby with the bathwater? Literally the most useful icon the area---the one that tells me if there is an *immedate fix* to something that could break my computer---is now gone.

4) Choose your battles
-----------------------...

Read more...

Matthew Paul Thomas (mpt) wrote :

Pausanias, the notification area is not a "guarantee of authenticity" in either Windows or Ubuntu. In both OSes it can be used by third-party applications, including malware. And in both OSes the vendor is clamping down on third-party use, though in different ways. We're at an advantage, because most Ubuntu applications are Free Software, so we can patch them and send those patches upstream. Microsoft has to resort to more code and interface bloat: a dialog listing all notification icons past and present, with options to prevent them appearing in future. <http://howtogeek.com/howto/windows-vista/clean-up-past-notification-icons-in-windows-vista/>

We did not make this change with the idea that it would be a "battle", but in the knowledge that it's better done sooner than later.

Download full text (5.6 KiB)

On Thu, 2009-04-09 at 11:41 +0100, Mark Shuttleworth wrote:
> Peter Whittaker wrote:
> > If you read my comments on the wiki page, you'll see I make clear
> > distinctions between system and user notifications: Let's apply that
> > distinction consistently. A user notification is a doorbell, it appears
> > in the user notification area, near where the user keeps their stuff. A
> > system notification is a firealarm and appears in the system
> > notification area, where other "systemy" things are.

> So, a user notification is something like "John emailed you", and a
> system notification is something like "Your network disappeared"?

Yes, exactly. They are different events, different types of events, and
need to be handled differently. If I ignore the doorbell, chances are
I've missed a friend or a chance to donate to a worthy cause; chances
are I'll have another chance at either/both.

If I ignore a firealarm, well, it's not the sort of thing you do more
than once, is it?

So "John emailed you" appears ephemerally in the user notification area
(mentally, I'm viewing this as bottom-right, where the bubble fades up
from the bottom, stopping with its bottom edge attached to the bottom
bar).

"Your network disappeared" appears in the system notification area,
using the same mechanism (my little mental picture is bubble fading down
from the top right, stopping with its bottom edge attached to the top
bar). If necessary, they can decorated with something akin to traffic
signals (yellow triangles for suspicious conditions, red octagons for
serious conditions, etc., though I would like this to be configurable).

Generally, user notifications are ephemeral, allowing us to ignore them;
the one obvious exception is a user-triggered reminder, that is, a
reminder of a ToDo, meeting, etc., entered by the user. (Preference
allows the user to make buddy or email notifications, etc., persistent
if they want, and all user notifications are user configurable.)

System notifications fall into three classes: The always ephemeral, the
always persistent, and the ephemeral-but-may-signal-a-problem. "Your
battery is about to die, save your work" is persistent (using the model
I described previously - appear, then sink beneath the focused window,
reappearing as focus rises). "Important updates are available" is also
persistent.

Always ephemeral would include "Your battery is fully charged", "you are
now connected to network N", etc.

Trickier are "ephemeral-but-may-signal-a-problem": "You are now
disconnected from the network" may or may not be a problem. Chances are,
you undocked your laptop. But if you aren't on a laptop, chances are
this is a problem.

I'm of at least two minds as to how to resolve this. My first - and
distinctly inelegant - inclination is to periodically remind the user
("You've been disconnected for 90 minutes, is everything OK"), perhaps
even making the notification persistent after a time, but this would be
disturbing to the laptop user who has deliberately gone off-line.

My second - and preferred - inclination is an ephemeral bubble to draw
attention coupled with a persistent NetworkManager icon showing current
network state. I say prefer...

Read more...

Jan Claeys (janc) wrote :

Op donderdag 09-04-2009 om 14:16 uur [tijdzone +0000], schreef Matthew
Paul Thomas:
> Pausanias, the notification area is not a "guarantee of authenticity"
> in either Windows or Ubuntu. In both OSes it can be used by
> third-party applications, including malware.

Once there is malware on your PC then obviously nothing can be
considered "authentic" anymore. But I think what Pausanias means is
that you can't put an icon there from outside your PC, e.g. using some
JavaScript on a web page, while websites opening a window is quite
common...

--
Jan Claeys

@Mathew:
PLS , could u just answer one question...

when i'm working i get a notification to update > so i update thinking its would just work in the background > but after the update it asks for a restart > i choose to "restart later" > i'd be reminded again after 1 day to restart, when of course it would be the same time i'm working > so i choose *again* to "restart later" > next day ,
and so happens for every day for a few days , i dont restart[i usually set the system to hibernate/suspend]
but i keep getting this reminder at the most awkward time while i'm working,
*so now would i get any other updates* ? what if these NEW updates are supposed to patch up the previous update for which i havent restarted yet? *would the update install properly and not break the system /cause a crash*???

wouldnt this problem be avoided if there was a reminder, which reminded me after my work was over, to restart?

there is a huge defect in this method that devs have overlooked... there are several users who dont shutdown the system often but keep it running, often bragging that they didnt restart for nearly 45days...!

i do understand that u are the aesthetics side of this and not from the technical aspect , and u cannot guarantee, the technical problems here, but *what have u planned for such a scenario*?
because when we spread the word to other new users, to try out ubuntu, we should know the defects in it too , to warn them.... either that they should remember the notification or to not close the dialogue window...!

On Thu, 2009-04-09 at 16:55 +0000, mac_v wrote:
> wouldnt this problem be avoided if there was a reminder, which reminded
> me after my work was over, to restart?

I thought of this as well, and included a mechanism in my comments on
the wiki page - when you click on a system notification, you are
presented with three options:

 * Cancel (addresses the I'm about to reboot and I know about problem,
           I'll deal with it on my own cases)

 * Do now

 * Do later (with an option to specify when)

pww

Olá ktp420 e a todos.

On Thursday 09 April 2009 03:50:12 ktp420 wrote:
> Can please provide studies which show and helped in your conclusion that
> "system tray is heavily overused".

Here is one

--
Hi, I'm BUGabundo, and I am Ubuntu (whyubuntu.com)
(``-_-´´) http://LinuxNoDEI.BUGabundo.net && Ubuntu LoCoTeam Portugal http://ubuntu-pt.org
Linux user #443786 GPG key 1024D/A1784EBB

> Date: Thu, 9 Apr 2009 14:16:00 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 332945] Re: [Jaunty] Update Notifier icon would provide useful status information
>
> Pausanias, the notification area is not a "guarantee of authenticity" in
> either Windows or Ubuntu. In both OSes it can be used by third-party
> applications, including malware. And in both OSes the vendor is clamping
> down on third-party use, though in different ways. We're at an
> advantage, because most Ubuntu applications are Free Software, so we can
> patch them and send those patches upstream. Microsoft has to resort to
> more code and interface bloat: a dialog listing all notification icons
> past and present, with options to prevent them appearing in future.
> <http://howtogeek.com/howto/windows-vista/clean-up-past-notification-
> icons-in-windows-vista/>
>

At least the user still has control over his/her system. Hack why don't you do something like windows, hide the least used. I still don't understand why does the user who wants it will have to leave without it.

_________________________________________________________________
Rediscover Hotmail®: Get e-mail storage that grows with you.
http://windowslive.com/RediscoverHotmail?ocid=TXT_TAGLM_WL_HM_Rediscover_Storage1_042009

ktp420 (ktp420) wrote :

> Date: Fri, 10 Apr 2009 00:10:08 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 332945] Re: [Jaunty] Update Notifier icon would provide useful status information
>
> Olá ktp420 e a todos.
>
> On Thursday 09 April 2009 03:50:12 ktp420 wrote:
> > Can please provide studies which show and helped in your conclusion that
> > "system tray is heavily overused".
>
> Here is one
>
> --
> Hi, I'm BUGabundo, and I am Ubuntu (whyubuntu.com)
> (``-_-´´) http://LinuxNoDEI.BUGabundo.net && Ubuntu LoCoTeam Portugal http://ubuntu-pt.org
> Linux user #443786 GPG key 1024D/A1784EBB
    Send
>
>
> ** Attachment added: "tray.png"
> http://launchpadlibrarian.net/25172816/tray.png
>

Thanks for the screen shot. But remember since someone can make the area look like that does not mean that is problem. I am sure most of those are there because user has chose to display them there.

_________________________________________________________________
Rediscover Hotmail®: Get quick friend updates right in your inbox.
http://windowslive.com/RediscoverHotmail?ocid=TXT_TAGLM_WL_HM_Rediscover_Updates1_042009

@BUGabundo:

do u realize the difference between notification icons and applets?

ur panel is filled up with > nearly 26 icons

of which only * 8 * come under the category of notification icons ,

* any almost the icons displayed come with the default setting of no icon in the notification icon *

and to have such a panel u have set manually to have the icons displayed > this is not a case of the applications missusing the notification area , BUT rather the user misusing the notification area ...

even if such a highly iconized setting does really exist , its only since the user has chosen to have all those icons displayed...
so what happens to such an icon crazy user?

the screenshot u "made" actually makes no point...

Moritz Baumann (mo42) wrote :

@Peter:

I love your idea, but regarding your last comment: I'd rather provide a checkbox (un-checked by default) for the »remind me again later« option since users are used to getting two options (OK and Cancel). A dialogue offering three options is rather confusing and unusual in the first place and could lead to fast clicks on the wrong button.

ami_nakata (ami-nakata) wrote :
Download full text (4.8 KiB)

@Matthew (MPT):

Matthew, I'd like to highlight some of the things you've written about user-interface design that directly inform this controversy:

You wrote above:

> Brian, whether an automatically-opening window is
> from a newly-running application or an already-running
> application is, ideally, an implementation detail.

It surprises me that anyone with experience or training in user-interface design would write that. The first is a distraction away from one's current intention, and the second is an assist in accomplishing one's current intention. In terms of the user's subjective experience they're opposites. The difference is so great that, far from being 'an implementation detail', as you put it, this surely needs to be a *policy* matter.

Consonant with the belief you assert above, you say at https://lists.ubuntu.com/archives/ubuntu-devel/2005-August/009960.html,

(Matthew writes:)

> ... even with optimally usable software you'll still need
> a help function. Just-in-time proactive advice would work
> better than passive help, and that's true for all kinds of
> help, not just security. (“Using a table works better than
> lining up text with spaces. To make a table, choose 'Table'
> from the 'Insert' menu.” )

'Just-in-time proactive advice' is a good thing? Was there *anyone* who didn't disable that annoying-as-hell “proactive” talking paper-clip help feature that was included in Word a few years back? And are there more than three people that can type who don't find the autosuggest word-completion 'feature' many word-processing programs employ distracting and annoying?

I bring up the reference to point out that your user-interface design philosophy favors lots of active intervention that I think belongs more appropriately in a user-initiated interactive tutorial. You just don't seem to understand how much users hate being distracted from their work, how greatly we resent having our attention forcibly and repeatedly re-directed by programmers.

Further, you referred me to https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027568.html where you,

( Matthew wrote: )

> If your hard disk starts to fail, the system needs ...
> If someone is trying to call you over IM, the system needs ...
> If you're on the Internet and there's a software update to fix a
> security vulnerability, the system needs ...
> If three months ago you set a calendar alarm for today, the system needs ...

I imagine you might dismiss what I'm about to say as a nicety of semantics, but it's relevant here to observe that 'the system' does not 'need' anything at all. Software and hardware don't have needs; *people* have needs. ( But I think the term 'wants' would be more helpful than 'needs' here. )

Your statement about what should happen when there's a software update available, then, comes down to two things:

(1) What the person who wrote the “listening for updates” program wants, and
(2) What the user wants.

And that, in my opinion, is the root of the conflict over this issue.

I wrote earlier that developers should at least include a 'Don't show this message again' check box in the window you want to initiate when updates are avail...

Read more...

why not shove that into the indicator applet (messaging menu) ?

A few suggestions i'd like to add,
-maybe they should popunder, then if the X is clicked push it to the
messaging menu
-the user then controls priority (its popped under as a high priority
item), then if nothings done (an X (close) is clicked) it lowers in
priority to the messaging menu
-maybe high priority items that get closed (or not acted upon), can
request a different color dot on the indicator applet, (or at least a
more noticable change to the icon)

Just a few suggestions that takes into account both sides of this
issue, please disect this as you see fit.

man, I really liked the notification icon - it should be put back (or the option to do so)

- CH

Matthew Paul Thomas (mpt) wrote :

Jan Claeys: Google wanted Web apps to be able to put icons in the notification area in HTML 5. <http://lists.whatwg.org/pipermail/whatwg-whatwg.org/2009-March/018722.html> That request has been turned down for now, but it's possible they'll attempt the same thing with browser extensions.

mac_v: People who prioritize keeping their system running as long as possible over installing restart-required updates will have that issue regardless of how Ubuntu asks them to restart.

ami_nakata: Not only is it an implementation detail whether an automatically-opening window is from a newly-running application or an already-running application, it's an implementation detail whether *any* window is from a newly-running application or an already-running application. Automatic window example: You and the other complainants in this bug report would be no happier about the updates-available window opening automatically if it was part of Nautilus (which was already running) than part of Update Manager (which was not). Manual window example: The "Settings" button in Update Manager opens a window that's powered by a separate application (Software Sources), but people don't care or need to care. For references on why just-in-time proactive help is better than passive help, see <http://mail.gnome.org/archives/usability/2006-March/msg00248.html>. (Clippy was just a spectacularly poor implementation.) If it helps you understand the use cases for automatically opening windows, mentally replace the shorthand "the system needs to" with "people will benefit most if the system will". And we take the user's attention allocation very seriously; that was one of the themes of my presentation on the new notification system at UDS.

BUGabundo and Brian Curtis: The messaging menu is intended for messages from external agents, mainly humans. Using it for system stuff would confuse its meaning.

On Tue, 2009-04-14 at 09:26 +0000, Matthew Paul Thomas wrote:
>
> ami_nakata: Not only is it an implementation detail whether an
> automatically-opening window is from a newly-running application or an
> already-running application, it's an implementation detail whether *any*
> window is from a newly-running application or an already-running
> application.

I think the point here is not to try to draw lines in the sand about
who/what is opening windows but why they are being opened. A window
that opens because I did something or because it's relevant to an
application I am using is expected and non-intrusive.

A window that opens that has nothing to do with what I am doing at the
moment presumes that what it wants done is more important than what I am
doing because it feels like it can interrupt *my* time to deal with it.

That's just rude.

To analogize to a real life situation... I may be with a group of people
discussing something and it's perfectly fine for any one of those people
to start talking and offer opinion on the conversation -- that is not
interruption, but it is absolutely not alright for somebody to come
interrupt the group to tell us about his family vacation last summer.

It would be alright for somebody to come interrupt us to tell us the
building we are in is on fire, but IMHO, update notification is not
analogous to the building is burning down. That's why it belongs off to
the side, as an unobtrusive icon I can notice and take action, when it's
convenient for me.

I run many Ubuntu stations in a production environment and my users are heavily limited in what they can and can't do. Machines sign on automatically and users are NOT given the password for the account. All updates are done via script or manually via SSH from IT.

Now with this version I am either going to have to hack around a poorly thought out update or put up with a million questions from users about why update manager keeps opening up and the users can't do anything with it other than close it.

How we are NOTIFIED of updates is really irrelevant and most people probably won't care one way or another. But opening update manager or any other program automatically is not a notification. It is the beginning of the update process itself.

Notification should be DISTINCTLY different than the actual update process. It should be noticeable but not obnoxious.

Steve Langasek (vorlon) wrote :
Changed in ubuntu-release-notes:
status: New → Fix Released
Matthew Paul Thomas (mpt) wrote :

getut, if updates were being advertised to people who couldn't possibly install them, that was a bug regardless of whether they were being advertised with a window or an icon. Please report the bug if you haven't already. Thanks!

On Thursday 16 April 2009 15:41:49 getut wrote:
> I run many Ubuntu stations in a production environment and my users are
> heavily limited in what they can and can't do. Machines sign on
> automatically and users are NOT given the password for the account. All
> updates are done via script or manually via SSH from IT.

Your users run as plain USERs not as ADMIN right? So why would they even get an option to refresh the package list?

--
Hi, I'm BUGabundo, and I am Ubuntu (whyubuntu.com)
(``-_-´´) http://LinuxNoDEI.BUGabundo.net && Ubuntu LoCoTeam Portugal http://ubuntu-pt.org
Linux user #443786 GPG key 1024D/A1784EBB

getut (rtkluttz) wrote :

Matthew and BUGabundo, in our environment since multiple users were not needed, we chose to go with a single user install with automatic signon...so it is the default and only user account on the system. This means it is admin but the users are NOT given the password for the account. I use modified hal policies to lock out removeable drives, CD's and DVDs.

We SSH into the boxes with the same user account to do updates either manually or scripted.

gusztee (gusztee) wrote :

okay, here is my little experience with this new system:

I upgraded my girlfriends and her sisters computer, not because i wanted to put a beta system on there computer, but some drivers where better. it doesnt matter here anyway.

What happened is that they didn't update their system in the last 2 weeks.. how come? because, i showed them how to update when they had the little orange icon, but now they were just disturbed by some crazy pop up windows, so they just closed it..

I updated my pc manually, but simple user who doesnt care about these things wont. So whats the point? to make users have their systems outdated or what? this is not user friendly at all.

Osliner

Lanoxx (lanoxx) wrote :
Download full text (4.1 KiB)

I also think this is not a good decision. Windows that pop up are never good, no matter for what purpose and whether they are pop-ups or pop-unders. As Osliner I too explained everybody how to update their system if the red notifier showed up, and that worked well for them. Personally I also like the old system.

 1. I usually do not update immediately if I am in the middle of something but instead wait until I have time.
 2. If a windows opens out of my control then I consider that a loss of freedom.
 3. I would probably click away the window and wait with the update until I have time for it.
 4. If there is no further notification I will most likely forget about the update (thus the need for a permanent icon)
 5. There is a similar thing on windows when after the update process the restart notification pops up every 5 min. to remind me that I have to reboot. I have been hating that ever since it has been introduced. I know here the situation is less obtrusive but still comparable. And I do not like it.
 6. I can not understand the discussion about tasks not belonging into the notification area. For me the notification area has 3 purposes:
 * First it is a place to quickly access running applications (like Skype or Pidgin) which I do not want to have in the foreground all the time.
 * Second it is a place to make changes to (interact with) the system, like volume control (or graphic control etc.) and get feedback from the system (like Battery status, system status).
 * And third it is a place holder for things that need my attention (like available updates, required reboots and restarts).

So the notification area as the name says does some important things: It gives notifications to the user and lets the user interact with them (For example the Pidgin icon notifies me if I'm online or not and lets me quickly call the main window to chat with my friends or change the online status when I am offline).
UNLIKE the new notification system it is a way for PERMANENT notification and interaction where as the new notification systems intention is for NON PERMANENT notifications for which it does not matter if the uses notices them or not, like volume change, wireless connection, display brightness. If the user misses one, It does not matter usually.
Also the new notification system was deliberately designed to be non interactive which is good. However If there is a state in the system that does not only require us to inform the user ONCE but PERMANENTLY then the new notification system is not the right thing (it can still do the FIRST notification), instead we need something in the notification area.

Now If you really think that some users (mostly those that do not care about how their system works and who are not experts), then I suggest doing the following:

 1. I would no matter what restore the icons in the notification area (update available, restart required, package manager working etc, everything that belongs to this system).
 2. The update manager can still appear the first time there is the need for an update, but then the user should explicitly be informed about it and be given the choice whether he wants to have this window pop up auto...

Read more...

I have to add my vote here, because this is a big thing for me. Pop-up/under windows are something we were fighting with until 2-3 years ago - please don't bring them back in any form.
I'm not sure what the notification overload problem is about. There are exactly 3 "permanent" notification on my desktop - IM, music player, battery + some temporary ones like updates. These things just belong there. There's no other place for them and now devs are suggesting getting rid of those icons. Is there a better way to show them? If yes, then why isn't it introduced *before* update notification icon is removed. I'm not sure who wants a full window for those apps (especially battery status).
Current change is just wrong and not customisable (you can tell people that gconf == customisable all you want, but first you will have to tell them what gconf does and how to use it). How many people have to mark this regression as "affects me too" before the change gets reverted?
Poping up update notifier is bad (as explained many times above), because users don't expect it, will not notice it and will close the window to remove the annoyance.

Yeah... affects me too.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Stanislaw Pitucha wrote:
>
> Yeah... affects me too.
>
why doesnt canonical add a voting system where the users can vote for a
feature...

the new notification system is good, but poorly planned...
the *devs could have held off the app push atleast until the update
manager had options as proposed* in the Notify-osd wiki...
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAknsLC0ACgkQ8QR4RbuR48CHlQCfVrknW3p0dhBSygoJIuGMAHQc
ekAAn0Igj5Vv/D8ju1PtdU2IAgsiYti6
=Uu7C
-----END PGP SIGNATURE-----

I think it's amazing that almost every single post on on this bug
doesn't want this new method, and thats just the people who
have taken the time to find/write a bug report
and yet what the users wanted is as good as ignored

pop up/under box's are evil
if a window pops up with out there been a reason for it
e.g i've just clicked a dialog
I assume its an pop under/over from a webpage and it gets closed before its even loaded

a simple notification bubble been shown every x min is more then enough
to notify a user to update with out intruding on the users desktop

I also use ubuntu for a digital photo/media frame i built
so having a dialog pop up is going to ruin a fantastic photo frame

2009/4/20 mac_v <email address hidden>:
> why doesnt canonical add a voting system where the users can vote for a
> feature...
>

http://brainstorm.ubuntu.com/

Just because something is popular, doesn't make it right.

> 2009/4/20 mac_v <email address hidden>:
> > why doesnt canonical add a voting system where the users can vote for a
> > feature...
> >
>
> http://brainstorm.ubuntu.com/
>
> Just because something is popular, doesn't make it right.
>

I'm not sure building a feature everybody dislikes is better...

Vish (vish) wrote :

Alan Pope wrote:
>
> http://brainstorm.ubuntu.com/
>
> Just because something is popular, doesn't make it right.
>
@alan
i'v know about brain storm...
but its for new ideas and implementation...

i suggest for voting already implemented new features...

i understand that popular doesnt mean right...
* but right or wrong doesnt have to be forced down peoples throats * ...

this new feature is not fully functional as proposed in the
https://wiki.ubuntu.com/NotifyOSD#Update%20Manager
 without the settings available, * the user has no control over the
updates* , its just the default 1 week display for the updates other
than security updates...

the whole problem is the incomplete implementation of a good idea...

wouldnt it have been better to leave the update manager alone until u
could have made the settings available?

notify-osd as a whole is incomplete, but to break the update settings
for the notify-osd is what the users dont understand...

xpd259 wrote:

> a simple notification bubble been shown every x min is more then enough
> to notify a user to update with out intruding on the users desktop
>

+1
^ this is a lovely idea... xpd i hope u can add this to the notify-osd
comments section

Dear friends,

Please excuse me for not reading everything before asking this question.

I've just reported a bug which turns out to be a duplicate of this one. Now, what I reported was that I don't get notified of upgrades. So again, I'm sorry that I'm not going to read everything here.

I just want to know now; am I supposed to be notified of available upgrades in jaunty or not? If yes, then how? Because I don't see it.

Many blessings.

2009/4/20 Philippe Escarbassière <email address hidden>:
> I'm not sure building a feature everybody dislikes is better...
>

s/everybody/a vocal minority/

We need at least some permanent notification of updates, reboot required and application restart required. These can be flashed up using the new system but in addition to a permanent notification.

> s/everybody/a vocal minority/
>

Regarding the number of duplicates and comments, I don't believe it's a
vocal minority. And regarding all the opposition, maybe a kind of survey
would be nice to be sure the feature is benefic to Ubuntu users or not.

At least I find it's premature to enable this behaviour for Jaunty, the
few feedback is negative and no positive feedback has been reported as
far as I know...

"a vocal minority"?

Take all ubuntu users:
- leave only jaunty testers
- leave only people who actually noticed that anything is wrong
- take away people who don't usually report bugs at all

those people will be a minority for sure and they are vocal, because they report bug. Everyone commenting on bugs here is a part of "a vocal minority", yet bugs are fixed, right?. This issue is pretty popular on forums and brainstorm right now, but I haven't seen anyone agreeing that the change is good so far. Looks like a good approximation of "everyone" to me...

Sorry, I really want to be precise here:
not "leave only people who actually noticed that anything is wrong"
but "leave only people who noticed that there are updates available, but there is no update icon"

+1 please do a survey or make a poll available for users to vote. There
are currently about 20 bugs with (from what I see) the majority of the
people complaining about it. This is not a minor thing.

Il giorno lun, 20/04/2009 alle 09.27 +0000, Alan Pope ha scritto:
> > I'm not sure building a feature everybody dislikes is better...
> >
>
> s/everybody/a vocal minority/

This comment is anti-scientific. Either you invent a survey and convince
users (ubuntu or launchpad users, and it makes a difference already) to
take it, or you stick with the only numbers that we have now.

V.

--
It is also important to note that hedgehogs do not actually hurt each
other when they get close to one another. Actually, when living in
groups, hedgehogs often sleep close to each other.
http://en.wikipedia.org/wiki/Hedgehog%27s_dilemma

"a vocal minority"... that it's too much for me !

I'm not sure it's ubuntu to treat your alpha/beta/rc testers in this way.

How many comments and how many duplicates will it take for you to realize that you are wrong (and jaunty is not yet released)? Many people took the time to argue to prove you that you're wrong, are you deaf ? Don't listen your users/testers/contributers and I'm sure you'll solve bug #1...

I'm very disappointed.

xpd259 wrote:
>
> a simple notification bubble been shown every x min is more then enough
> to notify a user to update with out intruding on the users desktop
>

@Matthew Paul Thomas , Alan Pope

consider this idea instead of the pop-under... i understand this is not
immediately possible, but hope u could consider it into future
development...

u have a nice notification system, so rather than using the pop-under,
use the notify-osd for the update notification...

u guys already have a proposal for the actions keys in the notify-osd
for situations where it is absolutely required,
 so just have a single button for the user to choose "update now" ,
 and making the notify-osd stay longer for these update notification...

so they end up being less intrusive than the pop-under windows and
atleast have an option for the reminder , x mins , which users can
choose from...

i think is might be a good idea for consideration...

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Alan Pope wrote:
> 2009/4/20 Philippe EscarbassiÚre <email address hidden>:
>> I'm not sure building a feature everybody dislikes is better...
>>
>
> s/everybody/a vocal minority/
>
yeah maybe we are the minority who think that they can improve this
linux flavor , but signing up for an account , and submitting/commenting
on a bug report...

rather than *the will be majority * of people who * would dump Ubuntu *
for some other linux flavor , if the devs continue to have such an
attitude...

why have the comments section for the 'vocal minority' ?
and just not cut the comment[vocal] section out which make the minority
less of a bother to devs...!
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknsYOgACgkQ8QR4RbuR48Dk0QCgmxINZfCKa3+Xm1bIbA+EvhW6
kUgAnRQpIxiFycdY3JHfu7t6UDFLjwN+
=Ul3n
-----END PGP SIGNATURE-----

Vish (vish) wrote :

Alan Pope wrote:
> 2009/4/20 Philippe EscarbassiÚre <email address hidden>:
>> I'm not sure building a feature everybody dislikes is better...
>>
>
> s/everybody/a vocal minority/
>
yeah maybe we are the minority who think that they can improve this
linux flavor , but signing up for an account , and submitting/commenting
on a bug report...

rather than *the will be majority * of people who * would dump Ubuntu *
for some other linux flavor , if the devs continue to have such an
attitude...

why have the comments section for the 'vocal minority' ?
and just not cut the comment[vocal] section out which make the minority
less of a bother to devs...!

It would be helpful, I think, if people could try not to use "devs" or "developers" here as if all the Ubuntu developers got together and decided this. The notify-osd system was designed and implemented by Canonical and they should get the credit/flames for it. Developers are also users and in this case there are many developers who are for the change and many who are against it. Lumping them all together is perhaps a bit of a disservice to people who had nothing to do with the change.

Regarding Alan's "vocal minority" statement. While he was perhaps a bit to concise for a heated topic, he has a fairly good point. We can't take this bug report (19 dups and 221 comments now) as solid proof that the majority of users don't like the changes. The big reason is that only people who don't like the change are going to file a bug about it so we're specifically collecting the "no" votes without really any collection of the "yes" votes. That makes things like this bug report not very useful for knowing just how many people are in favor of the new system. Statistically, 221 "no" votes is a distinct minority of users and so the claim that "a feature everybody dislikes" is probably not very valid. That is not to say however, that all the "no" votes are irrelevant or not considerable.

At this stage of the game we're about 2 months too late to do anything about this for Jaunty. Bottom line, this is the way it is for Jaunty. I filed bug #338501 about a month ago to get simple notifications of updates as they were detected but it didn't make it for Jaunty. There are a lot of bugs to fix and with only a limited amount of time it's hard to get to them all.

So I think it would really help if people got away from this bug report to more constructive places to discuss the notify-osd design as we look ahead to Karmic Koala. As I've already pointed out, https://lists.canonical.com/mailman/listinfo/ayatana-project is a good spot.

simple answer .. unofficial answer but
here is a poll

http://www.doodle.com/h7shad47ffgpxpyq

Il giorno lun, 20/04/2009 alle 14.28 +0000, Jordan Mantha ha scritto:
>
>
> Regarding Alan's "vocal minority" statement. While he was perhaps a
> bit
> to concise for a heated topic, he has a fairly good point. We can't
> take
> this bug report (19 dups and 221 comments now) as solid proof that the
> majority of users don't like the changes. The big reason is that only
> people who don't like the change are going to file a bug about it so
> we're specifically collecting the "no" votes without really any
> collection of the "yes" votes. That makes things like this bug report
> not very useful for knowing just how many people are in favor of the
> new
> system. Statistically, 221 "no" votes is a distinct minority of users
> and so the claim that "a feature everybody dislikes" is probably not
> very valid. That is not to say however, that all the "no" votes are
> irrelevant or not considerable.
>

In the new notification dialog, why not putting a link saying "this
dialog is new, do you like it? Tell us your opinion", pointing to a
quick survey?

Vincenzo

--
It is also important to note that hedgehogs do not actually hurt each
other when they get close to one another. Actually, when living in
groups, hedgehogs often sleep close to each other.
http://en.wikipedia.org/wiki/Hedgehog%27s_dilemma

Il giorno lun, 20/04/2009 alle 14.37 +0000, xpd259 ha scritto:
>
> simple answer .. unofficial answer but
> here is a poll
>
> http://www.doodle.com/h7shad47ffgpxpyq
>

Am I reading Mark Shuttleworth voting for the old-style notification?
Perhaps a poll with launchpad authentication would be better...

v.

--
It is also important to note that hedgehogs do not actually hurt each
other when they get close to one another. Actually, when living in
groups, hedgehogs often sleep close to each other.
http://en.wikipedia.org/wiki/Hedgehog%27s_dilemma

@Jonathan

I didn't speak about developers. I'm a developer myself and I try not to
bash other developers and respect their work. But I listen to users
feedback too.

In this case, even if 221 votes are not a proof (plus other forum posts
and wiki comments), it's clearly an indication this new behavior is not
welcome to everybody. That's why I find this change premature. And some
other constructive comments posted here are very good argument against
it too.

Now, since it's too late to revert a default gconf value, let's see how
this feature/bug will be accepted by Ubuntu community and, if it's
clearly rejected, let's hope next bug reports like this one will be
taken more seriously.

+1.

I dislike not having the Update Notifier.

In two weeks on Jaunty I have never noticed an "update notice". Not once. That's bad IMHO.

Steve Langasek (vorlon) on 2009-04-20
affects: ubuntu-release-notes → null

2009/4/20 xpd259 <email address hidden>

> simple answer .. unofficial answer but
> here is a poll
>
> http://www.doodle.com/h7shad47ffgpxpyq

Well, it's conclusive, obviously - 25 people have voted in favour of the old
system so far, including Bill Gates, The Real Slim Shady and the Big Bird
off of Sesame Street, versus only 2 people for the new style notification.

"Now, since it's too late to revert a default gconf value"

Really? This is probably the only issue I've seen through the last couple of releases that affects everyone, in everyday usage scenarios, was security related (security updates might go unnoticed) and was disagreed with that much. Maybe I just missed some discussions, but this is the first one in ~3 years as far as I'm aware. This issue will not die for the next year or so. After the release the number of duplicates will just start increasing.

Matthew Paul Thomas (mpt) wrote :

Philippe, if we made only changes that were welcome to everybody, we wouldn't have changed anything since Ubuntu 4.10.

Vincenzo Ciancia wrote:
> Il giorno lun, 20/04/2009 alle 14.37 +0000, xpd259 ha scritto:
>
>> simple answer .. unofficial answer but
>> here is a poll
>>
>> http://www.doodle.com/h7shad47ffgpxpyq
>>
>>
>
> Am I reading Mark Shuttleworth voting for the old-style notification?
> Perhaps a poll with launchpad authentication would be better...
>
> v.
>
Brainstorm would be preferable here... Therer are already two ideas:
http://brainstorm.ubuntu.com/idea/19283/
http://brainstorm.ubuntu.com/idea/18460/

Second one is my failed attempt at making a preemptive strike.

Also wish to add my voice to the negative side here. The only good
reason to go through with this is if it would indeed increase security,
and make people more likely to install updates.
I don't see this step helping that... A random window lying around
(since it's opened in the background) will be closed, since this is not
a normal way to notify people of updates. People are used to either
focused dialogs, notification icons, or notification bubbles for this
kind of information. And if people have to re-learn to be able to handle
this behaviour as it is intended, then it has obviously failed.

If we really wanted to take a step on security we would enable automatic
security updates by default... This, is in my opinion an uneccesary
step, which annoys without actaully acheiving what is intended.

But then again I am writing here, so it doesn't really count.
- Arand

LaserJock (laserjock) wrote :

On Mon, 2009-04-20 at 15:01 +0000, Philippe Escarbassière wrote:
> @Jonathan
>
> I didn't speak about developers. I'm a developer myself and I try not to
> bash other developers and respect their work. But I listen to users
> feedback too.

I wasn't picking you out in particular, I'm just hoping to avoid a bunch
of "stupid Ubuntu devs" stuff. However, I think it's worth noting that
Ubuntu developers do listen a lot to user feedback. The problem is that
"listen" doesn't always mean "do whatever a user wants".

I've been trying to play it fairly neutral here, but perhaps it's
worthwhile to say a few personal things. I was an early vocal critic of
notify-osd, Dx team, etc. I had a few "discussions" with mpt on IRC
about update-notifier/update-manager specifically. I called up the
Ubuntu Community Manager and let him know what I thought and echoed a
lot of the general sentiment on this bug report. The conversation was
fruitful I think and I was told that much was being done to address the
community feedback.

In response to a lot of user and developer feedback quite a few changes
are planned for Karmic Koala. One of the biggest problems I had with
what happened in Jaunty is that notify-osd was landed so late in the
development release cycle that very little in the way of corrections or
polish could be done. However, Mark and several others felt that it was
important to get the work that had been done out to users for testing
and feedback. We'll just have to see how it works out.

> In this case, even if 221 votes are not a proof (plus other forum posts
> and wiki comments), it's clearly an indication this new behavior is not
> welcome to everybody. That's why I find this change premature. And some
> other constructive comments posted here are very good argument against
> it too.

Yes, it is clear it isn't welcome by everybody, and unfortunately that
is a fairly common occurrence in a project this large with as diverse a
user population as we have. We have numerous examples (NetworkManager
being one that seems sort of similar) where a consensus can take a very
long time to achieve, if ever (there are still "replace NM with wicd"
polls on the forums). I honestly think notify-osd was premature for
Jaunty and wish it was put off until Karmic as a default. But that
decision isn't up to me, and that's probably a good thing :-)

There are a lot of good comments on the bug report, which is why I'm
trying to direct people towards better places to put those constructive
comments.

> Now, since it's too late to revert a default gconf value, let's see how
> this feature/bug will be accepted by Ubuntu community and, if it's
> clearly rejected, let's hope next bug reports like this one will be
> taken more seriously.

I agree that we'll just have to wait and see, but I do firmly believe
that these bug reports *are* taken seriously. I know many of the people
involved, mpt, Mark, tedg, pitti, etc. and I can tell you that they very
much take constructive comments seriously and are very interested in the
user experience. I don't always agree with their
decisions/implementations but I'm very confident in their skill and
desire to make Ubuntu the best it can be.

On Mon, 2009-04-20 at 15:34 +0000, Matthew Paul Thomas wrote:
> Philippe, if we made only changes that were welcome to everybody, we
> wouldn't have changed anything since Ubuntu 4.10.

s/everybody/most people/ or s/everybody/majority of users/ as I think
the original intention of "everybody" was meant to be and I think your
assertion is wrong.

Trying to be absolutely literal with people's wording is not helping
anyone.

Auch - just found something nasty...

The bad change (at least according to the changelog):
  * make "auto_launch" update-manager mode the default (as asked
    for by the DX team)
was done / packaged on Mon, 23 Feb 2009 20:47:37 +0100

While feature freeze was on February 19th and UI freeze was on March 5th? Does it mean we've had ~2 weeks (and that was still before the Beta) to actually notice and object to the change? Isn't that a bit kafkesque? Or maybe I misunderstand when was the time window when it was possible to protest?

getut (rtkluttz) wrote :

Am I totally misunderstanding this issue???

As I understand it / complained / bug reported... I think most people don't care whether the notification comes in the form of the new notify-osd system or the old way with the orange spiked ball or red arrow that show up on the panel.

The issue I think MOST people are quite irritated with is the decision to go with a popup or popunder which is just plain evil. I don't know of anyone... ever.... who has liked such a thing.

Secondary to that issue is that there is no PERSISTENT notification of updates once that window is closed which is most suredly will be.

I think everyone would say whole-heartedly... go ahead with the notify-osd system, but don't open a window and don't remove the persistent notification on the panel.

Jamin W. Collins (jcollins) wrote :
Download full text (4.3 KiB)

I apologize in advance for the length of this post.

@Matthew,

Sorry it's taken so long for me to respond, work and life became a bit demanding.

> (1) Yes, it is more obtrusive, that's entirely deliberate, and I don't know
> what "study" you're referring to.

While "study" may be the wrong word to use, from Mat Tomaszewski's post[1] to ubuntu-devel:

"Again, I'd like to reiterate the main point: we have a good reason to
believe that persistent indicators only work for some very specific
cases (examples being network connection, volume, etc). We are now going
through long and painful process of carefully defining these cases. It
is early days, and there can be reconsiderations. So please be patient
and forgiving :)"

Where is this "good reason", can we see the same raw information that brought the developers to what seems to be an erroneous conclusion? Access to this information was already requested in Jordan Mantha's post[2]:

"Again, I'd like to reiterate that the "trust us, we have our reasons"
is not going to be very convincing to many people. I keep getting this
sort of double-speak feeling when the same team is having to keep
pushing both "we know what were doing" and "we're just starting to
figure this out so bear with us". If you really do know what you're
doing, patches welcome. If you're still not sure yet, maybe you should
consider waiting until Karmic before making such huge changes."

and Scott Kitterman's[3]:

"References please ...."

and ktp420[4] as far as I can tell:

"Can please provide studies which show and helped in your conclusion that
"system tray is heavily overused"."

> (2) Using a notification icon to advertise updates
> is a bad idea first because it's not obvious, and second because it
> makes installing the updates gratuitously difficult.

As others have pointed out, I have no idea what you're on about. Sure, the first time a user sees the update icon they may not know what it is or does. However, from that point on, it's extremely handy and useful. I still remember when I first saw it. Sure, I wondered what it was. However, once I found out what it was, I immediately fell in love with how unobtrusive and useful it was and wanted it on all my systems. How exactly does it make "installing the updates gratuitously difficult"?

> (3) Using a notification icon to advertise that a restart is required
> is a bad idea first because it's not obvious, and second because it
> makes restarting gratuitously difficult.

I would say that using a notification icon to "notify" the user that a restart is required is *precisely* the correct thing to do. It isn't an advertisement, attempting to phrase it as such strikes me as a play on words to avoid calling it a notification. The only definition for "advertise" that comes close to what is being done in this case is an obsolete definition[5]:

"4. Obsolete. to give notice, advice, or information to; inform: I advertised him of my intention."

A much more appropriate term would be to notify or inform. Which is, as I understand it, the purpose of a notification area. How, does it make restarting "gratuitously difficult".

> Philippe, if we made only changes tha...

Read more...

Kazagistar (bogusemail666) wrote :

First of all, I see a problem with defaults. Whenever an application wants to inform the user of something, or get feedback on something, it should use bubbles... that much makes sense. But when it NEEDS something, when something is so urgent that you would go through all this trouble to make absolutely sure a user acts on its notification, then why is it not done automatically?

Of course, I know there is a major problem with this; specifically a large chunk of the user community (myself included!) don't want our system updating automatically, and hate things that change under our feet with a burning passion. But we are all "advanced users". The entire update process (waiting for a time when computer activity is low, clicking a button, watching it contact repositories, reviewing selected updates, watching the downloads and installations) are useless to those people who don't know what any of these things mean. They just want to do work, and have a secure system.

So how about this: under installation settings, there is an advanced button. Under there, add a new checkbox for "Automatically update this computer" that allows power users to easily control and monitor their setup, but keep it checked by default, so that normal users never have to worry about this.

I use Ubuntu because it is the operating system that requires the minimum amount of configuration to get everything running well enough to do my work. The pop-under system is harder to reconfigure, and achieves the stated goal (getting people to update) far less effectively then doing it automatically.

Uwe Schilling (uschilling) wrote :

If you want users who cannot handle a notification icon to update the system, then a pop-up window might not be any better, because every regular window that pops up somewhere is closed without reading by default by at least 90% of the users. For those users, an automated update process should be default. That is way more efficient than a pop-up window. Everyone else will just keep handling updates as he has done so far, and a constant reminder is just exactly what you need. And that in turn is exactly what the notification area is for. It may be overloaded by apps, but (as was said before, but I want to emphasize it again) update notifications are _the_ message that need to go there. I would always close the pop-up window, because I don't want to update right now and I don't want it sitting in my Alt+tab list and then forget about the update.

What is also forgotten is that ubuntu already has a large user base which do not know much about their OS. As several people here already exemplified, they will be irritated by this new behavior. I think, the best compromise would be to have the old behavior as standard, and if no update takes place after a fixed amount of time, then remind the user additionally with a pop-up window.

Uwe Schilling (uschilling) wrote :

Additionally, I think the current procedure opens a huge security leak. If people get used to pop-up windows asking for updates, it will be no problem imitating these pop-up windows with java-script and make them look exactly the same. And since you are used to entering your password when you update the system, the user will not even get suspicious if they have to enter it. Or is this issue somehow being taken care of?

On the other hand, with the current system, nobody from outside the computer can just put an icon into the notification area. This is only possible, if the malware is on the computer, but then it's too late anyway.

Roshan George (roshan-george) wrote :

Wow, this was completely unnecessary. I stumbled across this bug just today after installing Jaunty last night, and decided to check Update Manager and I had loads of updates which weren't being displayed. No notification, no information whatsoever that there were updates available. I cannot imagine why getting rid of an updates _notification_ in a _notification area_ was reasonable. This is very annoying.

Jonathan Davies (jpds) wrote :

Roshan: That is a separate issue - see bug #356152 for more details.

pingou67 (pingou67) wrote :

I've read bug #356152, if in addition the new scheme is buggy and unfinished, please, please, go back, revert the gconf variable for jaunty and rethink for karmic.

I'm really convinced it's a very critical and visible part of the system, if it's not really clean and clear, it's not a good thing for the whole ubuntu system and it's image.

I believe Roshan was talking about the notificaion area:

>I cannot imagine why getting rid of an updates _notification_
>in a _notification area_ was reasonable. This is very annoying.

Maybe you should read his post again.

Jonathan Davies wrote:
> Roshan: That is a separate issue - see bug #356152 for more details.
>

It occurs to me that notification changes should have been handled in the same way as upstart changes, the availability of ext4. compiz effects, etc.

In other words, do the work, enable the capability, but don't turn it on. Not yet. Certainly don't make it the default!

Get it going, then invite people to test it. For example, have something like both systems in place: The updates-are-available icon would remain *and* the new sliding black widget would appear - it would say something like "updates are available, as is a new notification system - click here to kick tires". (Obviously, this particular approach is half-baked - I'm just making the suggestion.)

It's an oft repeated but seldom fully understood development cliche: Prototype, then throw away the prototype once you know what you are doing. And Ubuntu will best thrive when it properly balances top-down dictates with bottom-up designs.

In this case, I think we need more prototyping and more bottom-up/top-down balance.

_dan_ (dan-void) wrote :

I can not even begin to describe how annoying and unneeded that change is, its a step back in usability.
Just look at all the comments in the bugreport.

Revert this, and whoever signed off on that change should be spanked, hard.

Il giorno ven, 24/04/2009 alle 09.43 +0000, hurga ha scritto:
>
> Revert this, and whoever signed off on that change should be spanked,
> hard.

I would not want _these persons_ to be spanked. In any case ubuntu
developers have done an extremely good job across the years. Dapper was
nothing more than a toy, if compared to other distributions. A toy with
an idea. Now I am _entirely_ against this change, but I understand that
they have reasons for that.

+1 here, I'm not against the popup / pop-under / pop-taskbar idea. But I like the notification icon, too. I would opt for keeping the old behaviour and adding a checkbox or something, so people can choose between whatever they like, the default being this new behaviour.

Keith Buel (kbuel) wrote :

I just want to add my concern about this change. I think the popup/under whatever alone is not a good idea. This will either be a distraction while trying to get work done, or get lost under all my windows. I would definitely want to turn that pop up off if possible. The upgrade/security update icons that I have gotten accustomed are very subtle and acts as a reminder to update the computer. This was the first thing I noticed missing in this release that I didn't like. Also there was another post that I total agree with about teaching their mom to look for those icons to upgrade the computer.... I couldn't agree more. I converted my parents to Ubuntu this last summer on Hardy Heron, but for a lot of reasons was thinking about upgrading them to Jaunty.

One of the biggest things is keeping their computer up to date. I just tell them, when you see the icon in the notification area, click on it, and do it. And now to tell them, "just wait for some popup" or like once in a while remember to open the update manager would not work for them.

Just to give my two cents on the subject: I'm in favour of keeping the
notification icon for a simple reason. Someone (I don't remember if
Mark or someone else) mentioned, from what I got, that the
notification area has been used by applications, and to avoid
confusion we should remove it from there. So, the problem is not the
area itself, it's the applications! The notification area is there to
give notifications, if the applications are using it too much then
(using this argument) the applications should be using something else,
not the notifications. This is the same as changing your address
because you are receiving too much junk mail.

My suggestion (and I know this isn't something to be decided in a
couple of days) is to keep two areas, one for applications that run in
background and want to hide from the window list, like pidgin, network
manager, skype, power manager, bittorrent, etc. (citing the list in my
desktop right now), and another area for notifications, like updates,
new mail, or whatever else needs my attention at some point in the
near future (I liked the "patient notifications" mentioned before). If
someone wants to keep both together, just put both areas in the same
place.

But I'm in favour of an option to keep the notification icon, so that
everyone can choose the behaviour. If you think usability dictates the
use of a pop-under window, keep this option default, but I'm used to
that, as is a lot of people around, and I'd love to keep it there. And
this is the behaviour that people migrating from some other major OSs
are used to.

Well, that's my opinion. I didn't read all the two hundred and
something comments on the subject (I over-read the eighty first and
been following the last couple of days), but I think this could be
considered.

--
Jonatan Schroeder, MSc.
Teaching Assistant, PhD Student
UBC - Computer Science
<email address hidden> - http://www.cs.ubc.ca/~jonatan

"The box said: Requires MS Windows or better, then I installed GNU/Linux!"

though i'm not a fan of these pop-unders,

if any one wants to have the update manager launch immediately when updates are available,use this

$ gconftool -s --type string /apps/update-notifier/regular_auto_launch_interval 0

the default is set to 7 days, but when this key is set to "0" the updates will be notified immediately...

this should be available in the update settings tab! why are the devs making updates so difficult!

description: updated
description: updated
manzur (sl-solaris) wrote :

a good workaround for this should be to change update manager add/remove software by package kit

Oi, this is surely not going well...

Paul Broadhead (pjbroad) wrote :

I'm afraid I'm another user against this change but enough people has already started very good arguments. The only reason I post now is to point out what someone must surely already have spotted, that the "Ubuntu Desktop Edition" web page (here http://www.ubuntulinux.org/products/WhatIsUbuntu/desktopedition) information needs updating. This page has a section called "Quick and easy updates" that describes an excellent idea for a notification icon!

Jamin W. Collins (jcollins) wrote :

I find it quite novel that the page Paul references[1] has this quote:

"Quick and easy updates

The task bar contains an update area where we'll notify you when there are updates available for your system, from simple security fixes to a complete version upgrade. The update facility enables you to keep your system up-to-date with just a few clicks of your mouse. "

Yet, Matthew has described the previous method as[2]:

> (2) Using a notification icon to advertise updates
> is a bad idea first because it's not obvious, and second because it
> makes installing the updates gratuitously difficult.

The two statements, presumably both from Canonical (correct me if I'm wrong), seem to be in direct conflict with each other. From personal experience I tend to favor the information currently found on the site Paul references[1].

[1] - http://www.ubuntulinux.org/products/WhatIsUbuntu/desktopedition
[2] - https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/332945/comments/135

Chris Coulson (chrisccoulson) wrote :

Good spot Paul - i just opened bug 367411 for that

James D (james-d1) wrote :

I had thought this was just a bug in the beta version, but I did not know which package to report it against. Now I've read this and I am totally outraged by this deliberate regression.

As for Mark Shuttleworth's ludicrous assumption that only coding experts want the previous default behavior, it shows a distinct need to get out more. I am not a coder, and I'm not a particular fan of pasting half-understood unsupported (talk about brazenness!) commands into a terminal, but I do want a system that works.

This sort of half-baked dogfood belongs in some PPA so that it can be properly criticized, not in a release. Then we could have had the discussions about the Settings button on Update Manager not doing what it says and so on in a proper way.

Instead of devs coming on here and arrogantly marking things as "Invalid" and "Won't Fix", they should pause for a moment and realize that they have abused process to create a mess. The correct response would be to apologize to the users and issue the old version as a security fix (after all, it delays vital updates!), whilst restarting the development process after a more community-oriented fashion.

If such an apology is not forthcoming, we should concluded that the devs concerned's injection of code that sabotages functionality is malicious, that is to say a virus rather than a bug, and we should seek to have their write access to the repos withdrawn.

James Dowden wrote:
> I had thought this was just a bug in the beta version, but I did not
> know which package to report it against. Now I've read this and I am
> totally outraged by this deliberate regression.
>
> As for Mark Shuttleworth's ludicrous assumption that only coding experts
> want the previous default behavior, it shows a distinct need to get out
> more. I am not a coder, and I'm not a particular fan of pasting half-
> understood unsupported (talk about brazenness!) commands into a
> terminal, but I do want a system that works.
>
> This sort of half-baked dogfood belongs in some PPA so that it can be
> properly criticized, not in a release. Then we could have had the
> discussions about the Settings button on Update Manager not doing what
> it says and so on in a proper way.
>
> Instead of devs coming on here and arrogantly marking things as
> "Invalid" and "Won't Fix", they should pause for a moment and realize
> that they have abused process to create a mess. The correct response
> would be to apologize to the users and issue the old version as a
> security fix (after all, it delays vital updates!), whilst restarting
> the development process after a more community-oriented fashion.
>
> If such an apology is not forthcoming, we should concluded that the devs
> concerned's injection of code that sabotages functionality is malicious,
> that is to say a virus rather than a bug, and we should seek to have
> their write access to the repos withdrawn.
>
@James...
a bit too harsh there pal...
i'm one among the users who are vocal here , against the new change, but
asking the devs for an apology, is way out there!!!

i'm sure the devs wanted to improve the OS, but maybe this just wasnt a
good move, but atleast we have the gconf options.

Peter Whittaker (pwwnow) wrote :

On Sun, 2009-04-26 at 21:38 +0000, mac_v wrote:
> a bit too harsh there pal...

Harsh? Perhaps. But given the comparative levels of user frustration and
development intransigence, the frustration is understandable.

> asking the devs for an apology, is way out there!!!

Absolutely not. At this point, I'm starting to think that a contrite mea
culpa is the only way forward. People make mistakes. Most of the time,
admitting and accepting and moving on is the best approach. But
sometimes, when an error is upheld for so long by the errant party,
well, the errant party should apologize.

Up to this point, I've tried to confine my responses to pointing out the
obvious flaws in the Jaunty approach, to proposing alternatives, and to
suggesting how the process for introducing these changes could have
perhaps been improved. Not because of any inner saintliness, but because
I've spat vinegar a time or two and I've learned the hard way how much
it gets done.

But the development team response from SABDFL on down has been so poor
in this area that I'm starting to think vitriol is all we have left.

So, yeah, I think we, the Ubuntu community deserve an apology for how
this was introduced, for how it was clung too dogmatically in the face
of so much opposition of such quality, and for simple intransigence.

I don't think asking for apology is off base at all.

pww

please disable the popup update manager window , couz its really useless, and very-very annoying
uuuhhhhh it give me high temper ..... :(
who is giving the idea of this popup , i thing he never working

getut (rtkluttz) wrote :

Although I do agree that some of the comments are a bit harsh, I also fear that if enough people do not squawk, and squawk loudly, this will be dropped.

Many of the devs have come on here and shrugged this off with the statement, "You have a way to get the old functionality back so what is the big deal."

How long will the ability to get the old functionality back remain if no one squawks? If no one squawks, will the gconf hack still work in the next release or two? The big deal is that the old functionality wasn't broken. Why change it.

If we squawk loudly enough can we get the ludicrous idea of a POPUP or POPUNDER crushed under a train where it belongs and go back to the nice unobtrusive but persistent notification?

I don't care if a popup or popunder comes up and does my entire days work for me automatically. If I didn't open the window, it shouldn't be there.

Noel J. Bergman (noeljb) wrote :

Peter: An apology is irrelevant, IMO, and I think that Mark has been *remarkably* loyal to an idea and a developer that are totally off the beam on this issue.

I'm continually amazed that people keep finding this bug, since every effort has been made to squelch it, from renaming it from the original title that the change was wrong, to assigning it as Fix Released against the NULL project (https://launchpad.net/null), which is a stand-in for "we can't physically remove this annoyance from our bug tracker to shut people up." And yet there are over 260 comments on it, almost none of which are in favor of the change.

As so many people observe, the salient point is the simple need for a form of persistent notification. That is, unfortunately, conflated in the minds of others with dynamic placement of control icons for running programs, e.g., Pidgin, Skype, and VMware, in the notification area. None of which do I find objectionable, and for none of which have I seen an alternative proposal, but they are still outside the scope of the basic need for persistent notification.

There was one dev that came here and stated (and to which I agree)
that "if the devs kept listening to everyones complaints Ubuntu
wouldn't have changed since 4.10". There are those that are truly
resistant to change and constantly badger devs because they didn't get
what they wanted. On that note, I think people are trying to bash
these devs in, like their the unlikely participants in a whack-a-dev
game.

I'm not totally liking that theres no persistent notification of
updates (through an Icon or whatever), but like all ubuntu releases
there are changes that people have to get used to. It sometimes feels
like theres people who think they're the only one that matters when
opinions about changes are made, not thinking about all the other
users who _may_ like this feature.

Although it appears as if I'm on the side of a lot of people on here,
I really wish the personal attacks on devs would stop. It's just not
right.

~Brian

Research is what I'm doing when I don't know what I'm doing.
--Wernher Von Braun
"The second law of thermodynamics: If you think things are in a mess
now, JUST WAIT!!"

On Mon, Apr 27, 2009 at 8:30 AM, getut <email address hidden> wrote:
> Although I do agree that some of the comments are a bit harsh, I also
> fear that if enough people do not squawk, and squawk loudly, this will
> be dropped.
>
> Many of the devs have come on here and shrugged this off with the
> statement, "You have a way to get the old functionality back so what is
> the big deal."
>
> How long will the ability to get the old functionality back remain if no
> one squawks? If no one squawks, will the gconf hack still work in the
> next release or two? The big deal is that the old functionality wasn't
> broken. Why change it.
>
> If we squawk loudly enough can we get the ludicrous idea of a POPUP or
> POPUNDER crushed under a train where it belongs and go back to the nice
> unobtrusive but persistent notification?
>
> I don't care if a popup or popunder comes up and does my entire days
> work for me automatically. If I didn't open the window, it shouldn't be
> there.
>
> --
> [Jaunty] Update Notifier icon would provide useful status information
> https://bugs.launchpad.net/bugs/332945
> You received this bug notification because you are a direct subscriber
> of the bug.
>

 Mark Shuttleworth wrote on 2009-03-27:
Nothing like a healthy debate.

 Mark Shuttleworth on 2009-03-27
update-notifier (Ubuntu Jaunty) status: Confirmed → Won't Fix

Sorry, but it doesn't seem like you want a debate. I'm just a plain old user of Ubuntu, and I highly disagree with the change.

Moritz Baumann (mo42) wrote :

If you want to see how average users disagree with the change as well, just visit ubuntuusers.de:

http://ikhaya.ubuntuusers.de/2009/03/31/update-notifier-und-die-heimliche-revolution-in-jaunty/ (German)

description: updated
Thomas Nardone (zensuckit) wrote :

Sorry, I did not read all the comments, but here are my 2 cents:

I honestly thought I might have a virus when the Update Manager came up, and did not trust it as a valid application. This is very strange behavior, and will be quite a shock to anyone who has used a previous version of Ubuntu, or has the common sense that normal, non-malicious application windows do not normally open themselves.

How exactly is the novice supposed to know this window is ok, but the one asking to scan their system for viruses is not?

slithy (uber-leoj) wrote :

What I don't understand is if the idea was to eventually have another method of handling notifications for updates, as opposed to the current method, then why not wait until that other method is complete? I don't understand why one would try and partially implement it and give the user a bad experience?

This seems parallel to when pulseaudio was first included and didn't work for the best supported cards and most user disabled it. Now it seems up to the quality level to be beneficial to the user and I'm glad it's included. I understand that not including it when it was would have hampered the adoption a little, but honestly, I'd rather have things that work.

Uwe Schilling (uschilling) wrote :

Thomas, you bring up an important point. This behaviour is nothing a user would expect, and something he usually has links to malicious software, so how to know that it is ok.

However, as I have mentioned before, I think it is even more dangerous the other way round. People are trained to trust up pop-up window, and trust it so much as to enter their password. It seems so easy to me to exploit this training by putting up a website which opens a pop-up which looks just like the update-manager, but which installs some malicious software instead. And since the user is used to pop-up windows asking for his/her password, he/she will give it right away. And this is a pitfall which will not only be a danger to newbies and non-geeks, but basically to everyone who does not use a pop-up blocker for whatever reason. All these persons will always have to close the pop-up window and then open update manager manually, in order to confirm that it really is the right application which they are giving their password to. IMHO this constitutes a huge security leak, but I haven't seen anybody else commenting on it, so maybe there is a safeguard that the two of us don't see?

Torben (smith0815) wrote :

It is sad to see, but I think this will not be the last big dissapointment. Sure you can't satisfy all users at any time, but what is claimed to be "leadership" here is the kind of spirit I wouldn't expect from a linux distribution called "Ubuntu". The next big hit will probably be the replacement of Rhythmbox through Banshee (Mono) for Karmic, I bet there won't be a lot of public discussions around, they will just do it like they brought that notify-madness in. Don't get me wrong here, I don't want to open another Mono discussion here, it is just that Ubuntu shouldn't ignore and disregard big parts of it's user base on topics people have strong feelings about. This regression and how (late) it came silently to Jaunty made a lot of people feel like noone here cares about the community, leadership more like dictatorship.

Self appointed "benevolent" dictator for life ;)

Torben wrote:
> It is sad to see, but I think this will not be the last big
> dissapointment. Sure you can't satisfy all users at any time, but what
> is claimed to be "leadership" here is the kind of spirit I wouldn't
> expect from a linux distribution called "Ubuntu". The next big hit will
> probably be the replacement of Rhythmbox through Banshee (Mono) for
> Karmic, I bet there won't be a lot of public discussions around, they
> will just do it like they brought that notify-madness in. Don't get me
> wrong here, I don't want to open another Mono discussion here, it is
> just that Ubuntu shouldn't ignore and disregard big parts of it's user
> base on topics people have strong feelings about. This regression and
> how (late) it came silently to Jaunty made a lot of people feel like
> noone here cares about the community, leadership more like dictatorship.
>
>

Jamin W. Collins: By "gratuitously difficult" I meant you had to (1) notice the icon, (2) recall that orange starburst = updates available (possibly assisted by a notification bubble, if you happened to look during the time the bubble was visible), (3) click on it (the panel icon, not the bubble!), and (4) click a button in a separate window. With the behavior I designed, you needed to (1) click the button in the window. With the 9.04 behavior you need to (1) notice the minimized window, (2) unminimize it, and (3) click the button in the window. That's not nearly as good, but it's still easier than the 8.10 behavior, because the window switcher button is (usually much) larger than the icon was.

Uwe Schilling, Thomas Nardone: As I have already explained several times, this is far from the only time programs need to open windows unprompted; and conversely, even with a browser blocking popup windows, a determined Web site author can still open popup windows or things that look like windows. Therefore, trying to distinguish real prompts from fake ones by whether they open manually or automatically is dangerously wrong. Better defence mechanisms include making Web windows more obviously non-native (with help from both the browser and the Ubuntu theme), and more informative handling of downloaded executables (Windows Vista and especially Mac OS X do a much better job of that than Ubuntu does).

pingou67: The old behavior was, and is, unacceptable with the introduction of Notify OSD. "Click on the icon"? What icon?

Imre Gergely: An option like that would be meaningless to most humans, as you'd discover if you tried to mock it up.

Keith Buel: We aim for the point where you wouldn't need to tell your parents *anything* about keeping the computer up to date -- it would be self-explanatory. The icon didn't meet that standard, and never could without disrupting your work like Windows does. The updates window may not meet that standard yet, but we'll fine-tune the design until it does.

hurga, James Dowden: You guys are adorable.

Noel J. Bergman: I have seen no evidence, in this bug report or anywhere else, of "the simple need for a form of persistent notification" for software updates. The closest to this I've seen is a problem where alpha testers tried to report crasher bugs on out-of-date packages and were rejected, but apport could be smarter about inviting you to update, and it's not as if Ubuntu is short of bug reports anyway.

slithy: You have been misled. There is no other "method of handling notifications for updates" planned.

Matthew Paul Thomas wrote:
> Jamin W. Collins: By "gratuitously difficult" I meant you had to (1)
> notice the icon, (2) recall that orange starburst = updates available
> (possibly assisted by a notification bubble, if you happened to look
> during the time the bubble was visible), (3) click on it (the panel
> icon, not the bubble!), and (4) click a button in a separate window.
> With the behavior I designed, you needed to (1) click the button in the
> window. With the 9.04 behavior you need to (1) notice the minimized
> window, (2) unminimize it, and (3) click the button in the window.
> That's not nearly as good, but it's still easier than the 8.10 behavior,
> because the window switcher button is (usually much) larger than the
> icon was.
>
> Uwe Schilling, Thomas Nardone: As I have already explained several
> times, this is far from the only time programs need to open windows
> unprompted; and conversely, even with a browser blocking popup windows,
> a determined Web site author can still open popup windows or things that
> look like windows. Therefore, trying to distinguish real prompts from
> fake ones by whether they open manually or automatically is dangerously
> wrong. Better defence mechanisms include making Web windows more
> obviously non-native (with help from both the browser and the Ubuntu
> theme), and more informative handling of downloaded executables (Windows
> Vista and especially Mac OS X do a much better job of that than Ubuntu
> does).
>
> pingou67: The old behavior was, and is, unacceptable with the
> introduction of Notify OSD. "Click on the icon"? What icon?
>
> Imre Gergely: An option like that would be meaningless to most humans,
> as you'd discover if you tried to mock it up.
>
> Keith Buel: We aim for the point where you wouldn't need to tell your
> parents *anything* about keeping the computer up to date -- it would be
> self-explanatory. The icon didn't meet that standard, and never could
> without disrupting your work like Windows does. The updates window may
> not meet that standard yet, but we'll fine-tune the design until it
> does.
>
> hurga, James Dowden: You guys are adorable.
>
> Noel J. Bergman: I have seen no evidence, in this bug report or anywhere
> else, of "the simple need for a form of persistent notification" for
> software updates. The closest to this I've seen is a problem where alpha
> testers tried to report crasher bugs on out-of-date packages and were
> rejected, but apport could be smarter about inviting you to update, and
> it's not as if Ubuntu is short of bug reports anyway.
>
> slithy: You have been misled. There is no other "method of handling
> notifications for updates" planned.
>
wait for it...

Download full text (3.4 KiB)

@Matthew P. Thomas:
It seems you don't consider people having more than 5 windows open. I'm so used to having a large number of windows that a new one will be left unnoticed for a long time. I might even think I opened it at some point myself and just started doing something else while the update was running, so I'll close it instead of updating. Then there are people with (for example) gimp, which takes 4-5 windows itself.

On the other hand people are used to look at the notification area. It's almost empty when the system is installed, so anything bright in that area can be seen as "something is different". We look there when a new message comes in, when the network status changes, etc. Anything that is "different" there notifies the user. Even if the update window had a pulsating window bar, it's not enough for get my attention - many applications do something in the background and turn on notification - I'm used to ignoring it. (firefox download window at least)

The icon might get unnoticed in the line of other icons of course, but let's be serious - one of the screenshots posted here before with 20 or so icons - it doesn't happen for sane users. If anyone can put that many icons in their notification are, they are surely aware of the update / install procedure. You cannot create a crowded notification like that without putting a lot of effort into it. In short - if you create a mess, you will live in mess - that's not the reason to change how update works for everyone else.

Also there's no colour coding... notification was great - yellow -> look at me, red -> danger. Reaction to a new window -> close. Have you seen non tech-savvy users working with their computer? They usually don't care about open dialogs. They sometimes open some window by accident, so clicking on cancel / close on anything unknown is just something they are accustomed to. Auto-opening the update dialog will not help them at all - unless you make the dialog something like a splash screen that cannot be avoided... in which case it will just annoy even more people.

I really don't agree with your listed "steps to upgrade".
First time users may need to read the tooltip, but with the notification bubble it will be appearing anyways... It's not just about the number of clicks. I'd say it goes more like this:
1. there is a bubble, telling about updates and pointing at the yellow/red icon; that means the icon is for updates
2. use the icon to get updates
3. click the button to get updates

With the new system it's:
1. (maybe) Notice a new window bar
2. (in case of us) Think - did I forget to close it after the last upgrade, or was I waiting for package list update to finish, or is it notifying me about new upgrades / (in case of new users) what the hell is going on - did I do that?
3. decide on the next action and do it

I think the new system has the potential of wasting my time a couple of times when I leave the system updating, then get back and wonder what was my last action in that window. Was it long ago and should I check for new packages? Did it open like that? Etc. The old system might have been longer when you count clicks, but the effort to understand what's hap...

Read more...

I was initially opposed to this change as a default, but having spoken to a friend who upgraded to Jaunty just after the release I am much happier about the idea of testing it on 'the masses'.
My friend, who is quite technical (works in the IT department in a school), said he preferred the new system because before he would just ignore the orange icon (even though he knew what it meant).

Is there a reliable way to meter how people respond to updates, compared to how they did in 8.10, so we can know with reasonable certainty that the new system gets more people upgrading?

--
Matt Wheeler
<email address hidden>

adorable hm well i guess so, almost as adorable as defending an idea the majority of people clearly does not want and still pushing it through because of an attitude that smells "i know better then you all", therefore the spanking.

My Mother and my grandmother use Ubuntu (well i forced em too) and they had *no problem* at all seeing the 8.10 icon, clicking it and installing updates. The first time they read the mouseover popup and knew "updates available" then they press a button and know "updates are coming" -> all is fine, or was.

With the new behavior, i dont know about my grandmother but my mother called me and asked if she had a virus, not because of the change in the system but because the windows opened automatically. No one likes automatically opening windows, its simply not the way it should work. We are used to and trained to see automatically opening windows as malware and for good reason.

As a poster before me said, there are people with more than 20 Windows open and more than one Desktop. With the update-manager window opening it can get lost on a desktop or between windows. You can simply close it because you were not paying attention, which most of us are not. With the icon in the systray you can see it on every desktop, clicking it when you feel like it, not have an unwanted window open.
I often leave my computer running when i am at the university or go to a friends, because i can ssh in, or listen to my music look at my documents or simple because i am lazy and don't want to turn it of.
When the update window pops up when i am not around and i come home 10hours later, i do not remember which windows i had open, i see updatemanager and close it, thinking i didn't close it after last update.
With the Icon i come home and see the familiar "there are updates icon" in the systray.

Furthermore i want the updates when they are available not 1 week afterwards.

Change it back to 8.10 style, its what the community wants, you can do it your way on your own system and implement an option to do it that way for everyone but the more secure the more accepted and more wanted way is the old behaviour. See all the posts here, see the forum posts, the people simply don't want it. Don't push your own agenda, listen to what people want, after all thats the Ubuntu spirit right? "I know it all better than the rest of you guys" people don't really carry the Ubuntu spirit IMHO.

Yes i know, i am adorable, deal with it.

Download full text (4.5 KiB)

Matthew Paul Thomas wrote:
> Jamin W. Collins: By "gratuitously difficult" I meant you had to (1)
> notice the icon, (2) recall that orange starburst = updates available
> (possibly assisted by a notification bubble, if you happened to look
> during the time the bubble was visible), (3) click on it (the panel
> icon, not the bubble!), and (4) click a button in a separate window.
> With the behavior I designed, you needed to (1) click the button in the
> window. With the 9.04 behavior you need to (1) notice the minimized
> window, (2) unminimize it, and (3) click the button in the window.
> That's not nearly as good, but it's still easier than the 8.10 behavior,
> because the window switcher button is (usually much) larger than the
> icon was.
>
Matthew > this shows just how biased u are towards "the behavior u designed"
 u forgot that the new method also needs a recall + an additional step
of wondering when did i open the update window, so the count is _5_
steps for the new system
even if u want to count it as 4[recall is definitely a step for new
windows] why replace a system ,which u urself acknowledge as not
"nearly as good" ,for the existing working method which involves the
same number of steps? if u are not making it easier then why change?
the present design DOES NOT make it in anyway shorter or easier, its
just ur bias which makes it seem so.

a good design should NOT exist only from ones own point of view , but
also an unbiased view from all sides...

> Uwe Schilling, Thomas Nardone: As I have already explained several
> times, this is far from the only time programs need to open windows
> unprompted; and conversely, even with a browser blocking popup windows,
> a determined Web site author can still open popup windows or things that
> look like windows. Therefore, trying to distinguish real prompts from
> fake ones by whether they open manually or automatically is dangerously
> wrong. Better defence mechanisms include making Web windows more
> obviously non-native (with help from both the browser and the Ubuntu
> theme), and more informative handling of downloaded executables (Windows
> Vista and especially Mac OS X do a much better job of that than Ubuntu
> does).

so rather than making it hard u are making it easier for the malicious
guys, by creating such security holes ? and telling other softwares to
be better at their job for the holes u create?

> The updates window may not meet that standard yet, but we'll fine-tune the design until it does.

why didnt u wait till the design meets the standard?
this is like serving uncooked food and saying it would be better when it
is fully cooked,
what we are saying is why wasnt it fully cooked before being force
fed[made a part for the ubuntu-desktop]?

> I have seen no evidence, in this bug report or anywhere
> else, of "the simple need for a form of persistent notification" for
> software updates.

u want an example? the graphics card for my laptop has now changed from
fglrx to Ati drivers and i'v been having several abrupt X-session
shutdowns even in this "completed OS", but this is not a security issue
in the real sense, but when i get the updates for this driver i wouldnt
be noti...

Read more...

Vish (vish) wrote :

Matthew Paul Thomas wrote:

> I have seen no evidence, in this bug report or anywhere
> else, of "the simple need for a form of persistent notification" for
> software updates.

have u considered that these update windows WONT GET NOTICED, when the
user is working in other windows and only noticed the new window after
all other windows are closed? at the end of the day, when all work is
done and when the user is about to shutdown, he notices the update for a
 huge update[since 7 days of wait], which he could have done while he
was working.
but now he has to wait for the update to complete before he leaves or if
he chooses not to update, he will only be reminded of the update next
week, or he has to remember that he needs to update on the next boot? so
that adds another 3 - 4 steps[ "MEMORIZE to update the
 system in the morning"] to the new design

pls dont be close minded while designing!

Vish (vish) wrote :

Stanislaw Pitucha wrote:

> 2. (in case of us) Think - did I forget to close it after the last upgrade, or was I waiting for package list update to finish, or is it notifying me about new upgrades

so i'm not the only one> this happened to me when i got the firefox
security update! when previously i had done a manual update a couple of
hours earlier

without a notification of some sort its always a *magical experience* .

Matt Wheeler wrote:

> My friend, who is quite technical (works in the IT department in a school), said he preferred the new system because before he would just ignore the orange icon (even though he knew what it meant).
>
quite technical but doesnt update? wow! and works in the IT department!

i wonder what he really teaches? "wait till system has problems then its
good to understand and analyze?" maybe good for learning all the
problems one can get into when proper updates are not done...

this would have sounded better if it was a non technical person ignoring
updates, but this IT person know the risks he runs into by not updating
regularly

Plain and simple... linux is always about choice. People are not going to update their system when the almighty and evil popup/popunder opens and says they should do it. It will almost 100% of the time be an unwanted annoyance window that open at unwanted times and aggravates users instead of helping them. You say that there are other instances of applications that open unwanted windows also. The same goes for them. Justifying bad interface design with other bad interface design is just laughable. There is literally no instance other than critical alarms where unsolicited windows are a good thing.

Persistent notifications are the obvious way to handle it.

Can anyone give a definite answer on how long the gconf command to revert to old behavior will be supported going forward? It is aggravating enough having a popup/popunder as the default option but will be utterly infuriating if it becomes the ONLY option in the future.

I have at built and/or upgraded 5-6 machines to Jaunty for people and have been setting them all to the old behavior at the users request after showing them new and old behavior. Even total greenies to linux have been agreeing that they didn't want unsolicited windows showing up whenever the computer felt like it.

getut wrote:
>
> Can anyone give a definite answer on how long the gconf command to
> revert to old behavior will be supported going forward?

AFAIK, the gconf method is currently not *supported*. It does work but
it is not a *supported* option. So, I believe we have our answer.

2009/4/29 mac_v <email address hidden>:
> Matt Wheeler wrote:
>
>> My friend, who is quite technical (works in the IT department in a school), said he preferred the new system because before he would just ignore the orange icon (even though he knew what it meant).
>>
> quite technical but doesnt update? wow! and works in the IT department!

He doesn't teach, but that is irrelevant, and confirms my point. If even IT staff are ignoring updates unless they are prompted by a window opening, how many normal users are doing the same?

I actually don't like the windows popping up, but I am quite happy setting the gconf key to revert to the old behaviour.

If the changes mean more people will keep their system up to date then I think it is a good thing.

Actually I think that keeping the orange/red notification icon *as well* as making the window pop up could be a good default, as it would satisfy the desire to have a persistent notification, as well as being a more obvious prompt that something needs to be done.

In fact, if an icon in the update-manager window matches the notification icon that would serve to demostrate what the icon in the notification area is for, as well as helping to confirm that this window is trustworthy (notification icon appears at the same time as the window, clicking on the icon focuses the window).

--
Matt Wheeler
<email address hidden>

Stanislaw Pitucha: Yes, I have seen non tech-savvy users working with their computers. For five years, I worked in Internet cafés. And this year, we've started user testing of Ubuntu at Canonical. So I'm quite confident in saying that most people ignore the notification area altogether. (Ironically enough, this may be an issue for the new messaging menu, even though it's technically not in the notification area: those we've asked about it so far simply hadn't noticed it.) Like you, I have also seen that alert boxes suck, but they suck less than the alternative.

hurga: Bug reports are terrible for discussions like this one, for four reasons: (1) they're text-only; (2) bug trackers in general are (and Launchpad especially is) extremely biased towards highly technical people; (3) the list of subscribers to any given bug report is extremely biased towards those who think the current behavior (whatever it happens to be) is wrong; and (4) that concentration of opinion acts as an echo chamber, so that people work themselves into a lather and end up calling for spankings. Much of the same applies to the Ubuntu Forums, just not quite as strongly: for example, 88% of respondents to an Ubuntu Forums poll in January thought that Ubuntu should have a keyboard combo by default that would crash all your applications. Now, I am *not* saying that the bug tracker or the forums aren't useful; merely that the distribution of opinions expressed in them shouldn't drive human interface design for Ubuntu.

mac_v: As I explained in the very text you quoted, we are not "creating such security holes": that problem already exists, regardless of Update Manager. As for your food analogy, you are confusing perfect with better. We switched to Notify OSD, with the necessary Update Manager changes, even though it wasn't perfect, because it was already better than the alternative. You make a good point about critical non-security updates (e.g. fixes to graphic driver crashes) vs. security updates, and that's something I'll discuss with other Ubuntu developers as part of the AppCenter work. Perhaps we could have "critical" and "major" tiers of updates, instead of "security" and "non-security".

_dan_ (dan-void) wrote :

@Matthew Paul Thomas

I do agree that the bug tracker is biased towards people not in favor of this change.
Anyhow you are arguing a position here which holds no advantage over the old one and only creates discomfort and needs people to readjust and we all know the human being is a creature of habit and does not like changes, especially when they hold no advantage *at all*

I do agree also that some people ignore the icon in the systray, but those ppl will also ignore and possible not even see the minimized window too, so that argument falls flat.

(BTW bringing an example about a "IT Guy" ignoring updates just shows that the "IT Guy" should not be allowed to administrate a computer)

Human interface design, well, i do think that design is flawed, not saying the former design is not flawed (i personally think it was fine). So what should drive the human interface design? A small group of guys changing stuff over the heads of others or the majority? You decide.

Bringing up an example of the ubuntuforums, well, does not really fit, old design worked well and did not crash anything.
Why not have a vote or something and go with the majority, after all its a matter of taste.

I do not see any advantages of that new design, its slower, you get your updates not at once but a week later even if you say "give me updates at once", it has no permanent visual input ( i for example have my taskbar/launcher bar (awn) hidden, i only see it when i "go" with my mouse to the bottom of the screen).
So basically i am trading one click on the systray icon for the disadvantage of not being informed properly. I personally think that, sorry for the word, suckz bigtime.

If someone is so resistant to learning what the systray icon means (buhu you have to mouse over it) he/she will also never learn what the update-manager window means, so nothing gained.

Put the issue up for a vote, where the majority of ubuntu users can vote and don't decide over peoples head.

On Apr 29, 2009 10:10am, Matt Wheeler <email address hidden> wrote

> He doesn't teach, but that is irrelevant, and confirms my point. If even
> IT staff are ignoring updates unless they are prompted by a window
> opening, how many normal users are doing the same?

Unlike mac_v, I will not disparage your IT friend for not installing
updates immediately. Sometimes there are valid reasons not to install
updates. That updated kernel that contains a security fix for a filesystem
I don't use, may actually break my wireless card, or my scsi controller.
That new version of open office may break a plugin I'm using. It's happened
in the past. In fact, good IT people will often test updates on a test
machine before installing on their own systems. This goes for every OS, not
just Ubuntu. Remember, almost all updates include new features (potential
bugs) as well as bug fixes. Ubuntu can't test everything in your
environment, just like Apple or MS can't.

Using your logic above, would you prefer to have the entire screen gray out
and the update manager pop up and be the only thing you can do? That would
force people to update, even your IT friend... but is that a good thing?
no. If that's what you want, then you should just install all updates
automatically without asking the user. I know it's not what I want...

Perhaps it's not a good time to install updates. Like you're at a friend's
place with metered internet and don't want to run up their bill, or you're
on a cell phone connection, or you're not even on a network at the time. Or
your significant other is using your computer when the window comes up,
they close it and forget to tell you about it. Instead of having a
persistent, small icon in the corner of your screen telling you there are
updates when you're ready, you have to maximize the update manager and then
close it, and then remember to update at some other time because there's no
reminder.

See my earlier posts in this thread for use cases like the above which were
never addressed.

This change forces Ubuntu to make a lot of assumptions about my life and my
usage. It's impossible for Ubuntu to know when would be a good time for me
to update, therefore opening the update manager at
"random" intervals is annoying, nagging, confusing and counterproductive.
And that's without getting into the argument over whether auto-launching
full, interactive applications without the user requesting them is good UI
design or not.

This is not an attack on the developers who do a wonderful job. I even
understand the overall goal, although I think it's misguided. I simply
think this change is wrong and makes Ubuntu more confusing, not less, and
as someone who wants Ubuntu to be the best it can be I'd like to see it
reverted. I am concerned that there is a bit of bunker mentality with the
developers, which given some of the virtiol on this board is not completely
unexpected, and I would encourage them to reconsider.

With logic like John Clemens writes above I can't believe MPT is arguing some of the points that are being argued.

I'm beginning to think this is just a really long lasting aprils fools joke. The points MPT is making are so fundamentally flawed it can't be anything but that.

Are you really advocating coding Ubuntu to the lowest common denominator? How is aggravating a user EVER a good thing?

Machines in production environments get updated when the admins say they get updated and after testing. Why should we have to put up with windows popping up constantly to nag us. How can that even be remotely defended? My first couple of posts to this thread I was certain I was missing some logic on why this change was made or something was incomplete with the functionality but the more I have learned, this popup/under issue is intended to remain once its at final form. The more I learn on this, the more upset/confused with the decision I get, I just can't even comprehend the points that MPT is trying to argue to support this. I think I've made my last post on this one.

But PLEASE... devs take user feedback on this. Yes, this site is going to be biased to those who don't like something, but how many design decisions have brought this level of negative feedback on launchpad? How many design decisions/changes in the past actually appear to the user as a bug? And again... unsolicited popups/popunders can never be justified except for critical notifications where interrupting the user is unavoidable.

Matthew Paul Thomas wrote:

> mac_v: As I explained in the very text you quoted, we are not "creating
> such security holes": that problem already exists, regardless of Update
> Manager. As for your food analogy, you are confusing perfect with
> better. We switched to Notify OSD, with the necessary Update Manager
> changes, even though it wasn't perfect, because it was already better
> than the alternative. You make a good point about critical non-security
> updates (e.g. fixes to graphic driver crashes) vs. security updates, and
> that's something I'll discuss with other Ubuntu developers as part of
> the AppCenter work. Perhaps we could have "critical" and "major" tiers
> of updates, instead of "security" and "non-security".
>
@Matthew Paul Thomas,
1>"the security holes" i'm referring to is *user acceptance * to the
appearance of pop-ups,
 if there are no pop-ups by any app then the user will be concerned when
any app open a pop-up but since now that u are creating a pop-up
acceptance behavior , the user will not be alarmed by a malicious
pop-up. this is how non-technical users get tricked. this is really a
security issue.

2>the food analogy was because u had proposed options to choose the
daily display of updates but this option is not available. when will
that option be available?

3>also, looks like the App Centre idea has been around since 2005, any
ideas when that might be implemented?

Matthew Paul Thomas wrote:
> Uwe Schilling, Thomas Nardone: As I have already explained several
> times, this is far from the only time programs need to open windows
> unprompted; and conversely, even with a browser blocking popup windows,
> a determined Web site author can still open popup windows or things that
> look like windows. Therefore, trying to distinguish real prompts from
> fake ones by whether they open manually or automatically is dangerously
> wrong. Better defence mechanisms include making Web windows more
> obviously non-native (with help from both the browser and the Ubuntu
> theme), and more informative handling of downloaded executables (Windows
> Vista and especially Mac OS X do a much better job of that than Ubuntu
> does).

That was not the point I was making. The point is, that, yes, there are applications that open pop-up windows on my computer. However, none of these applications asks for the system password! Ever! If "some evil guy from the internet" pretended to be my friend Bob and told me hi via skype, I would soon find out because he doesn't know anything about me, but nothing would be lost, if I asked back "How are you?". But now you start teaching people to give their systm password to some arbitrary pop-up windows. Do you agree that there is a difference if a pop-up window has administrator status or not? That is the difference I am pointing towards. So far, there was no higher interest in determining if something was started by the actual application or if it just pretended to be. At least, it was on immanent risk to your system. But by training people to give their system password to pop-ups, it becomes one. That is the point I want to make.

Making web windows look less native would definitely help to prevent damage, but for the moment, they look pretty much alike. Thus, at least for the next half year (until karmic) the danger I described persists. And even afterwards, it does not seem obvios to me, that then everybody will be able to distinguish the windows by their style. It still seems to pose an unnecessary risk.

hurga wrote:
> manager window means, so nothing gained.
>
> Put the issue up for a vote, where the majority of ubuntu users can vote
> and don't decide over peoples head.
>
@hurga>

http://brainstorm.ubuntu.com/idea/19283/

this voting has already been going on regarding this notifier at
brainstorm... and mostly everyone wants to have the icon back

I dont think the problem is the new NotifyOSD. Personally I think the
new "notifyosd" is great. The thing of question here is the
"update-notifier" package. So lets have a look at that one. The two
mainly discussed things are the bubbles and the icons. For the bubbles
they should and have been replaced in favour of using the new notifyOSD,
and they have. So fare so good, I like the notifyOSD so I like that
change. The other thing were the icons. Claim is that many people ignore
it. [1]. So you introduce the popunder. Maybe (many) people even like
it. But what I dont understand is how that leads to the reasoning the
the icons must leave? Whats wrong with keeping the icons? You have
removed the bubbles in favour of notifyOSD, do the icons really hurt
that much?

What I would suggest:
1. Open the popunder as a default for all those that ignored the icons
before. <b>(Already Implemented)</b>
2. keep the icons (parallel to the popunder) <b>(needs to be
reimplemented)</b>
3. add a check box to the update-manager popunder that says something
like: <b>"Open update-manager automatically when updates are available."
</b> and next to that one a button: <b>"More"</b> or <b>"Advanced"</b>.
When the user clicks that one the "Software Sources" Update tab opens
and you have two more options: "Open update-manager automatically when
updates are available." and "Show update-manager icons in the pannel to
indicate its status." <b>(needs to be implmented)</b>

Then you would realize both parties wishes. That would be a real choice.
The people who notoriously dont update have their popunder and therefore
a thing they wont ignore like the icons and second the people who know
what the icons are for have their icons and can disable the popunder if
they want. Plus, those that have been ignoring the icon before can still
 can keep ignoring it since they have the popunder.

Now what do you think? Implement it for Karmic and maybe provide a
backport for Jaunty or a PPA. And then we can finally close this bug,
hopefully.

Cheers
Lanoxx

[1] Personally Im not sure if the message of the notifyOSD (telling you
there are updates available) and the icons would appear at the same time
would be so hard to put into a relation with each other, but anyway.

I can fully agree on the fact that this bug report, brainstorm, or the
forums for that matter; are highly biased on a matter such as this. But
until someone is able to display good evidence that the unrepresented
part of the user-base thinks otherwise, the feedback here is the only
thing you have to go by. You cannot claim that 'the users who are not
writing here thinks differently' without pointing to conclusive evidence
that this is the case.

The picture I get at the moment is that the developers have a 'hunch'
that this is the way to go, with few clear arguments for support,
whereas the majority of the users who take the time to provide feedback,
think it is not, and is able to provide several, and clearer, arguments
for it.

If we are to continue on this path we would need to have clear evidence
that either a majority of users think this change is positive OR
evidence that this will increase users likeliness to install updates, to
a notable degree, with a minimal impact on usability and security
(annoyance, unsafe pop-up tolerance, etc.)

Until such evidence is supplied, Ubuntu is, in this specific matter, no
longer a community project, since it does not listen to the community.
 - Arand

One of the big reasons why I recently 'permanently' abandoned Windows all together is because Windows frequently believes it knows better, than I do what I should focus my attention on. Popunder, in my opinion, is a move in that direction. Lack of persistent notification simply creates an opportunity to forget/miss an update when I can/want to make a choice to focus on maintenance tasks.

I want the option of disabling the new behaviors and restoring the perfectly adequate Intrepid ones. A supported option, that should be clearly visible in the update manager settings. In terms of continuity of user experience and following the principle of least surprise, I think the options to select desired behaviors with the old ones being the default for upgraders should have been implemented instead of the current choice.

The above is to provide the details and motivations only; I made my choice known at

http://brainstorm.ubuntu.com/idea/19283/

and suggest the same for everyone.

Rajeev Nair (rajeev) wrote :

The old behaviour is not restored for me .I only see the icon when i manually run update manager.I have set gconf options , i have set auto launch interval of update-notifier to 0 , everything.

Its been a week since i have seen the orange icon.

Wonder what they did to it.

Matthew Paul Thomas (mpt) wrote :

Matt Wheeler, LanoxxthShaddow: We removed the icon because we're trying to reduce the number of items in the notification area, and update-notifier was an easy one to start with because Notify OSD forced us to solve the "'Click the icon'? What icon?" problem anyway.

hurga: I agree, I'd rather the window wasn't minimized; see for example <http://community.zdnet.co.uk/blog/0,1000000567,10012663o-2000498448b,00.htm>. As for putting this to a vote: just as with most other Free Software projects, interface design in Ubuntu is not, and has never been, driven by votes. We collect valuable ideas from mailing list discussions, forums, bug reports and so on, but vote-driven design would make it extremely difficult for Ubuntu ever to become suitable for an audience wider than those already using it. And I know it's easy for me to say that since I'm actually on the Design team, but if you can find any example of me suggesting "put the issue up for a vote" about any human interface design issue in any software project ever, I shall wash out my mouth with soap and water at UDS and put the video on YouTube.

John Clemens: The issue of trying to guess when is the best time to interrupt people is a tricky problem for notifications in general. Unfortunately, "never" is not a viable choice for a mass-market OS on an Internet-connected computer. If you have specific suggestions of heuristics we could use to choose more appropriate times, we'd be delighted to hear them.

mac_v: My current plan is that corrected settings for Software Sources, and AppCenter 1.0 (not necessarily by that name), will both appear in Karmic. The Brainstorm page you link to has the curious property that all three points in the Rationale are factually incorrect, which is likely to bias the voting even more than the natural bias of people who are interested enough to use Brainstorm in the first place (though again, this isn't about voting).

Uwe Schilling: Update Manager doesn't ask for your password unless and until you actually click "Install Updates". So you would then be relying on people to think "Well, it's asking me for my password just like it usually does when I click that button, but I won't enter it this time because I didn't open the window myself to begin with". That seems far too indirect and obscure to be a realistic defence.

getut (rtkluttz) wrote :

>The issue of trying to guess when is the best time to interrupt people is a tricky problem for notifications in general. >Unfortunately, "never" is not a viable choice for a mass-market OS on an Internet-connected computer. If you have >specific suggestions of heuristics we could use to choose more appropriate times, we'd be delighted to hear them.

MPT... "never" IS a perfectly valid answer to INTERRUPTING a user. Most everyone agrees that "never" is a bad thing when it comes to never NOTIFYING a user and that is the rub with this whole deal.

An icon on the desktop subtly notifies the user and is persistent. A window INTERRUPTS the user and takes choice away from the user. That is bad now and always will be. Even as important as a security update is, it is never important enough to open a window unsolicited.

Bad sectors on the hard drive, imminent crash, overheating, those types of things would warrant a true interruption. Updates, even security related, just simply do not warrant that immediate attention and force.

If people are too unaware to investigate a new icon on the tray or to ignore it for months after it shows up, they deserve a compromised machine. Do not punish 99% of the users out there with forced, aggravating, evil unsolicited windows because of the few who refuse to acknowledge updates.

On Thu, 2009-04-30 at 15:49 +0000, getut wrote:
> >The issue of trying to guess when is the best time to interrupt people
>
> MPT... "never" IS a perfectly valid answer to INTERRUPTING a user.

+1, mod parent up, etc.

At the risk of seeming like I am in love with my own ideas, this was why
I proposed the "semi transparent, always present, one window down"
notification widget. It would appear from the top right for system
notifications (you should upgrade) and the bottom right for user
notifications (you have an IM, email, etc.).

The notification would appear above the current window (unless operating
fullscreen) but would NOT have focus, then drop beneath after a few
seconds. When than window is closed or minimized, the notification would
be there, then drop down one again. Repeat as necessary. When all
windows are closed/minimized, it would be there, without focus.

It would say "click here to learn more" or something like. Or even
"click here to take action". It would also always have two other
buttons: Snooze and dismiss.

To me, this is as good as the persistent icon, since it is persistent,
but better since it is always there, until the user takes action.

It is better than the current approach, because it is always there, and
because it differentiates between system and user notifications.

Being semi-transparent and dropping away automatically make it more
ignorable. Being present until action is taken make it not-ignorable,
but in a far less obnoxious way than popups.

Other system notifications (volume changes, network connection changes,
etc.) would be ephemeral: Appear, then disappear. No action is required,
but sometimes the reminder is nice.

There would be defaults for what system and what is user, and these
would be determined by the community. Administrators would able to
modify the system list (for a machine or group of machines). Users would
be able to modify the user list for their account.

@Matthew:
there is a problem with this system, there is no notification of the updates window being popped up, that is what is the surprise of finding a new window that has popped up...

if pop up is going to be maintained, then the bare minimum would be to the notify-osd repeatedly show a notification until the window is noticed, other it is a surprise attack of a new window, * the new window appearance needs to be notified * ,

* the notify osd could be made to repeat itself every x mins* until either the minimized window is noticed or until updates are installed [ *until the updates are installed would be a better option * ], this would be the bare minimum form of a persistent notification for updates, atleast this would make the window a part of a legitimate system process, rather than a malicious code/window.

this change to the notify-osd should be an easy solution for this problem, right , or will getting update-notifier to use notify-osd be difficult too ?

James Iry (jamesiry) wrote :

I want to chime in that the popup behavior is completely irritating. It also doesn't solve the problem it purports to solve regarding users ignoring important updates. When it pops up in the middle of some important task I just cuss and click the close button at which point the update will likely be forgotten until the next time it pops up and I close it, cussing again.

Pop under isn't a solution either since things that happen in the background by definition are going to be unnoticed.

A completely reasonable solution would be to re-add the notification icon but animate it subtly (a slow flash, bounce, periodic rotation, whatever) for important security updates. That would be far less intrusive than a pop-up but still hard to miss accidentally. The animation could continue until the user acknowledges it in some way (install now, install later, go away). If the user chooses "install later" the icon could remain until installed but could be non-animated. This would be a persistent low grade reminder that the user still needs to take action. The icon could also reanimate after some number of days of inattention. This should all be integrated with OSD notifications "an important security update is available." Similar text should be used as a tool tip for the icon.

Peter Whittaker wrote:
> On Thu, 2009-04-30 at 15:49 +0000, getut wrote:
>>> The issue of trying to guess when is the best time to interrupt people
>> MPT... "never" IS a perfectly valid answer to INTERRUPTING a user.
>
> +1, mod parent up, etc.
>
> At the risk of seeming like I am in love with my own ideas, this was why
> I proposed the "semi transparent, always present, one window down"
> notification widget. It would appear from the top right for system
> notifications (you should upgrade) and the bottom right for user
> notifications (you have an IM, email, etc.).
>
> The notification would appear above the current window (unless operating
> fullscreen) but would NOT have focus, then drop beneath after a few
> seconds. When than window is closed or minimized, the notification would
> be there, then drop down one again. Repeat as necessary. When all
> windows are closed/minimized, it would be there, without focus.
>
> It would say "click here to learn more" or something like. Or even
> "click here to take action". It would also always have two other
> buttons: Snooze and dismiss.
>
> To me, this is as good as the persistent icon, since it is persistent,
> but better since it is always there, until the user takes action.
>
> It is better than the current approach, because it is always there, and
> because it differentiates between system and user notifications.
>
> Being semi-transparent and dropping away automatically make it more
> ignorable. Being present until action is taken make it not-ignorable,
> but in a far less obnoxious way than popups.
>
> Other system notifications (volume changes, network connection changes,
> etc.) would be ephemeral: Appear, then disappear. No action is required,
> but sometimes the reminder is nice.
>
> There would be defaults for what system and what is user, and these
> would be determined by the community. Administrators would able to
> modify the system list (for a machine or group of machines). Users would
> be able to modify the user list for their account.
>
+1 .but the only thing would be to drop beneath in a few seconds * only
when the user is working * but *remain persistent until the users
returns to the system* and starts to work .

 @ Peter
but i think this would probably not be possible at present, right ?
probably Karmic?
also whats up with no actions in the notify-osd, rather than using the
fall back alerts, why not use a good looking notify-osd with actions ,
when required!

Matthew Paul Thomas wrote:
Uwe Schilling: Update Manager doesn't ask for your password unless and until you actually click "Install Updates". So you would then be relying on people to think "Well, it's asking me for my password just like it usually does when I click that button, but I won't enter it this time because I didn't open the window myself to begin with". That seems far too indirect and obscure to be a realistic defence.

I don't understand the point you are making here. Of course, people first have to click the "Install Updates" button, but that doesn't make any difference. I'll try to clarify my point: suppose some malvolent webpage opens a pop-up which looks just like the update manager, telling you that there are updates to application xyz. Since the real update manager also opens via a pop-up process, people will not suspect anything and click on the "Install updates" button, not noticing that this is actually a webbrowser window and then enter their password when asked for it. In this way, the webpage gets your system password for free and can do whatever it wants with it, be it a login via ssh or installing a key logger or whatever.

My point is that many people will not notice that it is not the "real" update manager appearing on the screen, because the pop-up window just looks like it. And since the real update manager now also opens via pop-up, the they won't even be suspicious and type in their password. If it really had been the "real" update manager, they will probably never get to know....

On Thu, 2009-04-30 at 17:56 +0000, mac_v wrote:
>
> +1 .but the only thing would be to drop beneath in a few seconds * only
> when the user is working * but *remain persistent until the users
> returns to the system* and starts to work.

That seems a good idea. However, there are a couple use cases where it
would be wrong to have it on top but the user would not seem to be
working. Watching a full screen video, for example.

Perhaps "If screen is locked, stay on top until screen is unlocked",
then apply default behaviour, "stay on top for time T". This is a
cleaner use case, I think, fewer what-ifs and exceptions to manage.

> but i think this would probably not be possible at present, right?
> probably Karmic?

Not even, then, I would think, unless and until those doing the design
and coding come to believe that another approach is required.

> also whats up with no actions in the notify-osd, rather than using the
> fall back alerts, why not use a good looking notify-osd with actions ,
> when required!

My apologies, I don't follow.

Do you mean have a button on the semi-transparent notify widget "Do
Action A"? If so, yes, I agree. There should likely be three: "Do Action
A", "Dismiss" (notification never returns), "Snooze" (notification
returns sometime later; a default time could be displayed).

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

+1 this is a very nice idea.

Also I like to state AGAIN: Why is choice such a big problem for you
design people, if you want to remove the icons from the notificaion area
by default, ok go ahead. But then give people who do like it the option
to bring those icons back somehow!!!

James Iry wrote:
> I want to chime in that the popup behavior is completely irritating. It
> also doesn't solve the problem it purports to solve regarding users
> ignoring important updates. When it pops up in the middle of some
> important task I just cuss and click the close button at which point
> the update will likely be forgotten until the next time it pops up and I
> close it, cussing again.
>
> Pop under isn't a solution either since things that happen in the
> background by definition are going to be unnoticed.
>
> A completely reasonable solution would be to re-add the notification
> icon but animate it subtly (a slow flash, bounce, periodic rotation,
> whatever) for important security updates. That would be far less
> intrusive than a pop-up but still hard to miss accidentally. The
> animation could continue until the user acknowledges it in some way
> (install now, install later, go away). If the user chooses "install
> later" the icon could remain until installed but could be non-animated.
> This would be a persistent low grade reminder that the user still needs
> to take action. The icon could also reanimate after some number of days
> of inattention. This should all be integrated with OSD notifications "an
> important security update is available." Similar text should be used
> as a tool tip for the icon.
>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iQIcBAEBAgAGBQJJ+hWJAAoJEC3c23gFjIjfwDcP+wT9F1YYLF+mtMwmaPkhi8/Z
bM3/UE+8WP8l7Vh0pfNSW1/juRbV7iwCNXcCC8roVsmWgMx9MnQxkAIuo1443LCz
cbdXszUw8Wx5gPriJBXz+HTj6bzAtweqvU2E2CyY5d9Dfyo3xpYV7r8/H3naCcK9
Wl1epKRmFkS/KZ+2eFHZYE2tYTeSBvQJrWGkCS6UN267EzpgOhStKvv1zh/p9YTG
EZ4P2EPk4sNUL11XMdFoThPTIu8FTPuV+TAqfcXECeveA7JfNbhoeEnlqZ+hfsEb
iMUj/dqWLflQaOXm6SDrle2XDNxmRAJ2hiwLM3SazYHkdGnwMu+8j/04xm2IdLH2
1kuxa7FR5VQJf+meBJENNFzBVjNm/nxLLazuGmCow41PIbnNyrrFXxzvFD2vDFAJ
4fgIlf9OGMIWOrND/qA6mF/0PgpiXSX4a1dl1Jnnpzilj8L3lvMqOjg7g95n+uND
9bo+DOjVfK92KBH9Pgqe6LcYMgK3STjZWBJ/BG59OcZnwM87FMycjJJ18+3WDqUx
prXZPyKlADe+RgufnjeD6VWq+Fhls3c7eGrl7h4iPPQ/KpAIwRLQGkQWRkNRHCo/
MW6m0XuL7WkpkLU3PhT6Sx14B2nxjKLgAJsGv9qiNYyIbuS1ZRvPymgH/uoCwHDb
NsHO5wfjDt+6qAq0TzPv
=mRcl
-----END PGP SIGNATURE-----

Peter Whittaker wrote:
> Watching a full screen video, for example.
i dont think that full screen video/any video are a problem, since
gnome-screen saver recognizes when videos are playing, something similar
 probably could be worked in for detection.
but the real problem will be with flash firefox videos, gnome-screen
saver doesnt recognize them yet.! but even then,it wont be a bother as
much as the screensaver taking up the whole screen!
>
> Not even, then, I would think, unless and until those doing the design
> and coding come to believe that another approach is required.
>
i think they DO realize that the present method isnt perfect[well thats
what Matthew accepts], they just havent realized a better solution...

why dont u mock up something for the UDS / ayatana discussions? maybe
people might agree this time.
>
> Do you mean have a button on the semi-transparent notify widget "Do
> Action A"? If so, yes, I agree. There should likely be three: "Do Action
> A", "Dismiss" (notification never returns), "Snooze" (notification
> returns sometime later; a default time could be displayed).
>

yeah, in the notify-osd wiki, it says no action buttons allowed,and that
in cases where actions buttons are to be used, fall back alerts are to
be used, WHY?
that is a good looking notification system, why not use it with color
coding to notify important stuff like, updates?
that is one of the reasons update notifier cannot be done with notify-osd...

Matt Wheeler (funkyhat) wrote :

2009/4/30 Matthew Paul Thomas <email address hidden>:
> Matt Wheeler, LanoxxthShaddow: We removed the icon because we're trying
> to reduce the number of items in the notification area, and update-
> notifier was an easy one to start with because Notify OSD forced us to
> solve the "'Click the icon'? What icon?" problem anyway.

And I would reiterate my point that I think that decision was wrong. Regardless of whether you have the update-manager window opening automatically, I think the notification icon should remain. I think (like many others that have commented) that a persistent notification is important.
As I've said, I'm now more happy with the idea of a self-opening update-manager having seen it work for someone else (although I was at the same guy's house earlier today and noticed he was annoyed that it had popped up while he was trying to work, it will probably still have the end result that he installs his updates more quickly). If the notification icon appeared at the same time as the window, and remained there until the updates were installed, he would be more likely to remember to install his updates (they were not new today) when he finished working, rather than just forgetting.

I know you will probably say 'the notification icon should not be there', but I disagree, I think this if anything is one thing that *does* have a right to be in the notification area. It is a *notification* of the state of the system.

--
Matt Wheeler
<email address hidden>

I've refrained from the conversation thus far, because I wanted to read through all of the comments first. But as someone interested in HCI, this is an issue of particular interest to me, and I feel like I need to add my opinion.

Applications should *never* open without explicit action by the user. This smacks of malware popups in Windows, and makes users feel less like they are the one in control of their own system. It doesn't matter whether Update Manager opens above or below windows, because it shouldn't be opening automatically in the first place. In addition to fostering the users' mistrust, it would almost certainly only result in click-through behavior as users try to get rid of the offending spontaneously-opened window.

The notification area is not, IMO, broken, as has been stated by others. It is certainly *misused*, and I agree with the idea of moving things out of the notification area that don't belong there. There is little reason, for example, for a program to have a constant icon in the notification area, or to minimize to the notification area. (Of course, these things can only be fixed by the software developers, so there's not much we can do about it.) But when used *correctly*, the notification area is perfect for what it is designed for -- non-intrusive persistent notifications. Notify OSD is great for transient notifications, but lousy for persistent notifications. And update notifications definitely fall into the persistent category.

So here's my suggestion. Go back to the old behavior, with a slight modification. The old notification icon should appear in the notification area when any updates are available, and remain until the updates are installed or selected to be ignored just as it did before. But in addition to the familiar notification icon, a Notify OSD notification should alert the user when important updates are released, and continue to appear at login and perhaps periodically (e.g. once an hour, or every 6 hours) until the important updates are installed. But the Update Manager should most definitely *not* be opened without direct user action.

bdoe (bdoe-att) wrote :

Is this still up for discussion, or are we expected to just eat this one (in reference to the "Confirmed -> Won't Fix" status)?

There is NOTHING MORE ANNOYING, bar none, than having windows pop up uncommanded. Having windows open surreptitiously underneath everything I'm doing is sneaky, underhanded, and not likely to be noticed for days. The notification icon did its job, and it did it well. This new change does not serve the Ubuntu userbase well at all.

Here's the reason I am here posting this right now: I went searching for an existing bug report in hopes of determining why I hadn't seen an update notification since I installed Jaunty a week ago. I became quite concerned when I manually launched Update Manager and noticed a slew of Security Updates in there. "Why wasn't I informed of this?" I asked myself. "Why did I have to go manually LOOKING for these updates?"

There was no notification of the IMPORTANT SECURITY UPDATES. None. If a window had popped up at some point of time over the past week, I probably closed it without realizing what it was. Since I got no further notification of important updates, I figure this new behaviour assumes that if I dismiss the popup/popunder window that comes up, then I don't care about the update, because there is no persistent notification. No icons, no indication of any kind that my system could be vulnerable to attack because of uninstalled security updates - security updates uninstalled because I was not aware that there were any to install.

Please bring back the notification icon. If for no other reason, so it can keep my volume control applet icon and network-manager icon company up there. They do get lonely. And I would sleep better at night knowing that, if there's no icon up there indicating important security updates, then my system is truly secure.

On Thu, Apr 30, 2009 at 11:20 AM, Matthew Paul Thomas <email address hidden>wrote:

>
> John Clemens: The issue of trying to guess when is the best time to
> interrupt people is a tricky problem for notifications in general.

As getut pointed out, you're conflating "interruption" with "notification".
Notifications, like an icon appearing in the notification area and a
transient bubble saying "hey, you have updates" is not an interruption.
Notifications can happen at any time, you don't need to guess the "best
time". This is how they work in Intrepid.

Interruptions are opening full blown applications that require user
interaction without the user requesting them. You have chosen to interrupt
people, which is where I think you're wrong. There is another way...

Unfortunately, "never" is not a viable choice for a mass-market OS on an
> Internet-connected computer. If you have specific suggestions of
> heuristics we could use to choose more appropriate times, we'd be
> delighted to hear them.
>

You're presenting a false choice. Noone is saying you shouldn't notify
users of updates. A persistent notification of "updates are available" is
EXACTLY what we want... like we had in intrepid.

I can not suggest any heuristics for you, because it's impossible for update
manager to know when would be a good time to update. The only entity that
has that information is the user, so stop trying to make a decision for
them. You're only guessing, and most of the time you're wrong.

I design software all the time, and the first thing you look at when looking
at an architecture diagram is find out if each part has enough knowledge to
make the decision it needs to make. You need two pieces of information to
install updates: 1) that updates are available, and 2) when would be a good
time to install them. Update manager can only know number 1, the user is
the only one who knows number 2. The proper thing to do in this case is
tell the user there are updates available, and let them choose when to
install them. The update manager notification method in intrepid understood
these truths and acted accordingly.

You would argue that opening update manager is a "persistent notification",
and I would disagree. It's a "transient interruption". I've kept the
jaunty way running on my box for a few days.. and I hate it. People, myself
included, close the update window because we're annoyed at being
interrupted, without installing updates. Once closed, there is no
persistent reminder. In Intrepid, I got a small 20x20 icon that was a
constant but unobtrusive reminder. In jaunty I get interrupted with at
random intervals (random because of 'security updates', some of which I
don't need).

Improve the icon if you want, update the verbiage in the notification and
tooltip; but don't guess randomly and then throw your arms up in the air
when the user closes a random window that showed up and winds up not
installing updates, only to repeat the process 7 days later.

Please, please reconsider.

--
John Clemens <email address hidden>

"There is NOTHING MORE ANNOYING, bar none, than having windows pop up uncommanded."

....how about turning a blind ear to a flood of unhappy comments? I'd say that's more annoying by far...

also...

"We have good usability information that says that notification areas are swamps. They are swamps on Windows, and swamps in all the Linux distributions."

I use many, many programs at once, filling my three desktops, and I can safely say that I've never been annoyed with the notification area being clogged up. So far, the closest I've gotten to "swamped" is the following in the notification area: Pidgin, Thunderbird, Songbird, qJackctl, and Ardour. I have NO PROBLEM with that, and I love being able to send my apps to hide there. On Windows, I go nuts typing the command "msconfig" so that I can further clean up the mess that is the startup applications so I can clean up the task bar. I have never had a problem with the notification area in Ubuntu other than VLC (and that was easily fixable)

Matthew Paul Thomas (mpt) wrote :

getut: By saying "If people are too unaware to investigate a new icon on the tray or to ignore it for months after it shows up, they deserve a compromised machine", you are -- though I know you don't intend this -- effectively saying that a majority of people who use a computer deserve a compromised machine. I know this can be terribly difficult to understand for people who are interested in every detail of what's on the screen. You think: "How could anyone possibly not notice the icon? And when they do notice it, how could they possibly not wonder what it's for?" Alas, most humans don't work that way; they're ruthlessly goal-centered, and learning the details of operating systems is not one of their goals.

mac_v, James Iry: There is already a mechanism for windows to request attention, and the updates window uses it whenever it opens automatically. Maybe that mechanism needs a more prominent presentation, but that should really be a separate discussion.

Uwe Schilling: You basically restated my point -- assuming that people will see a window that looks like the updates window, and behaves like the updates window, but be able to tell that it's fake solely because it opened automatically. I think that's quite unrealistic, because it would require a much better memory for past actions than people usually have. For example, if you open Update Manager yourself but get a phone call and have to switch to another task in a hurry, and don't return to Update Manager until the next day, you may have no memory of opening it the previous day. (Expecting people to then close it and reopen it, *just in case* the already-open instance was a fake one, would be even less realistic.)

mb_webguy: <https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027568.html>

bdoe: If there are security updates waiting in the archive and Update Manager doesn't open within a day, please report a separate bug about that. However -- and I apologize in advance if this affects your sleep -- it has never been true that "if there's no icon up there indicating important security updates, then my system is truly secure". A vulnerability may be found and exploited by bad guys before being found by good guys; once it is identified by good guys, it may be hours before it is fixed in a way that the developers are confident won't break anything else; after that, Launchpad may take up to an hour to rebuild the fixed package (depending on the complexity of the package); after that, there may sometimes be an embargo of hours or days agreed with other OS vendors; after it is released from embargo, it will be between 0 and 60 minutes before the new package is published in the Ubuntu archive; and after that, it will be between 0 and 24 hours until your computer next checks for security updates. This is all true regardless of whether that last step involves a notification area icon or the updates window itself.

Chauncellor: If I was turning a deaf ear to comments, I would have long since unsubscribed from this bug report.

MPT: I wasn't referring to you, actually. I just thought it was a little..... scary that Mr. Shuttleworth just waltzed in here with a speech and immediately changed the status to "Won't Fix". That's what I call turning a deaf ear.

Matthew Paul Thomas wrote:

> mac_v, James Iry: There is already a mechanism for windows to request
> attention, and the updates window uses it whenever it opens
> automatically. Maybe that mechanism needs a more prominent presentation,
> but that should really be a separate discussion.

@Matthew
actually i dont use the second panel for window list, i just have 1 menu
 panel and 1 cairo dock for the windows list, and *i have never noticed
the window request attention * ,
 also there are several user who have the panels set to auto hide, which
also makes its difficult to notice the blinking of the windows list.

i was talking about the window requesting attention , because there was
no other form of notification ! which is again for this BUG

common matthew , u say that the system aint perfect but u dont even
consider other suggestions for some form of notification,[i say this
since the bug has been set to the NULL project rather than UNDECIDED]
 there needs to be some notification that a window is being
popped-up,that is the minimum effort the system can take to show that it
is a legit system process than any malicious code,not even the
notify-osd shows the availability of updates!
 i suppose hooking the updates with a notify-osd bubble aint that
difficult ...
* no way can there be any good explanation for making a window pop-up
unannounced in the background *

getut (rtkluttz) wrote :

> MPT: I wasn't referring to you, actually. I just thought it was a
> little..... scary that Mr. Shuttleworth just waltzed in here with a
> speech and immediately changed the status to "Won't Fix". That's what I
> call turning a deaf ear.

That and the fact that devs are trying to convince people that interruption
is the same as notification. Notification is acceptable. Persistent
notification is better, and it doesn't even have to be on the tray.
ANYWHERE is actually fine.

But the desktop is the users space. Nothing should happen in the users
space unless the user initiates it UNLESS there is ABSOLUTELY no other
choice or if it is the result of some previous action taken i.e. didn't
complete or is a critical warning such as imminent crash.

There are countless bad scenarios where windows popped up out of the blue
are bad. Presentations, real work, movies, music.... on and on and on. The
devs simply should not be making a decision to preempt that space from the
user, even if it is a popunder. That space should be sacred ground and in
every other distro of linux that I am aware of, it is. For the most part it
is even on Windows.

As one user stated, you are giving false choices by making incorrect
assumptions. There are many other options other than taking over the users
control of the work area. There is not and never can be any algorithm to
determine when a good time INTERRUPT a user is, because the algorithm is
simply "never". Almost any time is a good time to NOTIFY the user in a way
that does not preempt their control of the workspace.

As I was typing the above, I did think of one single possible time where a
true interruption of the users actions to notify of updates would be
acceptable... At shutdown or logoff time, it would be acceptable to briefly
pause the shutdown or logoff process to notify the user of X number of
updates and do they want to do them before completing the logoff or
shutdown. Other than that no interruption of the user should ever take
place.

PRIVILEGED AND CONFIDENTIAL: This electronic message and any attachments are confidential property of the sender. The information is intended only for the use of the person to whom it was addressed. Any other interception, copying, accessing, or disclosure of this message is prohibited. The sender takes no responsibility for any unauthorized reliance on this message. If you have received this message in error, please immediately notify the sender and purge the message you received. Do not forward this message without permission.

Also I would like to point out that if you make use of virtual desktops feature
I have 9 desktops It very very easy to miss the pop up as on my machine it shows on desktop one
while i tend work on other desktops and have firefox open on full screen on desktop one.
just totally missing the popup till i click shutdown and i briefly show as X closes

I wouldn't consider having to go through updates before shutdown much better than what's happening now (though it is slightly still better). Before long, Ubuntu is going to be known as the next-gen spamming OS, or the ultimate Windows clone, or some other derogative phrase. I'd like to keep my favorite open-source project clean

puntarenas (puntarenas) wrote :

According to live.gnome.org, we will se a new notification center in Gnome 3 (2.30?!):

"New Panel

The top panel will have the following major areas.

[...]

Notifications center containing a dropdown with a stack of recent notifications and an indicator of how many new notifications there are and how urgent they are if the notifications are being hushed.

[...]

There will be no bottom panel. The task list will be available via the overlay mode or the sidebar. "

http://live.gnome.org/Boston2008/GUIHackfest/WindowManagementAndMore

So does this mean upstream Gnome will put an end to notify-osd and the pop-under behavior for update-interruption after karmic? If so, please officially support the old behavior from now on. People have been reporting first issues with restoring the old behavior but as far as I understand we cannot file bugreports against nonofficial features.

On Fri, 2009-05-01 at 17:00 +0000, Richard Thomas wrote:
> Also I would like to point out that if you make use of virtual desktops feature
> I have 9 desktops It very very easy to miss the pop up as on my machine it shows on desktop one
> while i tend work on other desktops and have firefox open on full screen on desktop one.
> just totally missing the popup till i click shutdown and i briefly show as X closes

Sarcasm alert...

No, no, no. The popup should pop up onto every desktop/screen you have,
and your ipod and iphone, and television while you are right in the
middle of The Young and the Restless. Get with the program son.

Sorry. Just thought this thread needed a bit of humour.

2009/5/1 Richard Thomas <email address hidden>:
> Also  I would like to point out that if you make use of virtual desktops feature
> I have 9 desktops It very very easy to miss the pop up as on my machine it shows on desktop one
> while i tend work on other desktops and have firefox open on full screen on desktop one.
> just totally missing the popup till i click shutdown and i briefly show as X closes
>

Luckily your system isn't prone to security issues when it's switched off :)

MPT: you said:

> Uwe Schilling, Thomas Nardone: As I have already explained several
> times, this is far from the only time programs need to open windows
> unprompted

You may have "explained" it several times, but you _never_ answered my
question: could you please name another case in the default intrepid
desktop? I can only remember pidgin. Pidgin does that by default for new
chats, but it's configurable and users know how chat programs work.

In intrepid I really see a "no unrequested interactive pop-ups" in
action.

I know of many other programs that do unrequested pop-ups but not the
ubuntu default programs. I appreciate a lot evolution and firefox
because they follow such a policy.

V.

Il giorno mer, 29/04/2009 alle 14.52 +0000, Matthew Paul Thomas ha
scritto:
> Forums
> poll in January thought that Ubuntu should have a keyboard combo by
> default that would crash all your applications.

The same combo that you can tell your mother on the phone to recover a
login screen when X crashes. Please don't oversimplify: you're talking
like these forums users are stupid. How can you then complain if they
call for spanking?

Download full text (3.2 KiB)

Matthew Paul Thomas wrote:
>mb_webguy: <https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027568.html>

*Nothing* in that post justified the automatic opening of applications without direct user action. *Every* example you named would best be handled by some sort of transient or persistent notification, and *not* by having an application open automatically.

As getut and John Clemens have said, there is a huge difference between a notification and an interruption. Automatically opening applications is the latter. You seem to think that the user *should* be interrupted for certain events, but I vehemently disagree. You *don't know* what the user is doing, or how vital that activity may be. Interrupting the user's activity could be considerably more detrimental than for the user to respond immediately to the event of which you're notifying him. A user should be notified of an event, with an indication of its importance and the required action, but should his current activity should *not* be interrupted. A notification, no matter how prominently displayed, does not have to be an interruption.

Furthermore, opening an application doesn't even achieve your goal! An application that is opened without being initiated by the user will most likely be promptly closed, especially if it opens over other windows. An application that appears under other windows may be ignored or go unnoticed. Applications tend to open on a single workspace, and applications on other workspaces may likewise be ignored or go unnoticed. Applications that open on all workspaces are even more obtrusive and more likely to be closed simply to get it out of the way. An application that automatically opens itself will make inexperienced users, especially those coming from the Windows world, anxious and concerned about viruses and other intrusions into their system. Experienced users will only become annoyed. In neither case is the user experience improved, or the system made more secure.

Users want to be in control of their systems. Yes, less knowledgeable users need to be alerted of events in a more noticeable manner than simply an icon in the notification area. I have absolutely no problem with that. But an icon in the notification area is an appropriate method of providing users persistent notifications, especially of events that do not require immediate attention -- such as the availability of non-critical updates. OSD notifications are excellent but only appropriate for transient notifications, and can be used to bring the persistent notification icon to the user's attention, especially for more important events that require more immediate attention -- such as the availability of critical updates. They can even be timed to appear periodically to remind the user of that action should be taken -- such as that the user has still not installed those critical updates. And OSD notifications do this without interrupting the user's activity or taking control away from the user. The combination of these two methods do exactly what is needed to alert users of necessary action. Automatically opening an application does *not*. It is ineffective, an ann...

Read more...

> You may have "explained" it several times, but you _never_ answered my
> question: could you please name another case in the default intrepid
> desktop? I can only remember pidgin. Pidgin does that by default for new
> chats, but it's configurable and users know how chat programs work.
>
> In intrepid I really see a "no unrequested interactive pop-ups" in
> action.

Well, in all of those cases also they are applications. The user has the
ability to run them or not run even if they WEREN'T configurable. The
user can choose to run a different program that does the same thing.

Users have no choice with the Ubuntu updater. It either starts itself up
at inopportune times with no way to stop it, or you run an unsupported
gconf hack that will probably not even be available in a version or two
down the road.

Download full text (3.3 KiB)

Changing the way users are notified of important information is a noble and worthwhile goal. I agree that a tiny icon can not convey much useful information to the users. On the other hand, notifying users of something with a pop-under window is far from ideal. Applications should not run unless I ask one too. This update was premature without a better way to notify users already in place.

The fix then, is to improve the way users are notified by applications or the OS. This will require several things in order to improve on both the old icon notification behavior and the current opening of an unrequested application behavior.
    1. It must convey more information than an icon can provide.
    2. It must be persistent if need be.
    3. It must not open an additional application or otherwise forcibly interrupt a user's work.

I see two fixes for this.
    1. An application that gathers notifications from other applications. It pops up in the current notification area and lets you know that other applications or the OS wishes to let you know something. When clicked upon it gives a list of current applications with notifications. Clicking then on the application in the list will give you a detailed and verbose message. "The computer needs to be rebooted after those last updates." "Firefox must be restarted" "There are 12 new updates available, 3 of which are critical security fixes." etc.

The problem with this approach is we again have to convey to the users via an icon that this is something they should click on for more information. This can be worked around perhaps with libnotify popping up briefly and telling a user that they should click on the icon for more information. Eventually a user would be at the computer for one of these and notice it and learn what the icon means. Also, each application would have to be changed to work with this new system.

    2. A portion of the desktop be reserved for such notifications. No icons would be able to be dragged into this location and accidentally cover it up for instance. (Say a 'sidebar' location on the right hand side of the screen). In this 'sidebar' would be a list of recent messages from the applications or OS to which the user should be notified. It should have enough room for a basic message "Updates available", "Please restart computer", etc and a way to click on this new 'sidebar' to have the appropriate application either run or move to the front of the screen and acquire user focus.

The problem with this approach is that its completely new to everyone and would possibly take substantial coding effort just to get the framework running and more to convert each application to it. It would also be hidden from users who have a window blocking that portion of their desktop. This at least could again be worked around with a brief libnotify message. If they miss it, they'll certainly see it when they close their last window and are prepared to do something else, or stop using the computer entirely. (or on next boot before working)

Both of these solutions would require a not insignificant amount of work but would go a long way to solving the original problem tha...

Read more...

Uwe Schilling (uschilling) wrote :

MPT wrote:
Uwe Schilling: You basically restated my point -- assuming that people will see a window that looks like the updates window, and behaves like the updates window, but be able to tell that it's fake solely because it opened automatically. I think that's quite unrealistic, because it would require a much better memory for past actions than people usually have. For example, if you open Update Manager yourself but get a phone call and have to switch to another task in a hurry, and don't return to Update Manager until the next day, you may have no memory of opening it the previous day. (Expecting people to then close it and reopen it, *just in case* the already-open instance was a fake one, would be even less realistic.)

Ok, I finally understand the point you are making and I have to admit that the security thread I saw had always existed, at least in parts. However, I still think that the current behaviour of update manager might enhance the possibility of a successful attack.

Nevertheless, the other issues brought up here remain valid and I support a different solution than the current one. My two cents: why not use the title bar of each window for notifications. There, they could be a form of a permanent notification, you can have scrolling text to really let the user know what the notification is all about and it something is moving up there it will definitely be noticed. Furthermore, basically every application (except for full-screen applications, which one would not want to interrupt anyway) uses the titlebar, so it would always be visible, no matter, what the user is doing. Just an idea though...

Uwe Schilling wrote:
> My two cents: why not use the title bar of each window for notifications. There, they could
> be a form of a permanent notification, you can have scrolling text to really let the user
> know what the notification is all about and it something is moving up there it will definitely
> be noticed.

You mean if I have three windows open, I'll have three constant tickers scrolling across my screen? Oh god, no.

Usability tests have shown time and again that -- except in very specific applications, such as stock reports -- users completely ignore tickers. Usability tests on web pages actually show that as users grow more experienced, they begin to ignore *anything* that's constantly in motion, such as Flash ads and, yes, tickers. Furthermore, any kind of "dancing bear" is incredibly annoying and distracting.

Matthew Paul Thomas wrote:
> bdoe: If there are security updates waiting in the archive and Update
> Manager doesn't open within a day, please report a separate bug about
> that. However -- and I apologize in advance if this affects your sleep
> -- it has never been true that "if there's no icon up there indicating
> important security updates, then my system is truly secure". A
> vulnerability may be found and exploited by bad guys before being found
> by good guys; once it is identified by good guys, it may be hours before
> it is fixed in a way that the developers are confident won't break
> anything else; after that, Launchpad may take up to an hour to rebuild
> the fixed package (depending on the complexity of the package); after
> that, there may sometimes be an embargo of hours or days agreed with
> other OS vendors; after it is released from embargo, it will be between
> 0 and 60 minutes before the new package is published in the Ubuntu
> archive; and after that, it will be between 0 and 24 hours until your
> computer next checks for security updates. This is all true regardless
> of whether that last step involves a notification area icon or the
> updates window itself.
I can't file a bug report on something I don't know exists. Like I
stated, I may well have simply closed the window in a fit of
desktop-cleaning, without realizing what the window was. I will probably
never know, because once the window is closed, there is no further
indication that I need to update my system unless I manually invoke
Update Manager or another security update comes along (assuming I don't
once again dismiss the window after it pops up and annoys me). With the
notification icon (aka. "old behavior"), there is nothing I can do to
dismiss the icon short of updating my system; nor would I have any
reason to dismiss the icon prematurely, since it is completely unobtrusive.

As for your point about my system never being truly secure: I understand
that. I was being facetious. but the FOSS community has generally been
far more responsive to discovering and patching security flaws than
certain monoliths (*cough*Microsoft*cough*) who have gone on record for
leaving major security flaws unaddressed for about nine months or so (
/http://blog.washingtonpost.com/securityfix/2007/01/internet_explorer_unsafe_for_2.html)/...

Well, it need not be a ticker, it need not be animated,Or it could be animated by default and there is an option to turn off the animation. Or the ticker is moving through just once and then stays still until the mouse hovers over it, or ... I basically just wanted to suggest the title bar of all windows as a place where notifications could take place.

A.... ticker?.....

"Upgrade to the new Ubuntu "Karmic Koala" - "Firefox Needs to be restarted" - Upgrade to the new Ubuntu "Karmic Koala" - "Firefox Needs to be restarted"

No thank you. I personally don't see anything wrong with the icon in the tray and the OSD notifier reminding a user of critical updates every day. I'm so excited with this GConf hack, when I get notified I look at it and think to myself, "What a perfect process of updates". Apple has the never-ending BOUNCING, Windows spams like it's fresh outta the can, but this really does a child good.

Uwe Schilling wrote:
> Well, it need not be a ticker, it need not be animated,Or it could be
> animated by default and there is an option to turn off the animation. Or
> the ticker is moving through just once and then stays still until the
> mouse hovers over it, or ... I basically just wanted to suggest the
> title bar of all windows as a place where notifications could take
> place.
>
@Uwe,
how often do people look at the title bar? NEVER
i hardly ever notice it...
people usually notice the content of the window, not the titlebar.

so it wouldnt serve the purpose of being noticed would it? even if it
was in a different color the chances are that it would never get noticed.

and a scrolling/animated ticker would be distracting/irritating...

Howdy,
  I was ignoring this behavior on my Jaunty systems at first. I thought it was a bug that would be fixed soon. I see others agreed that it was a bug, but it does not look like it will be fixed. So, I have been thinking about what to do.
  First, I have to say that I like the notification OSD messages. They are great for messages that should not last. And, I am grateful that Matthew Paul Thomas understands that voting is a horrible way to decide issues of interface design. But, there is a real problem here. Mr Shuttleworth let the discussion go on for a while before he stepped in and made his decision. It was not the decision I wanted, but I would say he was respectful about it, so lets not complain, but do something constructive. I don't have this idea completely worked out, but here is what I propose to start. First, what I want to accomplish is the following.
 1. The Update manager should never pop up on the user screen without their having requested it.
 2. There should be a way for the user to have some indication that fixes or updates are available.

 I think my first attempt will be based upon conky. I use it on crunchbang and it seems to work fine. I have not used it on regular Ubuntu, so there could be disadvantages to be found. I have already configured automatic updates to be off. I'll do that for any machine I setup now for people. My hope is that I can create a configuration that others can use and package or document it. Ubuntu can proceed as they have and people who don't like the automatic running of update manager will at least have an option.

 I saw the gconf hack. That might not be a bad way to fix it for a while. But, I want some fix that I can carry with me to future versions of Ubuntu and I gather that the gconf route may only work for a while.

 I have not created projects at Launchpad before and I am not sure what the best way to do this will be. I don't know if I will be creating a ppa on Launchpad or not.

Wish me luck,
Ralph

taka khumbartha (scar) wrote :

in one of my systems, i have 10 desktops, and the update manager opens on one of them. which one? not sure how that is determined. sometimes it is opened on a desktop i haven't used in a while, or won't use in a while. so i don't see the update notification for potentially a long period. what a stupid decision in order to "clean up the notification area" lol. come up with something better. open the update manager on all desktops at least....

On Mon, 2009-05-04 at 16:12 +0000, scar wrote:
> open the update manager on
> all desktops at least....

Oh yeah, that's much better. Annoying * $number_of_desktops. Talk
about getting right in somebody's face.

Surely it's obvious by now that this was a very ill-thought out
decision. I've said it before but I will repeat, if there is a better
implementation of this idea down the road, then that's fine. Show it to
us when it's done and stop inflicting half-baked, annoying ideas on the
general user-base.

Hi,

Long thread. After reading it and trying to get informed about the new notification system I have come to the conclusion that there is a natural solution for this in the new framework: the indicator-applet.

Here is its description:

"A small applet to display information from various applications consistently in the panel."

The web site states that "The first revision is focusing on messaging applications". However, there is nothing said there about it being limit to message applications only in the future (as message #127 - https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/332945/comments/127 - seems to imply).

It seems like this applet was created exactly to solve the most important problem described in this long thread: the notifications are not permanent and once dismissed won't leave a reminder behind. The same is true for the "new mail" or "new message" from MUA's and IM, however the new framework already acknowledges this fact and created the applet to keep reminders of those events. Why not use it for the update-notifier events?

I am thinking about something along this lines:

1) Once an update is available show a bubble and leave a reminder in indicator-applet. The reminder in the applet should show two states (only simple upgrades and security updates).

2) If the reboot dialog is dismissed leave a reminder in the applet until next reboot.

3) The other reminders like restart firefox and so on don't need to leave a trace behind (this is certainly open for debate, I don't remember receiving a reminder that needed to leave a note behind but the reboot one).

4) If the user doesn't do the update suggested in the indicator-applet after a certain period of time, open up upgrade-manager like it is done today in jaunty. However this time frame should be user configurable.

Maybe (and probably), I am being naive here, but it seems like this idea could make "everyone happy":

1) The notification area is not abused
2) The new notification system (which is great), is used
3) The upgrade notifications leave a trace behind and are visible at the moment the upgrade is available
4) The reboot notification leaves a trace behind (and hence can not be completely ignored)
5) The new behavior of opening the update-manager to encourage the upgrade is still there.

Obs: I know that this is not the right forum to post such a message. However, I tried to subscribe to Ayatana project mailing list in the URL suggested above

https://lists.canonical.com/mailman/listinfo/ayatana-project

And it returned "No such list ayatana-project". If a member of the Ayatana team reads this and find it appropriate, please forward this message or contact me to point me to the right forum

Obs2: Yes, I really dislike the new update-notifier behavior. IMHO it is a major UI regression.

My problems with that solution, Paulo J. S. Silva, are that A) you're essentially just replacing the notification area with the indicator applet, and B) messages in the indicator applet aren't as visible and therefore are more likely to go unnoticed than the regular notification area icon. From what I've seen, the indicator applet is currently a bit of a joke. Granted, I don't use Evolution, but I had never seen the indicator applet at all until I decided to set up Pidgin to get on IRC. Suddenly, I have a strange new icon that looks like an envelope. It doesn't seem to indicate that I've received a message -- though the notification OSDs do so nicely. In fact, all it seems to actually do is to tell me I have Pidgin open -- which I already know, since I have Pidgin open! Even if I minimize it, it's there in the program list.

It seems to me that the indicator applet is just a more compact version of the notification area applet, and I don't see how it's going to be any better as a solution. I personally believe it would be worse, if for no other reason that the one I stated above. If people believe that the notification area is broken now, they'll be saying the same thing about the indicator applet once every application is spamming it with useless messages. The simple fact is that a notification area icon is a visible, persistent, non-intrusive form of notification, and a notification OSD is a visible, transient, non-intrusive form of notification. Why can't we simply use a combination of these two existing forms of notification for -- guess what! -- notifying the user of updates? If it ain't broke, don't fix it. And considering that the only icons I ever regularly see in my notification area are the Network Manager applet, Power Manager applet, Bluetooth applet, and Update Manager applet, I still don't see how it's "broken".

Botond Szász (boteeka) wrote :

I agree with mb_webguy.
The new indicator-applet seems to be created to replace the notification area. Currently it only displays Pidgin's notifications (at least for me).
The problem with this approach is that the indicator applet is good only if it displays the notifications coming from a single application. Why? Because there is only a single icon for it displaying that "something happened" now how should I know from which application the notification comes from? I must click that icon for that information. This I consider bad usability comparing to what we had until now, when I could clearly tell just by looking at it that Pidgin or some other app with its own icon there wants to notify me about something.
Simply there are applications which I want to be running all the time, but do not want them to take up place in my window list or task bar. So the notification area is a perfectly good place for them. Maybe we should stop calling it notification area, and give it another name. Maybe it would be nice to have two of these areas: one for system controls like changing the volume, displaying CPU temperature, etc. and one for the programs the user starts like Pidgin, or some email client, etc.

The perfect solution for this problem (for me) would be that we have a transient notification using notify-osd, and a persistent one by displaying the well-known yellow updates are ready icon in the notification area.
<sarcasm>Wait! Isn't that what we had until now, minus the notify-osd popup?</sarcasm>
Don't fix what ain't broke! Especially if the new solution isn't better.

Matthew Paul Thomas (mpt) wrote :
Download full text (5.0 KiB)

mac_v: A notification that a window has popped up? You mean something like this screenshot? That's how Mac OS 9 did it a decade ago. Its main problem was that there was no direct way to get from the notification to the actual window, violating the principle of direct manipulation; and the same would be true of a Notify OSD bubble. That's why we say notification bubbles should be primarily for notifications that *don't* need an input response (with IMs skating on the edge of that category, because seeing an IM in a notification bubble sometimes makes it unnecessary to switch to the chat window). Now, how to present windows requesting attention when the window list isn't visible is an important issue, not just for updates but generally. The same is true for how to indicate windows that are minimized. If you have ideas about how to do those things, we'd be interested to read them on the Ayatana mailing list. That this bug report is filed under NULL doesn't mean anything like what you seem to think it does; this issue was recorded as needing an item in the Ubuntu release notes, that was done, and the people maintaining the release notes then had no interest in being spammed with further comments irrelevant to them, so they refiled it.

Chauncellor: That Mark has commented here several times is actually an unusually large involvement on his part for an issue that is tiny in the grand scheme of things. With some worthy exceptions (e.g. mac_v, Peter Whittaker, and George Dhoore), the comments in this bug report have largely repeated points made in the mailing list discussion, which he also saw.

puntarenas: That live.gnome.org page describes one possible design for Gnome 3, generated in an October 2008 brainstorming session before Notify OSD was even announced. It does not necessarily reflect the final design for Gnome 3, Ubuntu, or anything else.

Vincenzo Canza: Sorry, I hadn't seen that question before, and I don't understand why you're special-casing "the default intrepid desktop". I've already given part of the answer in <https://lists.ubuntu.com/archives/ubuntu-devel/2009-February/027568.html> ("Until now, Ubuntu has often used persistent interactive notification bubbles for these kinds of things..."). The rest of the answer is that Ubuntu isn't yet sophisticated enough to handle some of those cases. For example, when a hard disk starts failing, 8.10 did not (and 9.04 probably doesn't) open a window unprompted warning of this; instead, ironically, it opened an indefinite series of Nautilus windows unprompted. <http://ask.metafilter.com/118440/Why-does-my-File-Browser-keep-opening> On the Ctrl+Alt+Backspace issue, I am not remotely suggesting that forum users are "stupid". It was perfectly understandable and predictable that they would vastly overestimate the proportion of potential Ubuntu users for whom that key combo is more useful than harmful. That was my point: they're not a representative sample of users.

mb_webguy: It may be possible to provide a notification without interruption that is effective for most potential Ubuntu users, but I don't know what it would look like. For example, I'm at a loss to understand why you think a notificat...

Read more...

MPT: Thanks for keeping me in check. I did a search through all Mark Shuttleworth posts and notice that he did, in fact, post here quite a bit. My apologies, I was under the impression that he only posted twice before he changed the status.

That said, I will state that I can definitely understand the decision to disable zapping by default for Jaunty. Though I've never had accidents, that is something I can support even if I'd rather it not happen. There's always the magic sysrq keys if there's an emergency and zapping is disabled, so the backup plan is fairly good.

While I can see the motivation to take the updater out of the system tray, I cannot understand the methodology behind the execution. The general consensus is extremely negative to this, and I'm probably including those that do not have a launchpad account. I have a dear old teacher friend of mine that went insane for a while with all those popup windows that got in her way while she was doing things. She couldn't STAND It.

What I'm wondering is, do you think that there could be a "fix" released so that until this project Ayatana is finished, the default intrepid behavior is applied? I guess there's no stopping this decision for new notifications, but I'd risk saying that nearly 90 percent or more people don't like it. My roommate was turned off by it when I gave him Jaunty on an external, even. I'll support Shuttleworth's ideas in the future, but this seems to parallel the implementation of Pulseaudio in Hardy: Well-meant, but disastrous. Thankfully, though, I only had to open terminal once this time around.

Matthew Paul Thomas said:
> For example, I'm at a loss to understand why you think a notification bubble
> "timed to appear periodically" above everything else would be less annoying
> than a window that opens once and then sits in the background until you deal
> with it.

For several reasons... A pop-under application has multiple problems, already mentioned: as a pop-under it may not be noticed, if it appears on only one workspace it may not be noticed, and an application window that was not initiated by the user is likely to be dismissed by the user to get it out of the way. And if it *is* closed, the user gets no further reminder of the available updates until further updates are released, regardless of the importance of the current updates.

Periodic OSD notification avoids each of these problems. It appears on the current workspace in a noticeable but unobtrusive way, stays for just long enough to deliver its message, then disappears. If the period is sufficiently long enough -- and especially if that period is configurable by the user (perhaps anywhere from once and hour to once a day, and upon login) -- then it remains a reminder rather than a nagging annoyance. And if it is coupled with a notification area icon, then the user has an unobtrusive persistent notification of any available updates in addition to the intermittent transient reminder of important updates. If you think of the OSD notification as reminders, with the notification area icon as the actual control, then it doesn't really violate the rule of direct manipulation -- the OSD wouldn't be prompting you to take action, but only reminding you that an action is available.

Paulo J. S. Silva (pjssilva) wrote :

wb_guy,

I believe there that main use of the notification area is to keep "minimized applications" that may allow some kind of interaction without opening a full blown window: a media player that allows you to skip the current music or pause, network manager that allow you to turn off the network, bring up an interface or change the wi-fi spot, and so on. In this sense the name "notification area" is not really good. In your reasoning you forgot this use of the application area, and in my current system all applications I have there allow me to take such simple actions directly from the embed icons.

However notifications are not something that you want interact with. They are just something that you should be aware of. However, some notifications are necessarily transient (the screen brightness was changed to save energy, or the network is up). They can be shown using the new, and beautiful, notification bubbles. Other notifications may be queued to dispatch further action (such as reading emails, reading RSS feeds, or updating the system). In this case the action is simple: open the full blown application. For emails, open the MUA window, for RSS feeds open liferea (or you preferred feed reader), for IM messages open the chat application, for upgrades open update-manager. You should keep such notifications somewhere, in this case I believe the right place is the indicator-applet, that allow you to see them and quickly open the right application.

I do believe that the icon for the indicator-applet should change from the envelope to something more neutral (like the i letter in the official icon). It would also be nice to have different icons for different cases (for example no notification in the queue, some notifications in the queue, and urgent notifications - like system upgrades - in the queue).

Paulo J. S. Silva:

That is indeed how the notification area is currently used, an is also, I believe, why the developers believe it to be broken. That's not what it was intended to do. My argument is that just because something is abused, it doesn't mean it's no longer appropriate for it's intended use.

Yes. I remember reading Mr. Shuttleworth speaking of possibly removing one of the two panels sometime. I'm all for simplicity, but there is such a thing as OVER-simplicity. I believe Mac is the perfect example of that. The OS is designed to be SO simple and SO clean that navigating it is a huge headache. I remember before the dock existed on previous MacOS versions and how painful it was to find one out of five windows. Now, even with the dock I find it difficult to navigate as you can only access a window if it is minimized first. the only way to reliably choose what window you want focused is to use exposé, which can make things REALLY confusing if you have more than ten windows. Also, one mouse button! It's too oversimplified! If we start purging everything, then there won't be anything left to work with. If anything needs to be cleaned up, it's the System/Administration folders. They don't make any sense.

Matthew Paul Thomas wrote:
> bdoe: If you are still having this problem, I suggest subscribing to the
> <http://www.ubuntu.com/usn> feed, and then reporting a bug the next time
> a package you have installed shows up there without Update Manager
> opening within a day. We'd take that very seriously.
I'm absolutely certain now that the window did pop as it was supposed
to, but I had dismissed it without seeing what it was. This goes back to
one of my major complaints about this new notification method: Once
dismissed, the window was gone for good, and I had no further reminders
of the updates.

The window popped again for me today, with new updates. This time, I
heeded it. Unfortunately, I had to stop everything I was doing so that I
could service the update window - this in lieu of dismissing the window
again and forgetting about the updates.

I stand by my assertion that there was absolutely nothing wrong with the
old method of popping an icon in the notification tray, and would like
to see it re-implemented. If needed, have the icon pop along with an
accompanying OSD-notification that "New Updates are Ready to Install",
flash the icon until the OSD goes away, then leave the icon persistent
until the updates are installed. I don't see how this could have ever
been considered broken to begin with.

bdoe wrote:
> I don't see how this could have ever been considered broken to begin with.

+1 to this.

It's a *notification area*. Granted there are apps which populate it that shouldn't, but how in FSM's name is the *update-notifier* as it was configured in 8,10 & previous one of them?

And popups? As has been pointed out more than once in these comments, 10 years of abusive web-design practices have taught users to kill popups & popunders as fast as possible.

They're not helpful or informative, they're either intrusive, or (for Windows users) a sign your system has (again) been compromised.

C. Cooke (ccooke) wrote :

Paulo J. S. Silva :

About updates in the indicator applet: I've been working on a proof-of-concept that does just that. It currently implements indicator messages for updates and needing to reboot.

You can find it at http://earth.gkhs.net/ccooke/indicator/

Note that this is only intended to be a proof of concept to see how useful update messages in the indicator are.

C. Cooke wrote:
> Paulo J. S. Silva :
>
> About updates in the indicator applet: I've been working on a proof-of-
> concept that does just that. It currently implements indicator messages
> for updates and needing to reboot.
>
> You can find it at http://earth.gkhs.net/ccooke/indicator/
>
> Note that this is only intended to be a proof of concept to see how
> useful update messages in the indicator are.
>
C.Cooke,
looks good , but the updates available are just too much info, rather
just splitting the info into X number of security updates are available
and X number of softwares updates would be better.

the detailed updates info would however show up when the main update
window is brought up...

also i feel that the indicator applet should have a dynamic changing
icon so that the program icon of the application demanding attention is
displayed rather than the common envelope icon for all the apps...

mac_v:
Ah, I should update that screenshot. The list of updates is generated by a modified version of apt-check, a python script included with update-notifier. The modification is now able to associate each updated package with an installed metapackage (such as 'ubuntu-desktop', 'kubuntu-desktop' or 'linux-generic') or, failing that, a package name that can be installed be the add/remove application. Thus, the user will only see updates for the base OS or things they will have installed manually.

I'm told the modifications to apt-check at least will be going into karmic - what, if anything, will use them is currently up in the air.

goto (gotolaunchpad) wrote :

"Maybe that mechanism needs a more prominent presentation, but that should really be a separate discussion."

While you're having that discussion, my systems are missing updates for days or weeks.

Vish (vish) on 2009-05-06
description: updated

Matthew Paul Thomas wrote:
> mac_v: A notification that a window has popped up? You mean something
> like this screenshot? That's how Mac OS 9 did it a decade ago. Its main
> problem was that there was no direct way to get from the notification to
> the actual window, violating the principle of direct manipulation; and
> the same would be true of a Notify OSD bubble. That's why we say
> notification bubbles should be primarily for notifications that *don't*
> need an input response (with IMs skating on the edge of that category,
> because seeing an IM in a notification bubble sometimes makes it
> unnecessary to switch to the chat window). Now, how to present windows
> requesting attention when the window list isn't visible is an important
> issue, not just for updates but generally. The same is true for how to
> indicate windows that are minimized. If you have ideas about how to do
> those things, we'd be interested to read them on the Ayatana mailing
> list. That this bug report is filed under NULL doesn't mean anything
> like what you seem to think it does; this issue was recorded as needing
> an item in the Ubuntu release notes, that was done, and the people
> maintaining the release notes then had no interest in being spammed with
> further comments irrelevant to them, so they refiled it.
>
ok... i think i misunderstood about the NULL tag.
ideally for window attention notification a time repeated window preview
as done by compiz would be nice, but the compiz window preview doesnt
allow interactions with the preview, whereas Windows7 has copied the
idea and allowed interactions[clicking on the preview brings the window
to the front]
notification i was mentioning for right now was something like the
screenshot but notify-osd would be better looking,
Also i dont understand what principle of direct manipulation u are
mentioning? its only the notify-osd that specifies no interaction but
the freedesktop specs allows actions/hyperlinks as listed here
org.freedesktop.Notifications.GetCapabilities <
http://www.galago-project.org/specs/notification/0.9/x408.html#command-get-capabilities
>
so when there are provisions for interactons, leave the notify-osd as it
is and add another notification system which allows actions, a
notification system which only system process use for notification wich
require actions...

i'm not sure if u have noticed , i'v added a mockup with screenshots of
a concept of notification tags, which could be used as persistent
notifications to this page>
https://wiki.ubuntu.com/NotificationDesignGuidelines/Comments
since these can contain text and interactions update manager could use
this to either open updates window by clicking on the notification /when
the mouser over reveals the actions either a direct install or dismiss
of the notification / or the notification can remain minimized until the
user chooses to install...

I want to add an additional point: Not all computers are connected to the internet all the time. Thus, imagine
someone that connects to internet, the system finds out that there are updates available, and then the
internet conection is closed for, lets say 1 month. What will this user experience during this month? Daily
popups? Constant messages in the desktop? This is not an unusual scenario in third world countries, I must
say. The previous notification system was totally acceptable in this case.

Of course it is obvious that I was completely satisfied with the previous way update notifications
were managed. For me, as for others, the result of the new update notification system is that I
do less updates. That's because when the popup commes out, I instantly close it because I'm
doing something else. Second because, when I am not doing something else, it does not necessarily
appears, and I don't remember updating.

yurx cherio (cherio) wrote :

I believe as a bottom line everyone agrees that if a user sets the checkbox to check for updates then the user expects to be notified (one way or another) about the new available updates. If I set it as "automatic" I shouldn't go and do it manually.

Icon in the tray is appropriate when I say so by checking the appropriate checkbox. Icon in the tray is more appropriate then balloon, because if I leave my computer for 10 min I may miss the balloon, however the icon will remain in the tray.

One developer mentioned that the user has to have skills to properly recognise the update icon and the balloon is self-explanatory. Same statement can be applicable to the rest of the icons in the tray, to the icons associated with applications (e.g. when you use drawer on gnome panel), it can be used to accuse nautilus icon to be non-intuitive, etc. The solution could be simple. That update-notification icon could be made more recognisable. Open a poll/contest for the most intuitive icon and simply collect user input on that.

:)

Jonathan Marsden (jmarsden) wrote :

I'm slightly bewildered that so many here apparently feel that bothering to read the Jaunty Release Notes and doing what they suggest, to restore the old approach, is impossibly difficult... or something?

At http://www.ubuntu.com/getubuntu/releasenotes/904#Change%20in%20notifications%20of%20available%20updates one finds the information that:

    Users who wish to continue receiving update notifications in the previous manner
    can restore the earlier behavior using the following command:

    gconftool -s --type bool /apps/update-notifier/auto_launch false

It's a single command, one that you can cut and paste into a terminal window directly from the release notes. If this issue bothers someone enough to comment here about "my systems are missing updates" and "I do less updates", why not just do that single cut and paste, logout, login, and relax :) If you are handling a corporate rollout to thousands of Ubuntu desktops, then running this from a script in /etc/profile.d/ would probably work...

I prefer the "old" way, so I ran that command as soon as I read the release notes. It works. Job done. I'd have preferred a more obvious way to change this preference, but... the documented approach worked fine, first attempt, so no real complaint from me!

You *do* have the choice. So, if you wish to... go ahead and exercise that choice :)

_dan_ (dan-void) wrote :

We all know the command, thank you, its even in the first post, and yes we all know that we can execute the command.
What you fail to see here is , that this is unsuppoprted and therefor may or may not continue to be valid in the next release.

We are simply discussing the stupidity of the new default behaviour.

After reading all the comments, i am still missing *any* advantages of the new behavior, whatsoever.
 (sry MPT i know you are trying to explain your point, but the other side has the better arguments)
 I urge MPT or any other dev here to point out what the advantages are of this change, which were not disproved here or in the ML.

I am sorry guys, i know the Ubuntu devs are doing a very nice job, but this particular change is just wrong.+
There is no shame in admitting a mistake and listen to the community.

Jonathan Marsden wrote:
> I'm slightly bewildered that so many here apparently feel that bothering
> to read the Jaunty Release Notes and doing what they suggest, to restore
> the old approach, is impossibly difficult... or something?

As _dan_ said, we're all very aware of the fix. I'd say most of us are using it. But the problem is that this isn't supported. It's an "official" unofficial work-around to restore deprecated behavior. We who are arguing against the new behavior are doing so *because* it is the new behavior -- the official behavior -- and think it is a move in the wrong direction. We want to improve Ubuntu, not find workarounds to suit our own preferences.

Jonathan Marsden wrote:
> I'm slightly bewildered that so many here apparently feel that bothering
> to read the Jaunty Release Notes and doing what they suggest, to restore
> the old approach, is impossibly difficult... or something?

I'm pretty sure most of us are aware of how to bring back the old
behavior - at least for the moment. The problem is, it is an unsupported
hack. How long will that capability be there until it is taken away? How
will executing that hack affect future updates, or the upgrade to Karmic
when that comes around?

Besides, this isn't about us. Most of us here can work our way around
these petty niggles that annoy us. It's the new users - particularly
those who have never seen the old behavior and therefore have nothing to
which to compare the new behavior; who thinks the new behavior is too
intrusive and "in your face" for their comfort and, having not seen the
old behavior, think that's just how Ubuntu is.
 It is for these people that we are running this BS flag up the flagpole.

Interestingly, the client of the Canonical's recently released UbuntuOne service puts a persistent applet icon in the notification area:

https://ubuntuone.com/support/installation/

o_O

On Mon, 2009-05-11 at 22:19 +0000, Ricardo Pérez López wrote:
> Interestingly, the client of the Canonical's recently released UbuntuOne
> service puts a persistent applet icon in the notification area:
>
> https://ubuntuone.com/support/installation/

Well, I don't see any evidence there one way or the other, but most
certainly if one's own dogfood is not good enough for one to eat
himself, one should not be asking others to eat it.

What happened to the wide-spread usability principle that modal dialogs (aka, an unwanted update window) are BAD?

The notification area IS an abused swamp (Shuttleworth's words) IN WINDOWS, where every vendor shoves their logo in your face.

But it is NOT a swamp UNDER UBUNTU. I have only five VERY USEFUL icons in my notification area. If I forget what they are I just mouse-over.

Let's not take lessons from Vista and shove unexpected message windows in front of the user every five minutes. My mother-in-law can barely use Vista because the pop-up modality of it prevents her from simply learning the few tasks she needs to do.

braddock speaks the truth in my head. Windows is the victim of a swamped up notification area, not Ubuntu. Look at any Windows machine I have touched, and you'll find "msconfig" in the last RUN box entry because I'm constantly battling all those damned startup applications that just clog, clog, clog Windows.

Under Ubuntu, the ONLY program I have ever had to disable on startup is Empathy. And I think they fixed that in the newest versions. My notification area is clean, and I use it a lot. My Ubuntu machine has been connectionless for three weeks now, and I have a warning icon in the tray telling me that my sources are outdated. I, being as anal as anyone when it comes to the notification try in Windows, DO NOT CARE ABOUT IT! It does not clog up my area! I constantly send my audio tools to the tray with alltray, and even with all those, at the max I'll have maybe five or six items! That's not clogged, that's _what the tray is for_.

This is an excursion that Microsoft should be looking into, not Canonical. It's wasting resources that could be better used elsewhere. Want to clean up a swamp? Clean up the Preferences/Adminstration folders - Fedora did that years ago. Clean up the Sound/Video section of Applications. But the notification area is fine the way it is! Want to know the first thing I did when I installed Jaunty? I right clicked on the indicator-applet and selected "remove from panel". Productivity boosted 25 percent for me when I did. I couldn't stand using the thing, it was so useless. Again, oversimplification. Why don't we get rid of "Window List"? All those windows we have open, surely they're swamping up the panels.... We could just have the different windows focus after a certain period of time! That would solve lots of problems, neh?

manzur (sl-solaris) wrote :

it feels good as it is now, maybe this will improved with "ubuntu apps center" implementation

Il giorno mar, 02/06/2009 alle 15.30 +0000, braddock ha scritto:
>
>
>
>
> What happened to the wide-spread usability principle that modal
> dialogs
> (aka, an unwanted update window) are BAD?
>

\begin{acid*}
It has been argued (in my opinion, very imprecisely) that no system can
go on without sometimes interrupting the user, be it a popup, a balloon
or anything else. The difference between a notification and a dialog is
clear to anybody but it seems that it must be not so clear when we speak
of the new ubuntu.
\end{acid*}

We never got a simple answer to your question. The principle is gone,
for good or bad it does not matter so much. In the name of the principle
of not crowding the notification area, one other principle is gone. It
has been said that ubuntu specific apps should be an example for all the
other apps. I wonder if this means that any app will start happily
popping up interactive popups. Perhaps we can implement a popup blocker
for the X window system :)

I personally still hate the update-notifier popup, it consumes cpu and I
see it only in rare moments because it pops under. Really, I am in front
of my beloved ubuntu but I hate a part of it.

I am using it instead of removing it to see if I get used, but it's not
happening.

V.

I think it's rather communistic of those responsible for this change to impose their personal preference on everybody. Ubuntu is for me not like Facebook, where changes to the interface and function happen over the heads of the community.

They could have implemented an option in the Updates Configuration Dialog where the user has the option to enable/ disable this, for me, annoying behaviour.

On Wed, 2009-06-03 at 13:55 +0000, Toralv wrote:
> I think it's rather communistic of those responsible for this change to
> impose their personal preference on everybody.

Hrm. You don't seem to understand the concept of communism and are
making the common mistake of calling what you characterize as a
dictatorship as communism. But the discussion of that is OT for this
thread.

bdoe (bdoe-att) wrote :

True. I believe the correct term would be "fascism"; but we are getting
way off topic.

FWIW, I noticed that the behavior of the update window seems to have
changed since I first installed Jaunty. Instead of opening as a
popup/popunder, it is opening minimized in my task panel. Though this is
not as annoying as having the window get in my face every time it wants
attention, it is still annoying, and to me seems to violate the
principle of the reason for all this change to begin with. Now, instead
of an innocuous icon sitting in my notification tray, I have a minimized
window sitting on my task panel. They didn't really clean up the
notification area; they just simply moved them somewhere else!

-----Original Message-----
On Wed, 2009-06-03 at 13:55 +0000, Toralv wrote:
> I think it's rather communistic of those responsible for this change to
> impose their personal preference on everybody.

Hrm. You don't seem to understand the concept of communism and are
making the common mistake of calling what you characterize as a
dictatorship as communism. But the discussion of that is OT for this
thread.

Wellllll.... Toralv is probably thinking "communist" in terms of Leninism or Stalinism, which were indeed oppressive totalitarian forms of communism. And Toralv, the developers make changes like this quite often, typically after much discussion, and based on input from users. Most of these changes are for the better. This one, however, was -- in many users' opinions -- for the worse, and the response to negative user feedback on this issue has made it seem as if the developers are determinedly ignoring it. I doubt that's actually the case, but it does seem from a non-involved end-user's perspective that their complaints are being cavalierly disregarded.

But Brian J. Murrell is right-- this isn't really the place to discuss the decision-making process of the developers. It's not really a place for discussion at all, except for suggestions of possible solutions to the "problem". I still think that using a combination of the old notification icon (as a persistent notification that updates are available) and periodic OSD notifications (to alert the user of the availability of critical updates) would be best, but... *shrug*

Il giorno mer, 03/06/2009 alle 19.36 +0000, mb_webguy ha scritto:
> This one, however, was -- in
> many users' opinions -- for the worse, and the response to negative
> user
> feedback on this issue has made it seem as if the developers are
> determinedly ignoring it.

No the feedback has not been ignored. Some improvement has been added
(e.g. the window starts minimised, even if it is not happening on my
machine, so I am only trusting others here). Point is that the idea of
opening interactive windows automatically is not considered bad by
developers anymore for reasons that, even though explained other times,
I don't understand. Perhaps it's me.

V.

Chauncellor: Ayatana is about cross-application design for Ubuntu in general, not just notifications. There is no plan for it ever to be "finished". On cleaning up Preferences/Administration, I entirely agree: if you can help out, <http://brainstorm.ubuntu.com/idea/19982> and <http://live.gnome.org/SystemSettings> are complementary approaches.

Brian Burger: It's a fallacy to suggest that because something has been labelled the "notification area" it is necessarily good at presenting notifications. Our position is that it is not -- that Microsoft got it wrong in designing it, and Gnome got it wrong in copying Microsoft.

mac_v: We think we have good reasons for not allowing actions in notifications <https://wiki.ubuntu.com/NotificationDevelopmentGuidelines#Avoiding%20actions>. Those reasons apply just as much to system software as they do to applications, so it wouldn't really make sense for system software to use a different notification system.

Leandro: See my 2009-04-02 comment.

yurx cherio: People had already been trying to find an effective icon for years, from one that looked like a cigarette packet (Ubuntu 5.04) to a red pinwheel (5.10) to an orange square (6.06, 6.10, 7.04, 7.10) to an SD card with a halo (Windows Vista) to a starburst (Ubuntu 8.04 and 8.10).

Ricardo Pérez López: Ubuntu One's notification icon is bug 362561.

braddock: The updates window is not a modal dialog.

Toralv: Unlike Facebook, Ubuntu is Free Software. It has thousands of unconfigurable behaviors, but you are welcome to change any of them (or even make any of them user-configurable) in your own variation.

Leandro (leandromartinez98) wrote :

I don't know if this is the proper place to post this. I've done a mockup of
what I think could be an idea for persistent notifications requiring user
action. As with all other user actions, it would be in the Menu, where
the System option would become highlighted. A new option in the menu
would then appear informing the user of important notifications.

It would free up the notification area, become more clear to the user
than a small icon (the change in color of the menu is clearly perceivable),
and not intrusive as a popup. Here I attached an image. If this is not
the correct place to propose this, I'm sorry, but it seems that it is
where this discussion is taking place more vividly.

Leandro: This looks nice but only works if you have a SYSTEM menu. UNR
users don't and users who remove or move this menu (as I have on a
notebook) will not see the notification indication.

Walt

Leandro, based on previous comments (e.g., around #132, etc.), I'd suggest

https://wiki.ubuntu.com/NotificationDesignGuidelines/Comments

as a good place for your mockups.

Il giorno gio, 04/06/2009 alle 14.41 +0000, Matthew Paul Thomas ha
scritto:
>
>
> yurx cherio: People had already been trying to find an effective icon
> for years, from one that looked like a cigarette packet (Ubuntu 5.04)
> to
> a red pinwheel (5.10) to an orange square (6.06, 6.10, 7.04, 7.10) to
> an
> SD card with a halo (Windows Vista) to a starburst (Ubuntu 8.04 and
> 8.10).

If the icon should not indicate upgrades, but rather a generic "urgent
message" then a red triangle with an eclamation mark would be more or
less universal.

E.g. interactions could be "queued into" such a triangle icon, and then
clicking would bring a menu with all the "pending" interactions.

I doubt anybody would not react to such a icon in the proper way, that
is, clicking on it to see what the system wants from us; but it would
avoid launching possibly heavy softwares unrequested.

Vincenzo

MPT: Oh, goodie! Looks like we have a winner here. I'll be voting that idea up.... I hope it's implemented soon, it's exactly what I was thinking about!

May I ask what the end result of the notification area is, then? It seems like the goal is ultimately to completely remove the notification area. What would you do with "dockable" programs like Thunderbird or Pidgin, then? Where would I send them?

Also, at this point in time, it seems that you guys are set on never looking back into putting the notifications into the notification bar. I would like to plead on my knees that something be done with the in-your-face pop-up, pop-under, evasive, invisible, or-whatever-is-being-boiled-next method that ultimately invades and annoys the users and also does less of a good job of notifying. Never have I had a window that I couldn't minimize in Ubuntu, and I'm always thankful of that when I have to use this Windows machine to connect to dial-up. Please, for the love of everything good and green, do not decide that the computer knows what windows should and should not be minimized. Vincenzo Ciancia put it well when he said "Really, I am in front
of my beloved Ubuntu but I hate a part of it."

That said, perhaps the end result of this cleaning may very well be for the better of GNOME. I very vehemently disagree with this removal, but perhaps there will be some better method that would be very friendly to all. At the present, though, it's pretty much decided that it is not.

I have to agree here. What will happen to programms like pidgin or
Skype. Can we not send them to the notification area any more? That
would be really disappointing. What other place will there be to have a
permanent place of putting apps that run in the background, if you
ultimately remove the notification completly?

Chauncellor wrote:
> MPT: Oh, goodie! Looks like we have a winner here. I'll be voting that
> idea up.... I hope it's implemented soon, it's exactly what I was
> thinking about!
>
> May I ask what the end result of the notification area is, then? It
> seems like the goal is ultimately to completely remove the notification
> area. What would you do with "dockable" programs like Thunderbird or
> Pidgin, then? Where would I send them?
>
> Also, at this point in time, it seems that you guys are set on never looking back into putting the notifications into the notification bar. I would like to plead on my knees that something be done with the in-your-face pop-up, pop-under, evasive, invisible, or-whatever-is-being-boiled-next method that ultimately invades and annoys the users and also does less of a good job of notifying. Never have I had a window that I couldn't minimize in Ubuntu, and I'm always thankful of that when I have to use this Windows machine to connect to dial-up. Please, for the love of everything good and green, do not decide that the computer knows what windows should and should not be minimized. Vincenzo Ciancia put it well when he said "Really, I am in front
> of my beloved Ubuntu but I hate a part of it."
>
> That said, perhaps the end result of this cleaning may very well be for
> the better of GNOME. I very vehemently disagree with this removal, but
> perhaps there will be some better method that would be very friendly to
> all. At the present, though, it's pretty much decided that it is not.
>

Really? So the majority of the PC users, and a good portion of the open
source market decided that they liked a certain model...
And you come and proclaim that they all have it wrong? Very bold of you,
sir.

I really don't <i>care</i> what you think about the notification area...
What I care about is how you guys remove long lasting, ubiquitous behavior
to attempt change in the development environment without giving any of your
users recourse but to GTFO or downgrade their installation.

This is not good behavior for a company who wishes to continue to gain
market share... you cannot apply this type of behavior at will to all areas
of your distribution without SEVERELY pissing most of your userbase off.

I just want an option. Let me put it back in the notification area, you
have have yours pop under, and we'll both be happy.

On Thu, Jun 4, 2009 at 10:41 AM, Matthew Paul Thomas <email address hidden>wrote:

> Brian Burger: It's a fallacy to suggest that because something has been
> labelled the "notification area" it is necessarily good at presenting
> notifications. Our position is that it is not -- that Microsoft got it
> wrong in designing it, and Gnome got it wrong in copying Microsoft.
>

ddumont wrote:
>>This is not good behavior for a company who wishes to continue to gain
market share... you cannot apply this type of behavior at will to all areas
of your distribution without SEVERELY pissing most of your userbase off.

I'm afraid this argument, ddumont, is going to fall pretty flat. Linux has never really cared about "market share", since it's a community effort rather than a proprietary commercial product. Ubuntu is likewise a free distribution, and so "market share" doesn't really figure into it. Linux has always been about creating the best OS possible, and while a larger user base does make it easier to refine and improve a system -- a million eyes are better than two, after all -- popularity has always been at best a secondary priority.

I agree that this was a bad design change, but "you're going to lose customers because of this" isn't really a good argument when talking about free open-source software, even if it may be technically true...

Il giorno mer, 10/06/2009 alle 04.52 +0000, mb_webguy ha scritto:
> Ubuntu is likewise
> a free distribution, and so "market share" doesn't really figure into
> it.

I think you didn't notice the hype around preinstalled ubuntu and OEM,
which is where all this mess came from :) It is clear that marketing is
a good part of ubuntu, and that all of us ubuntu guys around that
install ubuntu to everyone are doing the campaign. What is unclear is
how do we behave when our distribution begins to... ehm... suck and we
have no powers to stop the distribution. I am not saying this is
completely happening: all of us can discuss these problems on ayatana
and my experience has been that the developers are very interested in
feedback and suggestions from anyone. But the pop-up window is not going
to disappear, unluckily.

V.

mb_webguy: Perhaps you should take a look at bug number 1 :). While Linux might not care, Ubuntu does.

Really, I'm just scared to death of Gnome 2.30/3.0 modeling too much after Mac - meaning having nothing of real productive value in the GUI (good lord, if there's a dock, I swear I'll kill myself). If this happens, I believe for the first time I'll be considering switching over to KDE. I've always loved GNOME for the two+ years I've used it, and I'd hate for it to get spoiled. Don't get me wrong, I'm welcome to changes in GNOME, but if there isn't a good substitute for the notification area, which seems to be the ultimate victim, I'm afraid I wouldn't be the only one ditching it.

I digress, though. ddumont, even though I agree with you, I feel that aggression won't get us anywhere. MPT knows that the majority of us hate it already. At this point in time, I'm just pleading for an option. Give us an option to keep the notification tray if we end up not liking the alternative presented, and please give us the option of having our updates showing up in there.

I know this is probably no consolation for a lot of us in the short
term, but there IS an option here: Like any other free open-source
software, source code for all of what makes up Gnome is available. If
Gnome is taking a turn in an undesirable direction, there's no reason
why Gnome can't fork. It's not like we're entirely powerless here.

-----Original Message-----
From: Chauncellor <email address hidden>
Reply-to: Bug 332945 <email address hidden>
To: <email address hidden>
Subject: [Bug 332945] Re: [Jaunty] Update Notifier icon would provide
useful status information
Date: Wed, 10 Jun 2009 14:22:25 -0000

mb_webguy: Perhaps you should take a look at bug number 1 :). While
Linux might not care, Ubuntu does.

Really, I'm just scared to death of Gnome 2.30/3.0 modeling too much
after Mac - meaning having nothing of real productive value in the GUI
(good lord, if there's a dock, I swear I'll kill myself). If this
happens, I believe for the first time I'll be considering switching over
to KDE. I've always loved GNOME for the two+ years I've used it, and I'd
hate for it to get spoiled. Don't get me wrong, I'm welcome to changes
in GNOME, but if there isn't a good substitute for the notification
area, which seems to be the ultimate victim, I'm afraid I wouldn't be
the only one ditching it.

I digress, though. ddumont, even though I agree with you, I feel that
aggression won't get us anywhere. MPT knows that the majority of us hate
it already. At this point in time, I'm just pleading for an option. Give
us an option to keep the notification tray if we end up not liking the
alternative presented, and please give us the option of having our
updates showing up in there.

Devs, please provide information on this, what is the current status? Is there any talk whatsoever of getting rid of the popup/popunder?

Is there any proper method for us users to request the removal of popups/popunders? Is there any hope at all of getting this fixed?

MPT, I think you are purposely being a little misleading and purposely missing the point about the popups. You keep mentioning the "click the button, what button" thing. It isn't even the issue. The issue is the popup/popunder. Fix the notification area, do whatever you have to do, just don't start programs without the user initiating it. It is never a good idea. Please if you can provide some insight on why this was thought to be a good idea, please let us know... it may change our opinion and/or we may not see the big picture. What are we missing that devs think they have the right to interrupt the user? As I see it even security updates don't warrant that level of "right now" interruption.

I have actually had users get confused wondering what they did to cause it to start up. I'm tired of explaining it to everyone. I install a LARGE number of Ubuntu machines. These popups are driving users crazy and they are driving me crazy.

If the unsupported hack goes away in future versions, the popups/popunders are enough of an annoyance to actually be forced to REMOVE update-notifier or update-manager altogether.

Blogs are popping up all over the place with top ten lists of programs to install and things to do. The hack is the first thing on almost all of them. Are the devs taking notice of this?

NO ONE is expected to make good decisions all the time. Everyone thinks this decision was a stinker.

Rajeev Nair (rajeev) wrote :

Yeah this is really bad. I want the orange star back. And the new notification doesnt work either.I havent seen security updates pop up in a day and its been months since i even saw that notify osd tell me of any updates.

Better to close this bug than just keep commenting on it and no one trying to revert back to old behaviour.

Matthew Paul Thomas (mpt) wrote :

Chauncellor, LanoxxthShaddow: We are developing more consistent access points for the sort of programs people often want to be running in the background. The first example of this in 9.04 is the messaging menu, providing access to Evolution and Pidgin -- and soon other messaging clients too -- in a single menu. Chauncellor: Update Manager is minimizable regardless of how it opens.

ddumont: Your premise is false -- Windows users did not "decide[] that they liked a certain model" of how the notification area should behave, Windows 95's designers did. And careful study of how Windows treats notification area icons from 2000, to XP, to Vista suggests that Microsoft designers have been trying to roll back their mistake.

mb_webguy, ddumont: Many Ubuntu contributors, myself included, care very much about expanding the Ubuntu user base. In doing that, we do need to be bold and, yes, occasionally irritate existing users. It would be no good if we topped out at (for example) 20 million users because non-updated systems with orange stars or red triangles in the corner had given Ubuntu a reputation for bugginess and insecurity amongst the wider population.

getut: I mentioned the "click the icon" issue only to explain why Notify OSD had forced us to make the update-notifier change now rather than later. We plan to simplify the design of the window for 9.10, to better explain why it has appeared and the decision users need to make.

Rajeev Nair: This bug report has been closed for months.

MPT.. so if I am hearing this right... popup/popunder is here to stay
and there is no amount of griping in any fashion, organized or
unorganized that can get that virus... erm feature removed going
forward?

Vish (vish) wrote :

getut wrote:
> MPT.. so if I am hearing this right... popup/popunder is here to stay
> and there is no amount of griping in any fashion, organized or
> unorganized that can get that virus... erm feature removed going
> forward?
>
sad to say that "feature" seems here to stay ! since mostly they dont
have a reasonable replacement.

and *to anyone* who is complaining here, its almost no use, mpt is
*probably* the only dev still subscribed to this bug...

if u really want your concerns heard to a larger *dev* audience, this is
not the place...

concerns *need* to be made at > https://launchpad.net/~ayatana
subscribe to this mailing list and voice your concerns... its no use here...

Il giorno ven, 12/06/2009 alle 20.34 +0000, mac_v ha scritto:
>
> concerns *need* to be made at > https://launchpad.net/~ayatana
> subscribe to this mailing list and voice your concerns... its no use
> here...

Subscribe to that mailing list if you are interested in constructive
discussion, not to express concern. In the current moment, as the
intentions of the developers have been longly clarified, the popup is
not going away unless you make your own fork of ubuntu.

@Vincenzo Ciancia
^good catch, i realized i missed something :)

Martin (martin615) wrote :

Matthew, Mark, (or anyone else from the design team)

I'm interested to know where you are going with security updates long term in Ubuntu.

The old behaviour was broken because it cluttered the notification area and most users didn't understand it etc.

But the current behaviour is IMHO also broken. Now you bring up a window, with technical jargon that most users couldn't care less about, that interrupts the users flow much more than the notification area ever did.

Why simply not update the system automatically? At least by default. It is not like users who won't do anything other than press "Install Updates" as soon as the window appears can't change this behaviour if they really want to. And I suspect a large part of the users that have technical know how to understand what the window says will most likely press "Install Updates" as soon as it appears also.

@Martin:
No - there are two problems with automatic [anything]:
1. I may be using the application that is being upgraded - and may cause it to crash / misbehave.
2. An automatic download at the wrong time might be very costly for the user. For example on my 3G connection it costs me the same to download the first 3GB of data in a month and to download every 60MB after that. That means any program starting an update at a random time, may end up costing me a lot of real money (without a warning). An openoffice update at a wrong time could really hit me.

@Vincenzo Ciancia:
"... the popup is not going away unless you make your own fork of ubuntu."
Pidgin was forked for less annoying changes... With ubuntu it's even easier - a PPA with a "fixed" package is enough. If the option of going back to no-popup version is disabled in Karmic, I'm definitely making such package - I still consider the popup behaviour in whatever form to be broken / a bug.

Regarding automatic updates: I'm with Martin on this one; I believe it
should be turned on by default. If you are on a pay-per-use Internet
plan or a plan that places a cap on your usage, you can simply go in and
turn off the automatic updates. After all, if Canonical is so concerned
about the security of its users' installations that it feels the
situation warrants interrupting the user with uncommanded popups, then
having the system automatically update itself without user intervention
should be right up its alley.

I'm curious to know how update manager displays itself if the system
needs to be rebooted after an update, and the user has already closed
the window...

Regarding forking Ubuntu: Does anyone know if Mint has/will have this
"improvement"?

-----Original Message-----
From: Stanislaw Pitucha <email address hidden>
Reply-to: Bug 332945 <email address hidden>
To: <email address hidden>
Subject: [Bug 332945] Re: [Jaunty] Update Notifier icon would provide
useful status information
Date: Sun, 14 Jun 2009 00:05:56 -0000

@Martin:
No - there are two problems with automatic [anything]:
1. I may be using the application that is being upgraded - and may cause it to crash / misbehave.
2. An automatic download at the wrong time might be very costly for the user. For example on my 3G connection it costs me the same to download the first 3GB of data in a month and to download every 60MB after that. That means any program starting an update at a random time, may end up costing me a lot of real money (without a warning). An openoffice update at a wrong time could really hit me.

@Vincenzo Ciancia:
"... the popup is not going away unless you make your own fork of ubuntu."
Pidgin was forked for less annoying changes... With ubuntu it's even easier - a PPA with a "fixed" package is enough. If the option of going back to no-popup version is disabled in Karmic, I'm definitely making such package - I still consider the popup behaviour in whatever form to be broken / a bug.

Il giorno dom, 14/06/2009 alle 04.56 +0000, bdoe ha scritto:
> Regarding automatic updates: I'm with Martin on this one; I believe it
> should be turned on by default

I am in all ways against automatic updates because I think the user must
be aware of when something delicate is happening. E.g. in the last week
before submitting a thesis, if the system is upgraded and for some
reason broken, you sure that I will come and kill some of you :) You are
all lukcy that I am not supposed to submit any more theses.

However in the current situation it is true that the only advantage of
the upgrades popup is ... letting the user decide wether to upgrade or
not. I don't think any ordinary user should even look at the list of
upgrades by default. It's nice to be able to see it but it's not really
necessary. Normal workflow is to see the window, and click on "upgrade
system" or whatever. So this is very close to automatic upgrades, the
only difference is to let the choice of the right moment to the users.

> . If you are on a pay-per-use Internet
> plan or a plan that places a cap on your usage, you can simply go in and
> turn off the automatic updates.

No, we should not do something potentially harmful by default. What if
an user does not know this and finds a 6000 euros internet bill at the
end of the month? Sure that'll be experience but I don't think they will
use linux anymore. Anything that may make automatic connections should
require user authorization. How to make this seamless is a possible
space for decision.

> I'm curious to know how update manager displays itself if the system
> needs to be rebooted after an update, and the user has already closed
> the window...
>

I think it will open a separate popup.

> Regarding forking Ubuntu: Does anyone know if Mint has/will have this
> "improvement"?

Mint has a completely different update manager, mostly focused on
avoiding risky updates by giving a lower priority to core packages like
the kernel. Strange, indeed, as typically these are the most urgent
packages to upgrade from the point of view of security. However, the
thesis here is that ordinary users can eventually do upgrades once in a
release cycle. There's no need to explain that many do not share this
view but it does not seem so likely that worms will affect linux desktop
systems in the near future.

V.

I'm totally against automatic updates as well. My house internet connection is too
slow to handle any download and be usable for anything else at the same time.
This happens many times with me.... on Windows. Furthermore, as was mentioned,
sometimes an update requires the program to restart and in the meanwhile the
program becomes useless. If someone is doing something critical and that
happens, it would be a disaster.

In my opinion automatic updates are worst than the popup.

About the popup, I think if the developers think they need the popup, so be it.
But please leave us the option of not having it. And for that I mean, at least,
that one could simply turn off automatic update checking. For the moment
this is not possible, I've tried and a popup appears saying "you need to
manually check for updates!". The only way to disable all popups is to
uncheck all types of updates (security, recommended...) at the update manger.
This has solved the problem for me, but now in my desktop I'm in a more
laborious situation for updating than in the servers, in which no update
is automatically applied but I do it when I want whithout having to
reset update preferences every time. Anyway, I think this popup will have
the effect of people updating less their software, and having the habit
of disabling the updates the first thing on installing Ubuntu, at least I had
to do that in all machines I install for other people, but probably the
developers have a more well studied scenario. I hope this is not a
security-freek idea only.

I use Linux Mint Live CDs on my hard-drive-less laptop when I need a portable computer for something with things like flash and other proprietary things pre-installed. I've been using it in this way for nearly a year. Just this week, though, I found out that the little Lock in the notification area was the updates icon. I never cared what was in the notification area because all I needed Mint for was the internet, so I pay no mind to the system status

After realizing this, I've found out that MPT was right: I don't think that any icon will suit the notification area for a casual user. There is something that needs to be done. HOWEVER, I still don't agree that the pop-up is the necessary solution.

Paulo J. S. Silva (pjssilva) wrote :

I am for automatic updates for security problems only be default. This is a sane default, that would suit most users. Of course there are specific uses (like a slow connection or high fees on downloads already cited) that would not like such behavior. However, this setting can be changed from the update-manager easily at install.

As for the pop-up. I still think that the best solution that preserves the will to clean up the notification area is to use the indicator applet to queue the update notifications (instead of using the pop-ups, pop-unders). Something along the lines described by C Cooke in comment #345 (https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/332945/comments/345). That idea plus a new icon for the indicator-applet when critical updates are available (like a red triangle with a exclamation mark in the middle) would be a very good start for me. If someone thinks that the user would disregard the warning icon, maybe use the idea of showing notifications at defined time intervals (every couple of hours for security updates or every login for normal updates) should do the trick. If the users wants to disregards such constants notifications then he/she will do the same with the pop-up/under.

Oh, and probably the default icon for the indicator applet should change too, now it is a mail envelope because it is being used only for email notifications and chat requests, a more neutral icon would be nice (for example the application icon with a silver circle and the letter i in the middle).

I am planning to send a message to the ayatana project with this proposal soon. As someone already said, there is the right place to discuss this "bug".

Is it just me, or does this indicator applet sound more and more like a collapsible.......notification area? It makes this whole excursion seem absurd, really

@Paulo J. S. Silva:
I still don't think that default security update should be a default, because you just can't make the effects predictable and you may find out about it when it's too late...

But I fully support the icon + a notifications saying "click ... to update your system" (just in case someone doesn't know about the icon). Pop-anywheres / lack of permanent information about the ready updates is simply insane.

Leandro (leandromartinez98) wrote :

I've created an entry on the Ubuntu Brainstorm site concerning this problem:

http://brainstorm.ubuntu.com/idea/20266/

I've done so because with that people can vote for something, thus providing
some measurable feedback for the developers on what the average user
is thinking, and not hear just the opinion of people like us that like to write
stuff. I've posted three ideas there, and adding any other idea is of course
very welcome. I think that place would be a better forum for this discussion.

At least for me voting for something will feel good. I like voting.

Given the controversy raised on this subject, it is not impossible that my
post there is a duplicate and, if it is, I'm sorry, but I couldn't find any
similar one.

Paulo J. S. Silva (pjssilva) wrote :

I have just posted an email to Ayatana project mailing list with the proposal I described (once again) today:

https://lists.launchpad.net/ayatana/msg00251.html

In case someone missed. This proposal was already partially implemented by C. Cooke, see comment #345 (https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/332945/comments/345) in this bug report.

Let us see what follows...

I have marked Leandro's Brainstorm Idea as a duplicate of:
http://brainstorm.ubuntu.com/idea/19283

Best Regards
Lanoxx

Chauncellor:

No it is different.

If you read carefully my text you'll see that I consider that the "notification area" should only be populated by docked applications, that is running applications that usually should stay in the background doing their thing but that want to leave some small presence in the panel to allow for quick, and usually simple, interaction with the user. Think of a media player or a clipboard manager.

The notifications of update-notifier are just notifications. You don't want to interact with update-notifier. You interact with update-manager. The old behavior of update notifier would add icons to the notification area that do no represent running applications, and that don't have any other purpose than to call other applications, like update-manager or the restart dialog. The proposal I presented says that the place for such "queued" notifications is the indicator-applet.

There is clear and conceptual difference there.

Paulo: I understand more, now, thanks. I've read the proposals on Launchpad, and I feel that those are better approaches already than what has been done.

-----Original Message-----
From: Vincenzo Ciancia
Subject: Re: [Bug 332945] Re: [Jaunty] Update Notifier icon would
provide useful status information
Date: Sun, 14 Jun 2009 09:59:50 -0000

>I am in all ways against automatic updates because I think the user must
>be aware of when something delicate is happening. E.g. in the last week
>before submitting a thesis, if the system is upgraded and for some
>reason broken, you sure that I will come and kill some of you :) You are
>all lukcy that I am not supposed to submit any more theses.

I can see your point; however, this can happen even to those who
manually approve each and every update. It happened to me a couple of
months ago where I approved a kernel update, and the update crashed X
and kept it from being able to start. Granted, I was subscribed to
Proposed updates and so expected that sort of thing to happen, but it
can still happen to anyone whether the update was automated or not. At
least with manual updates, if something goes wrong, you've got a better
idea where to look for the cause.

At any rate, I don't think it's really going to be a big issue, if only
the security updates are automated. I've had automatic updates enabled
on my file server for more than a year, and it hasn't crashed yet - and
before you say, "well, yes, but that's a server," I do have gdm and
ubuntu-desktop packages installed.

>No, we should not do something potentially harmful by default. What if
>an user does not know this and finds a 6000 euros internet bill at the
>end of the month? Sure that'll be experience but I don't think they will
>use linux anymore. Anything that may make automatic connections should
>require user authorization. How to make this seamless is a possible
>space for decision.

The same could be said for Windows. Since Windows XP SP2, automatic
security updates are turned on by default, and users have to
specifically opt out of it to turn it off. Someone transitioning from a
recent version of Windows should be used to that behavior.

Perhaps, instead of automatically enabling automatic updates, it can be
one of the questions asked during Ubuntu installation.

getut (rtkluttz) wrote :

To use automotive analogies in this... If our check engine light comes
on our car taking us in a straight line to the dealership, not following
roads, going straight through forest, lakes, streams etc. Its just
ludicrous devs hijacking the desktop with unsolicited pop-ups. Update
manager is going to become a virus for versions moving forward.

On 14/06/2009 Chauncellor wrote:
>
> After realizing this, I've found out that MPT was right: I don't think
> that any icon will suit the notification area for a casual user. There
> is something that needs to be done. HOWEVER, I still don't agree that
> the pop-up is the necessary solution.
>

I proposed in ayatana an alternative: instead of an icon, put some text
there. Like it is done by default for FUSA (fast user-switch applet).
Then you can turn it into an icon if you need space. Like it is done for
FUSA. But in that case you see the icon in the configuration dialog so
you know what it is.

Will probably not be accepted but I tried :)

Vincenzo

Download full text (4.5 KiB)

Il giorno lun, 15/06/2009 alle 22.55 +0000, bdoe ha scritto:
>
> The same could be said for Windows. Since Windows XP SP2, automatic
> security updates are turned on by default, and users have to
> specifically opt out of it to turn it off.

I want to point out the following to the many who think automatic
updates are a good idea. When I started computing I was 8, so perhaps
mine is a particular case. But I was _not_ an enfant prodige. I saw the
switch from "the computer can and should be used by everyone", surely
true with those old commodore home computers, even if you had to type to
use them, and surely true with macs and with OS/2, to "using the
computer is difficult, it's impossible, only gurus can do that, it's
dangerous" etc. This switch happened with windows 95. MS-DOS was used by
non-technicians because they needed it. And after all it was clear to
everybody what happened: you typed commands in, the computer did
something.

Microsoft started advertising windows 95 as easy computing for everyone,
and at the same time they formed an army of ignorant technicians that
are very good at installing windows and all of its
"accessories" (replace this with a bad word of your choice:). This led
to the introduction of the ECDL and other amenities. Aren't these two
things in open contradiction? You have an operating system that is
self-teaching, but you need a course and a certificate that you are able
to use it?

How it is so? They wanted an economic empire, not an easy to use
operating system. Part of this empire is the millions of persons who
followed courses on how to make the thing actually work, and became
microsoft servants and advocates and linux haters. Most of the times,
these persons hate linux because their brain is so flat they really
can't tell an applications menu if it's on the top of the screen instead
of on the bottom.

Sorry for being so direct, that's what I have been observing in Italy at
least, in the last 20 years. The growth of a mass of ignorant microsoft
servants.

Where do I want to go with this? I do not care about the MS habit of
turning things on by default even if they can harm, so that a technician
must then be called to repair the broken behaviour.

This is because your average user, in _their_ opinion, is NOT ABLE TO
and SHOULD NOT install the OS by itself, neither should they start using
it without a guru on their side. And they should be educated that if
they try, then they get punished by all the hidden problems and corner
cases they get into. I've seen this many times. And can you hear the
operator smile and say "you see, you tried to do the work of a
technician, it's not easy, next time call us earlier and you'll save
more money".

Let us not lie about that. Microsoft can reasonably expect experts to
install the operating system for users, and then the user must be aware
of all the problems that can happen, like e.g. connecting a 3g card and
finding a 6k euros bill at the end of the month, or installing an
antivirus, removing all the crapware they have pre-installed on their
system and so on.

They do not care to avoid being in the way of users. The more they are
in the way, the more the user will feel una...

Read more...

summary: - [Jaunty] Update Notifier icon would provide useful status information
+ [Jaunty] Update Notifier icon would provide useful status information /
+ new update-manager behaviour is annoying

Just my 2 cents, but I consider we're going right into a wall if we design
intrusive tools, even if the intrusiveness (does this word exist ?) is
legitimate. Remember what about to Windows' UAC.

Imo, it should be ok to use a notify-osd notification + a systray icon for
updates as soon as they're available, and to pop-up the window only on
extreme cases :

 * one whole week for security updates (yes it's a lot, but i think it's
reasonable)
 * thirty days for normal updates - AND ONLY ONCE ! if the user does not
want to do the updates, then let him not do them, his choice !

And if the window opens that way, it should explicitely say "There have been
updates for # days but you didn't click on the updates orange/red icon in
your panel, so we thought you might not have noticed it. If you want to do
the updates now, click on the "Update" button". This way, the user knows
_why_ it went in his/her way and will know how to avoid this : by
explicitely making the updates when they're available (which should be easy
for him/her to see, with the systray icon).

Paul Sladen (sladen) on 2009-06-23
description: updated
Paul Sladen (sladen) wrote :

So, it turns out that this bug is actually partially fixed (the excessive opening at least) by bug #369198 which has been sitting in SRU (Stable Release Update) verification for 2 months.

  <mvo> sladen: it needs a sru-verficiation
  <pitti> sladen: well, we need some people giving testing feedback
  <pitti> sladen: did you test it? does it work for you?

Please install+test+follow the instructions+say if it's working in bug #369198 if you want to see this pushed into Jaunty...

description: updated
Download full text (3.6 KiB)

Steve Dodier wrote:
>
> Imo, it should be ok to use a notify-osd notification + a systray icon for
> updates as soon as they're available, and to pop-up the window only on
> extreme cases :
>

@ Steve:
The pop-up window seems like a reasonable option in the scenario's
you've given... But i feel that automatic Pop-ups in any form should be
discouraged...

IMO pop-up/under are a security flaw. NO window Should populate the
window list unless the user has opened it...
[A Daemon process should NOT open new programs on its own without asking
for user's permissions or explicit user settings]

A better alternative would be a Notification system that allows
interaction/ morphing alert box [So these could present the user with
the options to either download&Install now or To dismiss]

*And repeating the notifications at the time of user's choice*...
which makes the need for a systray icon[as a remainder] unnecessary.

Also the DX team has made it very clear that systray icon WILL NOT return...

I had been very vocal here opposing the change but i went with it...
And *even though it might not have been the intended purpose* for the
removal of the icon, *I have found the icon removal useful* ...
*Now I dont think much about the updates* , there is no icon nagging me
about the updates.

Just think about the "Updates" , its just a sugar-coated word for
"oops-the-devs-didnt-realize-this-mistake-earlier" , Updates are for the
flaws which wasnt realized while baking the release... and to be fair to
all devs ,no OS can EVER do it perfectly without a need for updates.

So, instead of drawing so much attention to these updates , making it
easy for the end-user to not pay much attention is a more ideal way of
thinking.

As mpt has said that they are looking for a decent solution,This is what
i'v proposed in Ayatana, with Hopes the DX Team takes notice
==For updates to be less intrusive to the user==

    * From an idea proposed by David Siegel , And further expanding it....

      When the user receives the updates notification,user "chooses to
download & Install the packages" ,
    * Installation of Updates the dont require restart are done immediately,
    * Before starting the installation of package+dependencies, which
requires a restart, the user is warned that this particular package
requires a reboot.
    * User either chooses, "install now" or "during next boot" .

For good implementation of this, updates need to be clearly marked as
1:security
2:critical>solves a major crash/freeze issue of the package / major
improvement of package responsiveness
3:non-critical>minor tweaks to performance

So when the user is presented with the update requiring reboot,he is
told that [1]"This update solves a crash/freeze problem seen in this
package/Gives you major improvement of package responsiveness" [2] "This
update is a non-critical update" [3] "This is a security Update"

    * So the user decides , if he has the problem, he can do the update
immediately... If not, delay it for the next boot.
    * If the user later decides to update before the reboot, he should
be able to do so from the update manager, where a reminder says"Install
pending updates".
    * The ...

Read more...

Paulo J. S. Silva (pjssilva) wrote :

> I had been very vocal here opposing the change but i went with it...
> And *even though it might not have been the intended purpose* for the
> removal of the icon, *I have found the icon removal useful* ...
> *Now I dont think much about the updates* , there is no icon nagging me
> about the updates.

...

> * From an idea proposed by David Siegel , And further expanding
> it....
>
> When the user receives the updates notification,user "chooses to
> download & Install the packages" ,
> * Installation of Updates the dont require restart are done
> immediately,
> * Before starting the installation of package+dependencies, which
> requires a restart, the user is warned that this particular package
> requires a reboot.
> * User either chooses, "install now" or "during next boot" .

If I am working I want to ignore the update message. I will have time
for it later in the day. I don't want to decide anything, I want to keep
on working. This is already decided. I don't want to take an action. I
don't want a pop-up/pop-under (so I have to actively close it). I want a
notification for this. It will go away by itself. Maybe a scarier
notification (with a different background color, red for example), can
be good. So that even though I am free to ignore it, I will know that it
is red, then it is a system notification.

> * When the user has chosen not to download updates , These
> notification repeat again at a later
> time[10mins/30mins/1hr/4hrs/1day/7days],which the user chooses from a
> drop-down menu and if the user tries to shutdown before updating he is
> reminded again via the same alerts.

Really? Usually, if I do not choose to update right away it is because I
am concentrating on what I am doing. Usually I can not accurately
predict for how long I will work to define the exact moment the update
notification should appear again. If the notification appears while I am
still concentrating I will not look at it. Or are you talking about the
pop-under (that would annoy me again if I am working)?

I would greatly prefer to have a constant reminder in the panel.

Paulo

--
Paulo José da Silva e Silva
Professor Associado, Dep. de Ciência da Computação
(Associate Professor, Computer Science Dept.)
Universidade de São Paulo - Brazil

e-mail: <email address hidden> Web: http://www.ime.usp.br/~pjssilva

Teoria é o que não entendemos o (Theory is something we don't)
suficiente para chamar de prática. (understand well enough to call
practice)

description: updated
description: updated
tags: removed: dxteam
Vish (vish) wrote :

Paulo J. S. Silva wrote:
>
>> * When the user has chosen not to download updates , These
>> notification repeat again at a later
>> time[10mins/30mins/1hr/4hrs/1day/7days],which the user chooses from a
>> drop-down menu and if the user tries to shutdown before updating he is
>> reminded again via the same alerts.
>
> Really? Usually, if I do not choose to update right away it is because I
> am concentrating on what I am doing. Usually I can not accurately
> predict for how long I will work to define the exact moment the update
> notification should appear again. If the notification appears while I am
> still concentrating I will not look at it. Or are you talking about the
> pop-under (that would annoy me again if I am working)?
>
> I would greatly prefer to have a constant reminder in the panel.
>

I'm against the pop-ups too, i was referring to interactive
notifications/ morphing alert boxes.

The next time the reminder pops up, you can again postpone it ... and so
on...

Well... the DX team is not going to allow panel icon:( , so i feel this
is the closest to an update reminder we can have...

cheers,
mac_v

I'm fairly partial to the idea of subtly putting a fade/blink action in the "System" of the menu bar and devote another menu entry there. Of course, there's a problem if someone wants to remove it. But i really do think that would be the best action.

Nate Cull (nate-natecull) wrote :

+1. Please add my name to the list. The Intrepid behaviour was correct. The Jaunty behaviour is not. What more needs to be said?

Still getting dupes of this. We're up to 32, now....

Any word on what's up?